
 ChangeLog for LAME
-==================-

 - All dates/times are in GMT.
 - This file contains the complete changelog, even commit logs of
   non official branches. An entry of the form "filename (branchname):"
   may not apply to the source you get with this package.
 - Generated from cvs log entries
   (cvs2cl --gmt -S --branches --no-wrap --header ChangeLog.header)

-- 

2002-12-01 16:18  aleidinger

	* configure:

	regen
	
2002-12-01 16:15  aleidinger

	* configure.in:

	change version to 3.93.1
	
2002-12-01 16:12  aleidinger

	* configure:

	regen
	
2002-12-01 16:10  aleidinger

	* doc/html/history.html:

	sync with webpages
	
2002-12-01 16:06  aleidinger

	* configure.in:

	Check for socket() in libsocket if it isn't in libc so rtp can get compiled
	on Solaris.
	
	Noticed by:	"Niki W. Waibel" <niki.waibel@gmx.net>
	
	While I'm here, bail out if some other functions aren't there.
	
2002-12-01 15:42  takehiro

	* libmp3lame/lame.c (takehiro-stable-2002_10_15):

	fix -q0 and -q1. This makes -q0 very very slow.
	
2002-12-01 15:36  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/quantize.c,
	libmp3lame/set_get.c, libmp3lame/vbrquantize.c
	(takehiro-stable-2002_10_15):

	now you can specify the method how to compare the quantization
	for long/short block independently by -X option.(-X n,m)
	
2002-12-01 13:18  takehiro

	* libmp3lame/set_get.c (takehiro-stable-2002_10_15):

	fix comment
	
2002-11-30 18:18  bouvigne

	* libmp3lame/version.h:

	version
	
2002-11-29 17:07  bouvigne

	* Dll/BladeMP3EncDLL.def:

	dll exports
	
2002-11-28 21:05  bouvigne

	* doc/html/: history.html, index.html:

	docs
	
2002-11-28 18:06  bouvigne

	* libmp3lame/version.h:

	go back to 3.93
	
2002-11-28 18:04  bouvigne

	* libmp3lame/lame.c:

	revert back q0 to q1 state (due to reports about quality problems)
	
2002-11-26 15:45  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	alpha4 solves the fatal error in outer_loop(). it should not select the
	data whose global_gain is greater than 255.
	
2002-11-25 18:00  bouvigne

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	sync presets with the executable front-end and libmp3lame
	
2002-11-25 01:36  takehiro

	* libmp3lame/: Makefile.am, Makefile.in
	(takehiro-stable-2002_10_15):

	fix build problem
	
2002-11-24 18:37  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	Fix not to select the data whose global_gain is greater than 255.
	and inner_loop() manual inlining.
	This fix is based on the R.A.F.'s bug report at HA. Thanx R.A.F.
	
2002-11-23 18:54  bouvigne

	* libmp3lame/psymodel.c:

	quick fix of nspsytune
	
2002-11-17 16:39  takehiro

	* libmp3lame/.indent.pro (takehiro-stable-2002_10_15):

	I forgot to sync this with the head branch.
	
2002-11-17 16:34  takehiro

	* Makefile.in, configure, Dll/Makefile.in, libmp3lame/Makefile.in
	(takehiro-stable-2002_10_15):

	regen (by hand :p)
	
2002-11-17 16:33  takehiro

	* ChangeLog, ChangeLog.header, Makefile.am, configure.in,
	Dll/Makefile.am, libmp3lame/Makefile.am
	(takehiro-stable-2002_10_15):

	sync with head branch (releasing 3.93 related things).
	
2002-11-17 15:59  takehiro

	* doc/html/history.html (takehiro-stable-2002_10_15):

	copy from webpage/history.html
	
2002-11-17 11:11  aleidinger

	* configure.in, libmp3lame/version.h:

	We are now at 3.94alpha...
	
2002-11-17 10:41  aleidinger

	* doc/html/history.html:

	Copy history from webpage.
	
2002-11-17 10:29  aleidinger

	* ChangeLog:

	ChangeLog for 3.93.
	
2002-11-17 10:25  aleidinger

	* Dll/Makefile.in, Makefile.in:

	regen
	
2002-11-17 10:24  aleidinger

	* Makefile.am:

	Add lame.dsw.
	
2002-11-17 10:23  aleidinger

	* Dll/Makefile.am:

	Oops... add missing backslash.
	
2002-11-17 10:18  aleidinger

	* Dll/Makefile.in, libmp3lame/Makefile.in:

	regen
	
2002-11-17 10:16  aleidinger

	* libmp3lame/Makefile.am:

	Add gain_analysis.[ch] to the distributed files.
	
2002-11-17 10:11  aleidinger

	* Dll/Makefile.am:

	Add some missing files.
	
2002-11-17 10:09  aleidinger

	* configure:

	gtk12-config -> gtk-config
	
2002-11-17 10:05  aleidinger

	* testcase.mp3:

	"Official" testcase.mp3 for this release.
	
2002-11-17 09:51  aleidinger

	* ChangeLog.header:

	Add some information about branches.
	
2002-11-17 09:46  aleidinger

	* libmp3lame/version.h:

	We are at 3.93-RELEASE now...
	
2002-11-17 09:45  aleidinger

	* doc/man/lame.1, frontend/parse.c:

	Warn about fast presets.
	
2002-11-16 13:07  takehiro

	* configure (takehiro-2002_05_07-experimental):

	remove vorbis related things
	
2002-11-16 12:44  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	removed vorbis related thing
	
2002-11-16 10:07  bouvigne

	* doc/html/presets.html:

	warning about fast presets
	
2002-11-13 20:56  bouvigne

	* libmp3lame/: lame.c, presets.c, util.c, util.h
	(takehiro-stable-2002_10_15):

	change of the default lowpass values (will break testcases)
	
2002-11-13 20:24  bouvigne

	* libmp3lame/: lame.c, presets.c:

	rollback of lowpass change before release
	
2002-11-10 12:41  takehiro

	* libmp3lame/: encoder.c, psymodel.c, quantize.c
	(takehiro-2002_05_07-experimental):

	prepare for intensity-stereo.
	
2002-11-10 12:40  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	some trivial optimizations and make some functions static.
	
2002-11-10 12:39  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	trivial macro fix
	
2002-11-10 12:38  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	optimize subband filter (lowpass/highpass).
	
2002-11-10 12:36  takehiro

	* libmp3lame/i386/: choose_table.nas, fft3dn.nas
	(takehiro-2002_05_07-experimental):

	align -> loopalign
	better labeling
	
2002-11-10 08:24  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	- more db2pow() macro use
	- remove traditional code(which do nothing)
	
2002-11-10 08:23  takehiro

	* libmp3lame/psymodel.h (takehiro-2002_05_07-experimental):

	fix warning
	
2002-11-10 07:55  takehiro

	* frontend/main.c, frontend/parse.c, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/util.h, libmp3lame/vorbis_interface.c
	(takehiro-2002_05_07-experimental):

	remove vorbis support, which is too much outdated.
	
2002-11-10 07:53  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization
	
2002-11-09 18:45  takehiro

	* libmp3lame/: psymodel.c, tables.c
	(takehiro-2002_05_07-experimental):

	- optimize ATH handling in mask_add() by changing ATH.cb[] scaling.
	- more faster long block masking threshold calculation.
	
2002-11-09 18:43  takehiro

	* libmp3lame/: encoder.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	cleanup START/STOP type bit calculation
	
2002-11-09 18:42  takehiro

	* libmp3lame/i386/: choose_table.nas, nasm.h
	(takehiro-2002_05_07-experimental):

	some sync with GOGO.
	
2002-11-09 12:34  takehiro

	* libmp3lame/: encoder.c, machine.h, quantize.c, set_get.c,
	tables.c (takehiro-2002_05_07-experimental):

	clean up decibel -> power conversion
	
2002-11-09 12:33  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	clean up FFT related code.
	more acculate condition check whether we need short block masking calculation.
	FIR filter loop unrolling
	
2002-11-07 18:47  bouvigne

	* libmp3lame/: lame.c, presets.c, util.c, util.h:

	change of the default lowpass values (will break testcases)
	
2002-11-04 16:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	optimize long block masking ratio calculation (partition -> scalefactor band transformation)
	
2002-11-04 16:49  takehiro

	* testcase.mp3, libmp3lame/psymodel.c
	(takehiro-2002_05_07-experimental):

	fix short block masking calcultion(patition to scalefactor band transformation)
	and trivial cleanups, as is always :)
	
2002-11-04 16:00  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix mp3x FFT display.
	
2002-11-04 15:56  takehiro

	* testcase.mp3, libmp3lame/encoder.c, libmp3lame/psymodel.c,
	libmp3lame/reservoir.c, libmp3lame/version.h
	(takehiro-2002_05_07-experimental):

	now here goes alpha 2.
	- some trivial optimizaions and cleanups on psymodel.
	- cleanup mp3x arround
	
2002-11-04 13:53  takehiro

	* libmp3lame/: VbrTag.h, encoder.c, lame-analysis.h, machine.h,
	psymodel.c, psymodel.h, quantize.c, quantize.h, quantize_pvt.c,
	quantize_pvt.h, set_get.c, tables.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	large cleanup mainly arround psymodel (continue)
	- removed all temporary masking related code, because now I found all the
	temporal masking code is completely messed up.
	
	- do not calculate short block masking ratio when it is not needed.
	
	- mp3x FFT energy display fix.
	
	- better perceptual entropy calculation, by using ATH.
	
	- some include file clean up.
	
	- some trivial code cleanup arround quantize/bit counting.
	
2002-11-04 13:49  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix -q 4 setting.
	
2002-11-04 13:48  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	fix FFT energy display.
	
2002-11-03 17:56  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen with new psymodel, which increases encode delay.
	
2002-11-03 17:30  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, encoder.c, encoder.h,
	l3side.h, lame-analysis.h, lame.c, lame_global_flags.h, newmdct.c,
	psymodel.c, psymodel.h, quantize.c, quantize_pvt.h, set_get.c,
	tables.c, takehiro.c, util.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	large cleanup, mainly on PSYMODEL calculation.
	- it calculates masking ratio/pe/tot_energy/block_type/frame_type next FRAME,
	not next GRANULE. it increases the encoding delay, but code is very simple.
	
	- "allow different block_type in each channel (L/R)" could be archived even
	when joint stereo.
	
	- l3side.h is merged into util.h
	
	- MPEG2/2.5, mp3x's display may corrupt (not tested much).
	
2002-11-03 17:23  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial
	
2002-11-03 17:22  takehiro

	* frontend/: gpkplotting.c, gpkplotting.h, gtkanal.c
	(takehiro-2002_05_07-experimental):

	fix for mp3x MDCT original value display
	
2002-11-03 17:00  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	fix abr preset
	
2002-11-03 16:55  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	fix for not --enable-all-float
	
2002-11-02 17:47  takehiro

	* libmp3lame/: lame.c, util.h (takehiro-2002_05_07-experimental):

	trivial cleanup
	
2002-11-02 17:30  takehiro

	* libmp3lame/: encoder.c, lame.c, presets.c, psymodel.c,
	quantize.c, quantize_pvt.h, set_get.c, tables.c, util.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	cleanup arround preset.
	- merged adaptive ATH and msfix parameter into "normal" setting.
	- simplified how to compare the quantization/scalefactor.
	
2002-11-02 17:26  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	remove unused prototype.
	
2002-11-02 15:50  takehiro

	* libmp3lame/: encoder.c, set_get.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	remove meaningless variables in preset modes.
	
2002-11-02 12:26  takehiro

	* libmp3lame/: VbrTag.c, lame.c, presets.c, quantize.c, tables.c,
	util.c, util.h, vbrquantize.c (takehiro-2002_05_07-experimental):

	- -q option remapping.
	  new  very old(-3.92)    old(3.93)
	   9    8,9                8,9
	   8    7                  7
	   7    5,6                5,6
	 5,6    2,3,4              3,4
	   4    2 + --substep 5    3 + --substep 5
	   3    2 + --substep 7    3 + --substep 7
	   2    cannot emulate     2 + --substep 7
	   1    cannot emulate     1 + --substep 7
	   0    cannot emulate     0 + --substep 7
	
	- fast_log2() optimization and cleanup.
	
2002-11-02 12:18  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	ATH adjustment aware masking calculation in mask_add() and ms_fix().
	
2002-10-31 14:56  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial cleanup
	
2002-10-31 14:27  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	some precision fix(maybe)
	
2002-10-31 14:26  takehiro

	* doc/html/presets.html (takehiro-2002_05_07-experimental):

	sync with mainline and added some DM presets.
	
2002-10-28 11:25  takehiro

	* libmp3lame/: encoder.c, psymodel.h, psymodel.c
	(takehiro-2002_05_07-experimental):

	now psymodel never return error.
	
2002-10-28 11:15  takehiro

	* testcase.mp3, libmp3lame/bitstream.c, libmp3lame/encoder.c,
	libmp3lame/l3side.h, libmp3lame/lame.c, libmp3lame/machine.h,
	libmp3lame/newmdct.c, libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/reservoir.c, libmp3lame/tables.c, libmp3lame/tables.h,
	libmp3lame/takehiro.c, libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h (takehiro-2002_05_07-experimental):

	changed FLOAT8 -> FLOAT (except one subband filter coefs, which is defined
	as "double" in spec).
	
2002-10-28 11:12  takehiro

	* mpglib/layer3.c (takehiro-2002_05_07-experimental):

	fix mpglib crash bug, from Mathew Hendry.
	
2002-10-28 11:09  takehiro

	* frontend/portableio.h (takehiro-2002_05_07-experimental):

	remove cvs log.
	
2002-10-28 10:43  takehiro

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	remove unused variables
	
2002-10-28 10:01  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix long/short typo.
	
2002-10-28 10:00  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	added new preset definition
	
2002-10-27 14:37  aleidinger

	* configure:

	regen
	
2002-10-27 14:36  aleidinger

	* configure.in:

	Forced commit: last commit was
 - remove -funroll-loops as suggested in the nearby comment
Noticed by: takehiro
	
2002-10-27 14:32  aleidinger

	* configure.in:

	remove options as suggested in the nearby comment; Noticed by: takehiro
	
2002-10-27 13:38  takehiro

	* libmp3lame/: encoder.c, lame.c, lame_global_flags.h, machine.h,
	newmdct.c, newmdct.h, presets.c, psymodel.c, psymodel.h,
	quantize.c, set_get.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	large update.
	- sync mainline,
	  * side channel sparsing
	  * new presets, dm-radio and so on.
	  * blocktype histgram
	  * fix arround FLOAT_MAX
	  * tuning substep noise shaping start frequency
	
	- large code simplification
	  * cod_info initialization code is moved to encoder.c
	  * faster psymodel calculation.
	
2002-10-27 13:33  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	sync mainline
	- fix arround sfb21 and smoothing method 2
	
2002-10-27 13:32  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	To avoid confusing, named it as lame4.0
	
2002-10-27 13:30  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, main.h, mp3rtp.c,
	mp3x.c, parse.c, parse.h, timestatus.h
	(takehiro-2002_05_07-experimental):

	sync mainline
	- fix arround PATHNAMELEN
	- new presets
	- fix warnings
	- fix --silent option
	- new option "side channel sparsing"
	
2002-10-27 13:29  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	- sync mainline (block type histgram, build fix for cygwin)
	
2002-10-27 13:26  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen
	
2002-10-27 13:26  takehiro

	* configure.in, doc/html/Makefile.am, doc/html/Makefile.in,
	doc/html/contributors.html, doc/html/index.html, doc/man/lame.1
	(takehiro-2002_05_07-experimental):

	sync mainline
	
2002-10-27 12:19  robert

	* frontend/portableio.h (takehiro-stable-2002_10_15):

	do we need logging of cvs commits in source files?
	small fixes in comments due to cvs log entries
	
2002-10-27 08:17  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	bump up version number. alpha3 contains
	- tuning substep noise shpaing (by me, Takehiro)
	- added side channel sparsing (by Robert)
	
2002-10-26 20:41  robert

	* configMS.h, frontend/amiga_mpega.c, frontend/brhist.c,
	frontend/brhist.h, frontend/console.c, frontend/console.h,
	frontend/get_audio.c, frontend/get_audio.h, frontend/gpkplotting.c,
	frontend/gpkplotting.h, frontend/gtkanal.c, frontend/gtkanal.h,
	frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	frontend/main.h, frontend/mp3rtp.c, frontend/mp3x.c,
	frontend/parse.c, frontend/parse.h, frontend/portableio.c,
	frontend/portableio.h, frontend/rtp.c, frontend/rtp.h,
	frontend/timestatus.c, frontend/timestatus.h, include/lame.h,
	libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	libmp3lame/bitstream.h, libmp3lame/debugscalefac.c,
	libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/fft.c,
	libmp3lame/fft.h, libmp3lame/gain_analysis.c,
	libmp3lame/gain_analysis.h, libmp3lame/id3tag.c,
	libmp3lame/id3tag.h, libmp3lame/l3side.h,
	libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	libmp3lame/newmdct.h, libmp3lame/presets.c, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/quantize.c,
	libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	libmp3lame/quantize_pvt.h, libmp3lame/reservoir.c,
	libmp3lame/reservoir.h, libmp3lame/set_get.c, libmp3lame/tables.c,
	libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h, libmp3lame/version.c,
	libmp3lame/version.h, libmp3lame/vorbis_interface.c,
	mpglib/common.c, mpglib/common.h, mpglib/dct64_i386.c,
	mpglib/dct64_i386.h, mpglib/decode_i386.c, mpglib/decode_i386.h,
	mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	mpglib/l2tables.h, mpglib/layer1.c, mpglib/layer1.h,
	mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c, mpglib/layer3.h,
	mpglib/mpg123.h, mpglib/mpglib.h, mpglib/tabinit.c,
	mpglib/tabinit.h (takehiro-stable-2002_10_15):

	changed C++ comments into C style comments for
	configMS.h
	include/*.h
	frontend/*.[ch]
	mpglib/*.[ch]
	libmp3lame/*.[ch]
	
2002-10-26 18:53  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen
	
2002-10-26 18:52  takehiro

	* libmp3lame/: Makefile.am, debugscalefac.c
	(takehiro-2002_05_07-experimental):

	remove unused debugscalefac.c
	
2002-10-26 18:51  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	fix build problem
	
2002-10-26 16:48  takehiro

	* libmp3lame/presets.c (takehiro-stable-2002_10_15):

	added interchannel masking to dm-radio-fast preset, too.
	
2002-10-26 16:47  takehiro

	* libmp3lame/presets.c (takehiro-stable-2002_10_15):

	lower bitrate adjustment and added inter-channel masking for dm-radio preset.
	
2002-10-26 16:32  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	tuned substep-noise-shaping start frequency of short block (--substep 5).
	
2002-10-26 12:31  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	fix for not C99 C compiler
	
2002-10-26 12:29  takehiro

	* configure (takehiro-stable-2002_10_15):

	regen
	
2002-10-26 12:29  takehiro

	* configure.in (takehiro-stable-2002_10_15):

	sync with mainline and added fix for "-funroll-loops" bug on gcc3.0.*
	
2002-10-26 12:20  takehiro

	* frontend/parse.c (takehiro-stable-2002_10_15):

	sync mainline... --silent + input from stdin fix.
	
2002-10-24 00:04  robert

	* libmp3lame/: vbrquantize.c (takehiro-stable-2002_10_15),
	vbrquantize.c:

	bug fix in vbr-new
	possible division by zero
	
2002-10-23 23:43  robert

	* frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/quantize.c,
	libmp3lame/set_get.c, libmp3lame/util.h
	(takehiro-stable-2002_10_15):

	added mid/side channel sparsing
	--ms-sparsing n | n=0 disable / n=1 mode 1 / n=2 mode 2
	--ms-sparse_low x | default 9 dB
	--ms-sparse_high x | default 3 dB
	
2002-10-21 01:27  markt

	* frontend/parse.c:

	truely silent when input is stdin patch committed
	
2002-10-20 15:38  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix possible float exception
	
2002-10-20 15:36  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	bump up the alpha2
	
2002-10-20 15:35  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix minor boundary check and remove unused variable.
	
2002-10-20 13:42  takehiro

	* doc/: html/Makefile.am, html/Makefile.in, html/contributors.html,
	html/index.html, html/presets.html, man/lame.1
	(takehiro-stable-2002_10_15):

	sync with mainline
	
2002-10-20 13:31  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	work arround of --substep for Tom's Diner.
	
2002-10-20 13:09  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	faster mask_add()
	
2002-10-20 12:31  takehiro

	* libmp3lame/: psymodel.c, quantize_pvt.c, util.h
	(takehiro-stable-2002_10_15):

	more optimized usage of FAST_LOG().
	
2002-10-20 11:39  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/set_get.c (takehiro-stable-2002_10_15):

	removed mixed block related switches, which is "not" as stable as releasing.
	fix block type decision code when LR/MS change occurs.
	
2002-10-20 08:41  takehiro

	* libmp3lame/machine.h (takehiro-stable-2002_10_15):

	float max should be arround 1e38 or so.
	
2002-10-20 08:39  takehiro

	* include/lame.h, libmp3lame/set_get.c
	(takehiro-stable-2002_10_15):

	re-introduce the padding related functions/definitions for backward compatibility.
	
2002-10-20 08:38  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, main.h, mp3rtp.c,
	mp3x.c, parse.c, parse.h, timestatus.h
	(takehiro-stable-2002_10_15):

	sync mainline.
	- PATHLEN related fix.
	- reduce warning.
	
2002-10-20 08:37  takehiro

	* frontend/brhist.c (takehiro-stable-2002_10_15):

	fix for cygwin build.
	
2002-10-20 07:34  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	improve attack detection and added release detection for L/S switching.
	
2002-10-20 07:27  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix warning.
	
2002-10-20 07:21  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c
	(takehiro-stable-2002_10_15):

	added some presetes for syncing DM series.
	fix --preset medium to use -q3, not -q2.
	
2002-10-20 07:18  takehiro

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	sync mainline. XXL is defaulted.
	
2002-10-19 02:11  robert

	* frontend/brhist.c:

	little bit prettier printing of block types stats
	
2002-10-19 02:10  robert

	* frontend/brhist.c (takehiro-stable-2002_10_15):

	little bit prettier printing of block type stats
	
2002-10-18 23:54  robert

	* frontend/brhist.c, frontend/parse.c, include/lame.h,
	libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/util.h
	(takehiro-stable-2002_10_15):

	merger from main branch:
	simple statistics of block types used (seeing with --brief / --verbose)
	
2002-10-18 22:54  robert

	* frontend/brhist.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:

	added some simple statistics about block types used:
	added lame_block_type_hist() and lame_bitrate_block_type_hist() to API
	using new switch --brief will show one line of percentage types used
	using switch --verbose will show in more detail used block types
	
2002-10-17 17:05  bouvigne

	* frontend/parse.c:

	removed some unused functions
	
2002-10-17 13:03  aleidinger

	* include/lame.h:

	correct comment about *_bWriteVbrTag()
	
2002-10-16 21:13  robert

	* libmp3lame/vbrquantize.c:

	fixing compiler warnings (unused code removed), some clean up
	
2002-10-16 18:01  bouvigne

	* frontend/get_audio.c, frontend/get_audio.h, frontend/parse.c,
	frontend/parse.h, frontend/timestatus.h, include/lame.h,
	libmp3lame/set_get.c, libmp3lame/takehiro.c:

	minor code cleanups in order to reduce warnings
	
2002-10-15 22:45  robert

	* frontend/main.h, libmp3lame/machine.h
	(takehiro-stable-2002_10_15):

	fixing Win32 issues
	
2002-10-15 22:02  robert

	* libmp3lame/: encoder.c, version.h (takehiro-stable-2002_10_15):

	Takehiro I hope you don't mind, but I bump the version to 94 alpha 1
	to avoid confusions if binaries are shown up at HA
	
2002-10-15 21:29  robert

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	fix for --vbr-new -Y crash
	we have to calc xr34 for the whole range, for sfb21 too
	
2002-10-15 19:16  robert

	* Makefile.unix, libmp3lame/psymodel.c, libmp3lame/util.h:

	reenentrant fix for loudness approx.
	
2002-10-15 17:07  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix short block with -X 0(vbr smooth method 1), especially for --r3mix.
	
2002-10-15 16:35  takehiro

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	fix short block with -X 0(vbr smooth method 1), especially for --r3mix.
	
2002-10-15 15:39  takehiro

	* frontend/main.h, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	fix for no-GTK, and on windows (same as what I've done mainline).
	
2002-10-15 15:37  takehiro

	* frontend/main.h (takehiro-stable-2002_10_15):

	ooops, I missed "n".
	
2002-10-15 15:35  takehiro

	* libmp3lame/lame.c (takehiro-stable-2002_10_15):

	fix for no-GTK environment.
	
2002-10-15 15:30  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	fix arround FLT_MAX/FLOAT_MAX (I hope)
	
2002-10-15 15:24  aleidinger

	* configure.in:

	different way of specifying the gcc version in the sparc section, the did not worked because autoconf does some nasty things with [ and ]
	
2002-10-15 11:30  aleidinger

	* doc/man/lame.1:

	catch up with HTML docs
	
2002-10-15 09:54  aleidinger

	* doc/html/Makefile.in:

	regen
	
2002-10-15 09:54  aleidinger

	* doc/html/Makefile.am:

	add presets.html
	
2002-10-15 09:53  aleidinger

	* doc/html/presets.html:

	typo fix
	
2002-10-15 09:50  aleidinger

	* configure:

	regen
	
2002-10-15 09:49  aleidinger

	* configure.in:

	Use sparc optimization on gcc 3.[123456].
	
	Submitted by:	"Spud McDuck" <dontspamonme@excite.com>
	
2002-10-15 09:33  aleidinger

	* frontend/: brhist.c, main.c, main.h, mp3rtp.c, mp3x.c, parse.c:

	PATH_MAX is in POSIX.1 (does not include the trailing NUL, so add +1), not MAXPATHLEN
	
2002-10-14 20:06  bouvigne

	* doc/html/: contributors.html, index.html, presets.html:

	html docs
	
2002-10-14 16:28  takehiro

	* testcase.mp3 (takehiro-stable-2002_10_15):

	update testcase.
	
2002-10-14 16:25  takehiro

	* libmp3lame/: psymodel.c, util.h (takehiro-stable-2002_10_15):

	reenentrant fix for loudness approx.
	
2002-10-14 16:06  takehiro

	* Makefile.B32, Makefile.DJGPP, libmp3lame/libmp3lame.dsp
	(takehiro-stable-2002_10_15):

	build environment related file update.
	I could not test them, but I hope it works.
	
2002-10-14 15:53  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	obsoleted --cwlimit option.
	
2002-10-14 15:53  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix
	(takehiro-2002_05_07-experimental):

	update Makefiles sync with Makefile.am
	
2002-10-13 20:35  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, encoder.c, fft.c, fft.h,
	lame.c, lame_global_flags.h, libmp3lame.dsp, libmp3lame_vc6.dsp,
	psymodel.c, psymodel.h, quantize.c, quantize_pvt.c, quantize_pvt.h,
	set_get.c, tables.c, tables.h, takehiro.c, util.c, util.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	bunch of cleanup for next generation LAME :)
	- goodbye gpsycho. only nspsy is supported.
	- functions related the initilization are moved to tables.c
	- some functions in quantize_pvt.c are moved to quantize.c
	- functions in fft.c moved to psymodel.c and fft.[ch] are removed
	- fix ATH-adjust to reentrant.
	
2002-10-13 17:30  takehiro

	* libmp3lame/: VbrTag.c, lame.c, lame_global_flags.h, set_get.c
	(takehiro-2002_05_07-experimental):

	sync the head. record preset parameter in LAME tag.
	
2002-10-13 15:52  takehiro

	* frontend/main.h (takehiro-2002_05_07-experimental):

	sync with the head branch.
	
2002-10-13 15:48  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c, set_get.c,
	util.h (takehiro-2002_05_07-experimental):

	- tuned impulse like signal detection of threshold calculation.
	
	- block switching tuning, for impulse like signal by using maximum of filtered
	signal, not by sum of its energy.
	
	- MP3X: print block switching factor(attack_intensity) instead of mx,
	  for nspsytune mode.
	
	- small optimization for ns_firfilter
	
	- prepare for faster nspsy. calculate the blocktype first, and after it,
	  only calculate the threshold for that blocktype.
	
	- clean up nspsy variables (remove unused variables).
	
	- calc_noise optimization for nspsy.
	
2002-10-13 11:36  robert

	* Makefile.MSVC, Makefile.unix (takehiro-2002_05_07-experimental):

	removed scalar.obj from targets
	
2002-10-13 08:10  takehiro

	* libmp3lame/: encoder.c, lame.c
	(takehiro-2002_05_07-experimental):

	oops, I mis-check in th one older version ;(
	
2002-10-13 07:58  takehiro

	* libmp3lame/: encoder.c, lame.c, quantize.c, quantize_pvt.c,
	quantize_pvt.h, tables.h (takehiro-2002_05_07-experimental):

	trivial changes.
	- cleanup initilization code.
	- better conjunctions of functions.
	
2002-10-09 17:27  takehiro

	* libmp3lame/encoder.c, libmp3lame/lame.c, frontend/parse.c,
	include/lame.h, libmp3lame/lame_global_flags.h,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	large cleanup arround padding
	- padding mode is always set by suitable one.
	- gfp->padding_type and the functions to set/get it are removed.
	
	unused function optimum_samplefreq() is removed.
	
2002-10-09 17:24  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in, scalar.nas
	(takehiro-2002_05_07-experimental):

	remove scalar.nas
	
2002-10-09 17:22  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen
	
2002-10-09 17:22  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix extopt for gcc 3.1/3.2
	
2002-10-08 19:30  bouvigne

	* libmp3lame/: VbrTag.c, lame.c, lame_global_flags.h, set_get.c:

	preset info stored into Info tag
	
2002-10-08 17:43  bouvigne

	* frontend/main.h:

	win32 build fix
	
2002-10-08 13:59  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen
	
2002-10-08 13:59  takehiro

	* libmp3lame/: Makefile.am, tools.c, tools.h, util.c
	(takehiro-2002_05_07-experimental):

	removed unused tools.[hc]
	
2002-10-08 13:38  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen once more :(
	
2002-10-08 13:35  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen
	
2002-10-08 13:34  takehiro

	* ltconfig, acinclude.m4, configure.in
	(takehiro-2002_05_07-experimental):

	sync the head branch.
	fix gcc options for gcc3.1 after and 3.0.x
	
2002-10-08 13:30  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen
	
2002-10-08 13:19  takehiro

	* frontend/: main.c, main.h, mp3rtp.c, mp3x.c, parse.c
	(takehiro-2002_05_07-experimental):

	sync the head branch.
	- MAXPATHLEN related fix.
	- sizeof(short) related fix.
	
2002-10-08 13:18  takehiro

	* libmp3lame/lameerror.h, include/lame.h, libmp3lame/Makefile.am
	(takehiro-2002_05_07-experimental):

	moved error code definitions into lame.h
	
2002-10-08 12:58  takehiro

	* frontend/main.c:

	sync my branch: fix warning of ReportLameTagProgress() definition
	
2002-10-08 12:51  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	remove unneeded include
	
2002-10-08 12:50  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix NO_PAD
	
2002-10-08 09:09  aleidinger

	* configure:

	regen
	
2002-10-08 08:59  aleidinger

	* ChangeLog:

	update with uptodate data
	
2002-10-08 08:57  aleidinger

	* ChangeLog.header:

	add info how to show the branches in the ChangeLog
	
2002-10-08 08:53  aleidinger

	* libmp3lame/version.h:

	bump alpha version
	
2002-10-08 08:51  aleidinger

	* configure.in:

	replace the -pipe hack for mips-sgi-irix with a test for GNU ld
	(sorry, I forgot who submitted it)
	
2002-10-08 08:50  aleidinger

	* acinclude.m4:

	actually commit the generated file with the alignment fix for 64 bit architectures
	
2002-10-08 08:50  aleidinger

	* ltconfig:

	improved "deplibs_check_method" for freebsd-elf
	
2002-10-08 08:44  aleidinger

	* frontend/: main.c, main.h, mp3rtp.c, mp3x.c, parse.c:

	- spell MAX_NAME_LEN the POSIX way (MAXPATHLEN) and make sure we have
	  a fallback if it doesn't get defined (please test this on Windows)
	- fix for sizeof(short int) != sizeof(int) in mp3rtp.c
	
	Patches based upon bugreport from Greg Lehey <grog@freebsd.org> and fixes
	in the FreeBSD ports collection from Mikhail Teterin <mi@freebsd.org>.
	
2002-10-07 16:47  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	fix warnings
	
2002-10-07 16:46  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix warning
	
2002-10-07 14:24  takehiro

	* libmp3lame/: lame.c, psymodel.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	more nspsytune optimization.
	
	- use FAST_LOG10 instead of log. this may change the result little bit,
	but I think that is rare case and no problem about the quality.
	
	- presetTune.athadjust_msfix is moved to nsPsy.athadjust_msfix
	
	- nsPsy.safejoint is removed.
	
2002-10-07 13:41  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	more cleanup of perceptual entropy calculation.
	- it calculates only one of the long/short block pe,
	  after the block type is detemined.
	
2002-10-07 13:38  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix warning
	
2002-10-07 12:49  takehiro

	* libmp3lame/: psymodel.c, quantize_pvt.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	trivial code optimizations, no result changes.
	- gfp->ATHlower is now stored the number multiplied by -0.1.
	
	- nspsytune optimization
	  * precalculate the 1.0/numlines_l[]
	  * cleanup perceptual entropy storing method and loop hoisting.
	  * unrolling tonality calculation loop.
	
2002-10-07 09:13  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	oops, fix build when BRHIST is enabled.
	
2002-10-07 09:11  takehiro

	* frontend/brhist.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	clean up bitrate histgram.
	And do not compile the brhist-related code when "./configure --without-brhist"
	
2002-10-07 09:09  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix warning
	
2002-10-07 08:57  takehiro

	* libmp3lame/: encoder.c, fft.c, presets.c, psymodel.c, set_get.c,
	util.c, util.h, vbrquantize.c (takehiro-2002_05_07-experimental):

	small code cleanups. all of them does not change the result.
	- better conjunctions.
	  * updateStats() is moved from util.c to encoder.c
	  * select_kth_int() is moved from util.c to vbrquantize.c
	- fft window function table is moved from gfc to static variable in fft.c.
	  once apon a time, the window function is differed from nspsy/gpsy, so the
	  table should be stored separetedly for each encoding entity. but now, it
	  is unified and we can unify the table function.
	- presetTune.attackthre and presetTune.attackthre_s are moved to nsPsy.
	
2002-10-06 18:14  takehiro

	* libmp3lame/: psymodel.c, quantize.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	preset clean up.
	- use the current block_type itself to determine the quantization result
	comparing method.
	- remove presetTune.quantcomp_current.
	- changed presetTune.attackthresh and presetTune.attackthresh_s type (int -> FLOAT).
	
	I think the 1st one is BUG of preset, affected all preset modes.
	It determines how to compare the quantized spectrums by the blocktype of 1st
	granule of the next frames, last channel (R or S), for all the channel and
	all the granule.
	
2002-10-06 18:06  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	due to the nspsy long/short switching mode fix, attack threshold should be
	tuned again.I used awe32, fatboy, DEATH2, and other "normal" samples to
	determine the threshold.
	
	now awe32 is not killer sample of --preset standard, I think.
	# but the bitrate is increased, of course.
	
	and it seems vangelis1.wav needs some more tuning, but I am so sleeeeeeepy.
	
2002-10-06 16:46  takehiro

	* libmp3lame/: encoder.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	- make adjust_ATH() static and cleanup
	  (include Gabriel's clean up in the head branch)
	- padding code clean up
	- block type code cleanup
	- ATH related initialization code is moved to psymodel.c
	
2002-10-06 16:43  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	sync with the head branch (Gabriel's code cleanup... remove "historical" code)
	
2002-10-06 16:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	sync with head.(code cleanup by Gabriel)
	
2002-09-30 16:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	moved substep shaping position. bit slower but better quality for higher bitrate (especially for the case 320kbps is not enough).
	
2002-09-30 16:57  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix substep 2, 3, 6, and 7. (working area allocation)
	
2002-09-30 16:49  bouvigne

	* libmp3lame/: encoder.c, quantize.c, util.c:

	some code cleanups
	
2002-09-30 16:28  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix mdct filter coefs, for -k option(thanx reporting, Robert).
	
2002-09-29 15:38  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	fix cygwin build
	
2002-09-29 06:02  takehiro

	* libmp3lame/reservoir.c (takehiro-2002_05_07-experimental):

	sync with the head branch.
	- bit reservoir handling of freeformat.
	
2002-09-28 16:12  takehiro

	* libmp3lame/: util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	small optimizations for --vbr-new
	- gfc->VBR->scratch is moved to the local variable.
	- remove quality mapping(directly switch statement)
	- code clean up.
	
2002-09-28 13:27  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	- sync --vbr-new with the head branch.
	- better substep shaping for --vbr-new.
	- the meaning of best huffman coding with --vbr-new is bit different from
	that of head tree.
	
2002-09-28 10:36  takehiro

	* frontend/get_audio.c, frontend/parse.c, include/lame.h
	(takehiro-2002_05_07-experimental):

	fix warnings.
	
2002-09-28 10:36  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	make select_kth() static function.
	
2002-09-28 10:26  takehiro

	* Makefile.DJGPP, Makefile.MSVC, Makefile.am, Makefile.in,
	README.DJGPP, configure, configure.in, testcase.mp3,
	ACM/ACMStream.cpp, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	ACM/tinyxml/Makefile.in, Dll/BladeMP3EncDLL.c,
	Dll/BladeMP3EncDLL.def, Dll/BladeMP3EncDLL.h, Dll/Example.cpp,
	Dll/Example_vc6.dsp, Dll/Example_vc6.dsw, Dll/LameDLLInterface.htm,
	Dll/LameDll_vc6.dsp, Dll/Makefile.in, debian/Makefile.in,
	debian/changelog, debian/rules, doc/Makefile.in,
	doc/html/Makefile.in, doc/html/contributors.html,
	doc/html/history.html, doc/html/index.html, doc/html/switchs.html,
	doc/man/Makefile.in, doc/man/lame.1, dshow/Encoder.cpp,
	dshow/Makefile.in, frontend/get_audio.c, frontend/parse.c,
	include/Makefile.in, include/lame.h, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/presets.c, libmp3lame/set_get.c, libmp3lame/util.h,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in
	(takehiro-2002_05_07-experimental):

	large sync with the head branch. almost all the code is now synced with the head.
	
2002-09-28 09:30  takehiro

	* libmp3lame/VbrTag.c:

	remove some #include (these header files are included from VbrTag.h.)
	
2002-09-28 09:23  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	fix all known problems on my tree (I hope).
	- fix mishandling of long/short block type when storing pe[].
	- fix psymodel initialization (array index initialization), which fixes
	  floating exception in psymodel.c.
	- one more preecho prevention code fix.
	- sync with my psymodel patch in the head branch
	
	and small improvement.
	- implement better block type restriction
	(when MS, both channels should be same block type, but when LR, it is not needed).
	- faster FIR filter for pe[] adjustment in encoder.c.
	
2002-09-28 09:16  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	zeroed all ancillary area, when the debug mode.
	
2002-09-23 07:00  bouvigne

	* include/lame.h:

	presets (sorry, this part was missing)
	
2002-09-22 16:53  bouvigne

	* frontend/parse.c, libmp3lame/presets.c:

	presets
	
2002-09-21 00:31  markt

	* libmp3lame/quantize_pvt.c:

	fixed bug which was causing the calc_noise assert failure.
	
2002-09-19 20:39  robert

	* libmp3lame/: encoder.c, lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	merger from mainline:
	undo of broken VBR min fill patch
	padding code clean up
	
2002-09-16 16:28  takehiro

	* configure, configure.in:

	we don't want to run the X :)
	
2002-09-16 07:43  takehiro

	* frontend/: brhist.c, console.c
	(takehiro-2002_05_07-experimental):

	sync with head branch.
	- Mark's compilation fix.
	- Alex's warning fix on 64bit environment.
	
2002-09-16 07:25  takehiro

	* aclocal.m4 (takehiro-2002_05_07-experimental):

	sync with the head branch.
	- prevent unaligned access on some 64 bit arches, by Alexander (and Ti.)
	
2002-09-15 17:47  bouvigne

	* libmp3lame/: reservoir.c, set_get.c:

	Relax of freeformat reservoir after discussion with Robert
	
2002-09-13 20:04  markt

	* frontend/brhist.c:

	This code:
	
	#if defined(HAVE_TERMCAP_H)
	# include <termcap.h>
	#elif defined(HAVE_NCURSES_TERMCAP_H)
	# include <ncurses/termcap.h>
	#endif
	
	changed to:
	
	#if defined(HAVE_NCURSES_TERMCAP_H)
	# include <ncurses/termcap.h>
	#elif defined(HAVE_TERMCAP_H)
	# include <termcap.h>
	#endif
	
	because on my system, both TERMCAP and NCURSES_TERMCAP were
	defined by configure, but term.h and termcap.h have conflicts,
	whileterm.h and ncurses/termcap.h works fine.
	
2002-09-09 21:43  robert

	* frontend/parse.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/psymodel.c:

	lame.c, encoder.c: fix padding oddities
	psymodel.c: fix nspsy code for all/no short blocks
	parse.c: -d now obsolete
	
2002-09-08 06:36  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one more sync with head branch (ms energy ratio).
	
2002-09-07 12:39  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	sync with the head branch psymodel fix.
	
2002-09-06 11:11  aleidinger

	* configure:

	regen
	
2002-09-06 10:53  aleidinger

	* configure.in:

	- no opts if non empty cflags and no expopt
	- accumulate-outgoing-args is x86 only
	  Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>
	- IRIX-gcc doesn't like '-pipe'
	  Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>
	
2002-09-06 09:24  aleidinger

	* frontend/: brhist.c, console.c:

	try to include the right headers for the tgetstr prototype;
	should fix problems on 64bit arches
	Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>
			Ti Kan <ti@amb.org>
	Tested by:	Ti Kan <ti@amb.org>
	
2002-09-06 09:22  aleidinger

	* aclocal.m4:

	prevent unaligned access on some 64 bit arches
	Noticed by:	Ti Kan <ti@amb.org>
	Tested by:	Ti Kan <ti@amb.org>
	
2002-09-05 16:53  bouvigne

	* libmp3lame/: reservoir.c, set_get.c:

	free format fix
	
2002-09-03 11:34  aleidinger

	* frontend/parse.c:

	1 argument too much for fprintf
	
2002-09-03 11:18  aleidinger

	* doc/man/lame.1:

	add --noasm
	
2002-09-02 12:02  takehiro

	* doc/html/history.html:

	added my psymodel change, and so on.
	
2002-09-02 11:56  takehiro

	* testcase.mp3:

	regen with the latest LAME after psymodel was fixed.
	This is produced by the LAME with ./configure --enable-nasm --enable-debug --enable-mp3x, compiled gcc 3.1.1, on linux2.4.19, glibc2.2.2, Duron 1GHz(3DNow! is enabled).
	
2002-09-02 11:51  takehiro

	* libmp3lame/lame.c:

	fix for Tru64 UNIX build, reported by Ti Kan.
	
2002-09-01 16:08  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	doc/html/index.html, doc/html/switchs.html, frontend/parse.c:

	docs
	
2002-09-01 16:03  takehiro

	* libmp3lame/psymodel.c:

	fix small psymodel bugs since long time ago(some of them are since 3.70 era...)
	- highpass filter of MS energy calculation to neglect the DC.
	- always do the Robert's short block pre-echo prevention and
	  fix its initialization (the fix is only for nspsy).
	- fix energy and threshold of DC and the highest freq. element are halven.
	- fix nspsytune FIR filter length
	
2002-08-30 20:52  robert

	* Makefile.MSVC:

	MSVC: fix "-GX" typo
	ICL: allow special compiles for PII and PIII
	
2002-08-27 22:43  rbrito

	* debian/: changelog, rules:

	Update Debian packaging. More changes to come.
	
2002-08-26 20:38  robert

	* libmp3lame/: lame.c, quantize.c, util.h:

	undo of VBR bitres min fill patch
	
2002-08-25 20:17  bouvigne

	* frontend/parse.c:

	merge of alt presets
	
2002-08-25 15:09  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do substep noise shaping in ABR mode, including bitrate compensation.
	
2002-08-25 15:08  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	trivial coding optimization of fast_log2
	
2002-08-25 15:08  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	revert some FAST_LOG usage. It sometime happens SIGFPE(overflow).
	
2002-08-25 10:54  takehiro

	* libmp3lame/: quantize.c, reservoir.c
	(takehiro-2002_05_07-experimental):

	Tuning the bit reservoir filling rate when substep noise shaping method 1,
	and do not substep noise shaping if the bit reservoir is almost full.
	
2002-08-24 19:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	minor fix for global_gain limitation.
	
2002-08-24 17:28  takehiro

	* libmp3lame/: VbrTag.c, lame.c (takehiro-2002_05_07-experimental):

	sync main tree.
	- portability fix for sunos 4.x by Alexander Leidinger.
	
2002-08-24 17:25  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	quick fix of warning.
	
2002-08-24 17:23  takehiro

	* libmp3lame/: quantize.c, set_get.c
	(takehiro-2002_05_07-experimental):

	do not do the substep noise shaping when the block type is SHORT,
	because it seems short block threshold calculation is very buggy
	(both of ns/gpsycho).
	
	new option: --substep 4,5,6,7
	  force substep shaping even on the SHORT block.
	
2002-08-24 17:12  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	use FAST_LOG() more.
	minimize the ns_hpfsmpl[] array.
	better ns_hpfsmpl[] calculation.
	
2002-08-24 17:10  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	use of FAST_LOG() more for faster encoding
	
2002-08-24 17:09  takehiro

	* libmp3lame/presets.c (takehiro-2002_05_07-experimental):

	I forgot to change the default quality setting of abr mode,
	when I remap the quality <-> actual setting.
	
2002-08-24 16:08  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	revert some GTK change to fix the mp3x spectrum display of short block.
	
2002-08-20 16:59  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix mp3x spectrum display
	
2002-08-20 16:51  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	fix mp3x pe[] display.
	
2002-08-20 16:28  takehiro

	* libmp3lame/encoder.c:

	fix mp3x spectrum display
	
2002-08-20 16:09  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix SIGFPE (divided by 0) of filter init.
	
2002-08-20 13:03  takehiro

	* libmp3lame/: lame.c, newmdct.c, util.h
	(takehiro-2002_05_07-experimental):

	cleanup polyphase filtering.
	- highpass/lowpass coefs. are integrated into one array.
	- reordered gfc members to get better cache performance.
	- remove gfc->is_mpeg1
	
2002-08-20 12:59  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	remove gfc->is_mpeg1
	
2002-08-20 12:58  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	cleanup arround cw_lower_index
	
2002-08-20 12:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove some debug code.
	remove gfc->is_mpeg1
	
2002-08-20 12:45  takehiro

	* libmp3lame/: bitstream.c, tables.c, tables.h
	(takehiro-2002_05_07-experimental):

	moved scfsi_band[] into tables.c
	
2002-08-19 15:09  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	better preflag use by using "all zero" band.
	this breaks testcase little bit(make test).
	
2002-08-19 04:57  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	psymodel.c cleanup (2)
	- remove some constants (bu_?, npart_?_orig, SNR_s, w1_?, w2_?) from gfc.
	- do always short block preecho prevention. this makes some breaks for
	  testcase(make test).
	- do always normalize the s3_ss by SNR_s[] for faster calculation for gpsycho.
	- optimize tonality computation for gpsycho.
	- FFT/energy computation code of [g|ns]psy are integrated.
	- GTK code cleanup
	- make a new constants bm_?, band middle position table in gfc.
	- cleranup table initialization code.
	
2002-08-19 04:47  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	trivial cleanup arround joint stereo/GTK code
	
2002-08-17 16:41  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	more psymodel cleanup.
	- GTK compilation fix
	- fix mistake of wsamp_l and wsamp_L
	- little block_type_set() cleanup
	- gfc->energy[] and energy_s[] are removed.
	
2002-08-17 16:37  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial
	
2002-08-17 07:09  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	divide psymodel.c into manageable pieces (1)
	and some optimization/simplification.
	
2002-08-14 04:02  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	small fixes.
	- variable type change of PE calculation.
	- make it allow the mixed block limitation of MP3
	- cleanup the block type code.
	
2002-08-14 03:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	ci to avoid losing works.
	- short block detection cleanup and bug fix, for nspsytune (1st attempt)
	- preliminal mixed block detection code.
	
2002-08-14 03:57  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	optimize calc_xmin() and changed ATH normalization for it.
	
2002-08-08 09:03  aleidinger

	* Makefile.in:

	regen
	
2002-08-08 09:00  aleidinger

	* Makefile.am:

	Add lame.spec to the distribution tarball, as suggested in bug #580586
	
2002-08-08 08:48  aleidinger

	* README.DJGPP, Makefile.DJGPP:

	Fix from Peder Hedlund, see bug #590981.
	
2002-08-05 18:04  afaber

	* Dll/BladeMP3EncDLL.c:

	Fixed crashing problem when the INFO TAG was written while it should not
	
2002-08-02 20:53  afaber

	* Dll/BladeMP3EncDLL.c:

	Some code clarifications (remarks from Martin Ruckert)
	
2002-08-02 20:52  afaber

	* Dll/LameDLLInterface.htm:

	Small textual changes (remarks from Martin Ruckert)
	
2002-07-30 20:24  aleidinger

	* frontend/get_audio.c, libmp3lame/VbrTag.c, libmp3lame/lame.c:

	Portability fixes for SunOS 4.x.
	
2002-07-30 08:28  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	merge short/long block code (preparing mixed block support)
	
2002-07-28 09:56  takehiro

	* Makefile.am, Makefile.in, aclocal.m4, config.h.in, configure,
	configure.in, libmp3lame/VbrTag.h
	(takehiro-2002_05_07-experimental):

	more sync. arround configure stuff.
	
2002-07-28 09:52  takehiro

	* mac/.cvsignore:

	file .cvsignore was initially added on branch takehiro-2002_05_07-experimental.
	
2002-07-28 09:52  takehiro

	* mac/.cvsignore (takehiro-2002_05_07-experimental):

	ignore Makefile et al.
	
2002-07-28 09:24  takehiro

	* frontend/get_audio.c, include/lame.h,
	libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	syncing.
	- fix mpeg decoding memory leak.
	- lame.h comment fix.
	
2002-07-28 09:18  takehiro

	* include/lame.h:

	fix unclosed comment
	fix typo
	
2002-07-28 09:08  takehiro

	* libmp3lame/: presets.c, set_get.c
	(takehiro-2002_05_07-experimental):

	more sync with main tree about preset API.
	
2002-07-28 09:07  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	fix warning
	
2002-07-28 09:06  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	simplify the code.
	disabled substep method 2 and 3 for vbr-new (forced to change method 1)
	
2002-07-28 06:59  rbrito

	* debian/changelog:

	Updating debian/changelog's reported version.
	
2002-07-27 10:35  afaber

	* Dll/: Example.cpp, Example_vc6.dsp, Example_vc6.dsw:

	Added example VC6 project files, updated Example.cpp file
	
2002-07-27 07:41  takehiro

	* API, DEFINES, INSTALL, Makefile.am, Makefile.unix, lame.spec.in,
	ltmain.sh (takehiro-2002_05_07-experimental):

	sync with main tree. no effects the quality.
	
2002-07-27 07:39  takehiro

	* frontend/: Makefile.in, timestatus.c
	(takehiro-2002_05_07-experimental):

	sync with main tree. time status rollback and newly regened Makefile.in
	
2002-07-27 07:03  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	sync with main tree. changed comment style, // to /*  */
	
2002-07-27 06:59  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix cygwin/vc compilation problem.
	some speed improvement for --substep.
	
2002-07-27 06:54  takehiro

	* libmp3lame/presets.c (takehiro-2002_05_07-experimental):

	sync with main tree.
	
2002-07-26 22:27  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.def, BladeMP3EncDLL.h:

	changes to support encoding of multiple streams
	
2002-07-26 18:56  markt

	* frontend/get_audio.c, include/lame.h,
	libmp3lame/mpglib_interface.c:

	memory leak in multiple decodes fixed.
	
2002-07-26 08:18  takehiro

	* mac/: LAME Carbon Debug.pch, LAME Carbon Final.pch, LAME Classic
	Debug.pch, LAME Classic Final.pch, LAME_Carbon_Debug.pch,
	LAME_Carbon_Final.pch, LAME_Classic_Debug.pch,
	LAME_Classic_Final.pch, Makefile.am
	(takehiro-2002_05_07-experimental):

	sync with main tree. (changed file name)
	
2002-07-21 22:11  takehiro

	* libmp3lame/: Makefile.am, quantize.c
	(takehiro-2002_05_07-experimental):

	fix and cleanup of "pseudo substep" method 1 and 3.
	revert Robert's change of VBR bitresevoir handling code.
	
2002-07-21 15:15  aleidinger

	* include/lame.h:

	ANSIfy comments. Requested by Ti Kan <ti@amb.org> for xmcd
	
2002-07-21 12:17  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, set_get.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	implement pseudo substep noise shaping method 1 and 3.
	- it reduces about 3% of bitrate without losing any quality (theoretically),
	  for vbr mode.
	- fix "off by one" bug of IPOW[]
	- fix comment and substep method range check in set_get.c
	
	WARNING:there's some bug in the combination of --vbr-new and --substep.
	
2002-07-21 12:11  takehiro

	* libmp3lame/: lame.c, util.c (takehiro-2002_05_07-experimental):

	sync with main tree: scaling bug fix.
	
2002-07-21 12:10  takehiro

	* mac/: Makefile.am, Makefile.in
	(takehiro-2002_05_07-experimental):

	sync with main tree: added Makefile.*
	
2002-07-21 12:09  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	sync with main tree: use FASTLOG as defaulted.
	
2002-07-19 17:20  afaber

	* Dll/LameDll_vc6.dsp:

	added ,HAVE_NASM,MMX_choose_table defines to project file,
	since beGetBersion did not report that the DLL was compiled with
	MMX enabled
	
2002-07-15 21:22  markt

	* libmp3lame/: util.c, util.h:

	enabled domd's fast_log code
	
2002-07-15 00:52  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one more fix for pe[] calculation of nspsytune.
	
2002-07-14 10:41  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	fix mp3x "bit assumption(of frame)" display imcompatibility of main tree.
	
2002-07-14 10:36  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x "bit assumption" display imcompatibility of main tree.
	
2002-07-14 10:19  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix enbug of pe[] calculation for nspsytune.
	prepare for nspsytune cleanup.
	
2002-07-13 08:10  aleidinger

	* configure, libmp3lame/Makefile.in:

	regen
	
2002-07-13 08:09  aleidinger

	* configure.in:

	Some fixes in the compiler options, removed superfluous BeOS section.
	
2002-07-13 08:08  aleidinger

	* libmp3lame/Makefile.am:

	Fixes for BeOS (and perhaps other arches) to allow the build of a
	shared lib.
	
	Submitted by:	Andrew Bachmann <shatty@myrealbox.com>
	
2002-07-05 15:17  afaber

	* Dll/LameDLLInterface.htm:

	fixe a couple of typos'
	
2002-07-03 22:28  afaber

	* Dll/BladeMP3EncDLL.c:

	fixed minor problems with the ALT-PRESET CBR/ABR modes
	
2002-07-03 21:14  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	avoid crash in beWriteVbrTag when gfp is not allocated, fixed return value of beWriteVbrTag in *.h file
	
2002-06-29 12:29  aleidinger

	* libmp3lame/: lame.c, util.c:

	Patch from Simon Blandford <ome@simonb.org.uk>:
	---snip---
	The problem:
	When in MONO mode, LAME merges the two channels before the left/right
	scaling. The left scale acts on the remaining signal and the right scale
	is ignored.
	
	The solution:
	The scaling operation is simply moved before the channel merge
	operation. Also, all these operations are moved before the re-sample
	operation otherwise the signal would have be re-sampled on two channels
	even in MONO mode which would be a waste of CPU time.
	---snip---
	
2002-06-23 16:07  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x display of threshold level (blue/green bar in FFT window).
	use FAST_LOG10 in klemm's penalties() function.
	trivial fix of max_noise initialization (do not effect anything but for the consistency of comment).
	
2002-06-23 16:04  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen
	
2002-06-23 14:40  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix max_noise initilization
	and trivial coding style change
	
2002-06-23 12:56  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x display of max_noise, tot_noise, over_noise
	
2002-06-23 12:56  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	trivial
	
2002-06-23 08:30  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	more faster pe[] calculation on nspsy.
	
	sync with main tree:
	- domd's faster LOG and psymodel_ns optimization
	
2002-06-23 06:19  takehiro

	* include/lame.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	sync with main tree.
	- fixed return type of lame_get_interChRation()
	
2002-06-23 05:53  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, libmp3lame_vc6.dsp, pcm.c,
	pcm.h (takehiro-2002_05_07-experimental):

	sync with main tree.
	- remove pcm.[ch]
	
2002-06-17 17:19  domd

	* DEFINES:

	added USE_FAST_LOG define
	
2002-06-16 20:16  domd

	* libmp3lame/psymodel.c:

	optimizations on mask_add and L3psycho_anal_ns
	
2002-06-16 20:14  domd

	* libmp3lame/quantize_pvt.c:

	optimization : use of FAST_LOG10 macro in calc_noise
	
2002-06-16 20:13  domd

	* libmp3lame/: lame.c, util.c, util.h:

	added the FAST_LOG10 and FAST_LOG  macros
	
2002-06-15 17:56  markt

	* Dll/BladeMP3EncDLL.c:

	added missing ")"
	
2002-06-12 18:41  markt

	* dshow/Encoder.cpp:

	directshow, like ACM, cannot support INFO tag.
	INFO tag disabled in dshow code.
	
2002-06-12 18:36  markt

	* ACM/ACMStream.cpp:

	added note about INFO tag not possible when using ACM codec,
	since ACM has no mechanism to rewind output stream when
	encoding is finished.
	
2002-06-12 18:27  markt

	* API, Dll/BladeMP3EncDLL.c, Dll/Example.cpp,
	Dll/LameDLLInterface.htm:

	updated documentation (API and DLL)
	to clarify that INFO tag must be written
	unless explicitly disabled.
	
2002-06-11 09:21  aleidinger

	* configure:

	gtk-config fix (oops... sorry)
	
2002-06-09 16:01  takehiro

	* include/lame.h, libmp3lame/set_get.c:

	fix return type of lame_get_interChRatio()
	
2002-06-04 19:16  bouvigne

	* libmp3lame/psymodel.c:

	merged little part of Dom's speed optimization
	
2002-06-04 15:04  aleidinger

	* configure:

	regen
	
2002-06-04 15:03  aleidinger

	* configure.in:

	-maccumulate-outgoing-args is x86 only
	
	Reported by: "Spud McDuck" <dontspamonme@excite.com>
	
2002-06-02 19:09  aleidinger

	* configure:

	regen
	
2002-06-02 19:08  aleidinger

	* config.h.in, configure.in:

	damn autoconf, hopefully this version works as intended
	
2002-06-02 17:02  aleidinger

	* configure:

	regen
	
2002-06-02 17:00  aleidinger

	* configure.in:

	use "else if ... fi" instead of "elif ..."
	
2002-06-02 17:00  aleidinger

	* libmp3lame/Makefile.in:

	regen (removal of pcm.[ch])
	
2002-06-02 14:50  robert

	* libmp3lame/: Makefile.in, libmp3lame_vc6.dsp:

	moved unused code pcm.[ch] into the Attic
	interested parties will find it there
	
2002-06-02 14:45  robert

	* libmp3lame/: Makefile.am, pcm.c, pcm.h:

	moved unused code pcm.[ch] into the Attic
	interested parties will find it there
	
2002-06-02 14:20  aleidinger

	* configure:

	regen + perl -pi -e 's:--no-verify::' configure
	
	Does anyone know how to do this with autoconf directly?
	
2002-06-02 14:17  aleidinger

	* aclocal.m4:

	undo last commit, wrong file and wrong commit message
	
2002-06-02 14:16  aleidinger

	* acconfig.h:

	not needed anymore
	
2002-06-02 14:15  aleidinger

	* Makefile.in:

	regen after removal of aclocal.m4
	
2002-06-02 14:13  aleidinger

	* config.h.in:

	regen
	
2002-06-02 14:13  aleidinger

	* configure.in:

	- redo {,u}int{8,16,32,64}_t stuff with new autoconf 2.53 macros
	- fix code which sets experimental options
	  Thanks to: Akos Maroy <darkeye@tyrell.hu>
	- fix GCC_version for 3.1
	  Thanks to: Akos Maroy <darkeye@tyrell.hu>
	- further autoconf 2.53 updates
	- minor fixes
	
2002-06-02 14:10  aleidinger

	* aclocal.m4:

	is not needed anymore
	
2002-06-02 12:21  aleidinger

	* aclocal.m4:

	update to autoconf 2.53
	
2002-06-02 12:17  aleidinger

	* libmp3lame/: VbrTag.c, VbrTag.h, pcm.c, pcm.h, util.h:

	add some includes
	
2002-05-28 08:28  aleidinger

	* configure:

	regen
	
2002-05-28 08:24  aleidinger

	* ACM/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	include/Makefile.in, libmp3lame/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in, ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in,
	libmp3lame/i386/Makefile.in:

	regen
	
2002-05-28 08:07  aleidinger

	* configure.in:

	- update to autoconf 2.53
	- add ultrasparc detection and compiler switches in case of gcc 3.1
	
2002-05-28 08:04  aleidinger

	* Makefile.in:

	regen
	
2002-05-28 08:04  aleidinger

	* Makefile.am:

	add mac subdir
	
2002-05-28 08:03  aleidinger

	* mac/Makefile.in:

	generated Makefile.in
	
2002-05-28 07:52  aleidinger

	* mac/Makefile.am:

	add automake clue
	
2002-05-28 07:48  aleidinger

	* mac/: LAME Carbon Debug.pch, LAME Carbon Final.pch, LAME Classic
	Debug.pch, LAME Classic Final.pch, LAME_Carbon_Debug.pch,
	LAME_Carbon_Final.pch, LAME_Classic_Debug.pch,
	LAME_Classic_Final.pch:

	rename files because of automake (space to underscore conversation)
	
2002-05-26 15:52  takehiro

	* libmp3lame/: lame.c, quantize.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	sync with main tree, except arround vbrquantize.c.
	- it calls best_huffman_divide() twice.
	- *_block_sf() are out of sync.
	
2002-05-25 23:30  markt

	* libmp3lame/lame.c:

	fixed a mono encoding bug found by Justin Schoeman
	
	For single channel input, the 2nd channel was still required
	to exit and have as much data as the 1st channel becaus of
	memcpy's (even though this data was never used)
	
2002-05-24 17:28  markt

	* Dll/BladeMP3EncDLL.c, libmp3lame/lame.c:

	removed all references to "sample_t" from the DLL.
	
	someone put in a call to lame_encode_buffer_sample_t
	(not a public interface to libmp3lame)
	when they should have used lame_encode_buffer_float(),
	since they were assuming 'sample_t' was a float.
	
2002-05-20 22:21  robert

	* libmp3lame/: lame.c, quantize.c, util.h:

	VBR bitreservoir minimum filling depending on back pointer from largest frame allowed
	
2002-05-20 18:22  robert

	* Makefile.unix, libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/vbrquantize.c:

	Makefile.unix:
	-malign-double  enabled, helps memcpy
	
	lame.c:
	new experimental -X{5,9} settings for --vbr-new
	
	quantize.c:
	build up bit reservoir for VBR, allows to limit max frame size with -Bxxx
	without a too large quality impact
	
	vbrquantize.c:
	fixing sfb21 issues: -Y did not show the wanted effect
	xxx_block_xr34: replaced copy loop by memcpy, not faster but makes things
	more obvious
	some very minor speed ups
	
2002-05-19 22:11  markt

	* frontend/timestatus.c:

	initialize ellapsed time counter to 0.
	
2002-05-19 22:03  robert

	* libmp3lame/: quantize.c, vbrquantize.c:

	avoid calling best_huffman_divide twice for vbr-new
	
2002-05-19 16:43  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	experimental mixed block support.
	"--mixedblock" option to use it.
	
	currently, it uses mixed blocks on all short/start/end blocks.
	
	this is very bad idea. we need a proper psymodel.
	till we make it, this option is used only for the testing purpose.
	
2002-05-19 16:38  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization arround nspsytune
	
2002-05-19 15:13  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	merged little part of Dom's speed optimization.
	
2002-05-18 17:39  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	preparing for mixed block of bitpressure_strategy()
	
2002-05-18 17:33  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove magic numbers and prepare for mixed block.
	
2002-05-18 16:54  takehiro

	* libmp3lame/: machine.h, newmdct.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	fully cosmetic... changed INLINE -> inline
	
2002-05-18 16:53  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	prepare for the substep noise shaping method 1 and 3.
	
2002-05-18 16:15  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	trivial optimizations
	
2002-05-18 16:08  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	clean up table initialization and bit size optimization.
	- remove magic number "128". (and changed 116)
	- we don't need to prepare the both of adj43[] and adj43asm[].
	prepare only one of them, if we use asm code or not.
	
2002-05-18 16:00  takehiro

	* libmp3lame/: bitstream.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	use scfsi more.
	if all quantized value is 0, we can use scalefactor with not only 0 but
	also any number and in such a situation, we can use the scfsi.
	
2002-05-18 15:09  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	don't compile some code if analyzer is not needed.
	
2002-05-18 15:07  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c, quantize_pvt.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	optimization arround vbr_new with the new data structure.
	- merged short_block_xr34() and long_block_xr34() into block_xr34() and clean up
	- changed IIPOW20[] and remove some condition code.
	
2002-05-18 13:59  takehiro

	* libmp3lame/: quantize.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	arroud substep noise shaping.
	- prepare for "method 3".
	- start with "pseudo half shaped" state, if we use the method 2 or 3.
	
2002-05-18 13:50  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, set_get.c
	(takehiro-2002_05_07-experimental):

	simple calc_noise() optimization (remove one log())
	fix quatn_compare() when alt-preset.
	
2002-05-18 12:11  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	oops, fix calc_noise() bugfix :)
	
2002-05-18 12:10  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	trivial optimization by loop unrolling
	
2002-05-18 11:38  takehiro

	* libmp3lame/: machine.h, quantize.c, quantize_pvt.c,
	quantize_pvt.h (takehiro-2002_05_07-experimental):

	quick fix for "calc_noise_bug" reported by Mark.
	
2002-05-18 11:09  takehiro

	* libmp3lame/: lame.c, presets.c, set_get.c
	(takehiro-2002_05_07-experimental):

	changed alt-preset-* and comments to follow the change of quality setting.
	
2002-05-18 11:07  takehiro

	* libmp3lame/: machine.h, quantize.c
	(takehiro-2002_05_07-experimental):

	fix floating exception when global_gain > 255u.
	it frequently happens when best_huffman == 2
	
2002-05-18 10:25  takehiro

	* libmp3lame/: lame-analysis.h, lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	sync with main tree.
	- uped READ_AHEAD from 10 to 40 for the frame analyzer (By Mark)
	- removed warning when using -Y (By Robert)
	- removed unused bitpressure strategie 2 (VBR) (By Robert)
	
2002-05-14 21:32  robert

	* libmp3lame/: lame.c, quantize.c, util.h, vbrquantize.c,
	vbrquantize.h:

	removed warning when using -Y
	removed unused bitpressure strategie 2 (VBR)
	
2002-05-14 21:02  robert

	* libmp3lame/.indent.pro:

	changing max line length from 80 to 100 chars
	
2002-05-14 16:23  markt

	* frontend/timestatus.c:

	added comment about clock rollover check
	
2002-05-14 16:19  markt

	* frontend/: lametime.c, timestatus.c:

	put in rollover check in frontend cpu/wall clock timing routines.
	
	didn't we used to have this?
	
	user reported (on a 35min encode) that the output of clock()
	(of type clock_t) was rolling over and becoming negative.
	On his system, clock_t is a signed 32 bit int.
	
2002-05-12 18:47  markt

	* INSTALL:

	removed info about vorbis encoding from INSTALL
	
2002-05-12 18:01  markt

	* ltmain.sh:

	applied patch to ltmain.sh
	from sourceforge.net bug report. it passes LDFLAGS on to the
	linker?
	
	*** ltmain.sh.org	Sun Oct 22 14:06:32 2000
	--- ltmain.sh	Sun Apr 28 11:56:54 2002
	***************
	*** 818,824 ****
	      convenience=
	      old_convenience=
	      deplibs=
	!     linkopts=
	
	      if test -n "$shlibpath_var"; then
	        # get the directories listed in $shlibpath_var
	--- 818,824 ----
	      convenience=
	      old_convenience=
	      deplibs=
	!     linkopts="$LDFLAGS"
	
	      if test -n "$shlibpath_var"; then
	        # get the directories listed in $shlibpath_var
	
2002-05-12 17:20  markt

	* include/lame.h, libmp3lame/lame-analysis.h:

	added documentation to lame.h for lame_decode* functions
	
	uped READ_AHEAD from 10 to 40 for the frame analyzer
	
2002-05-12 13:52  takehiro

	* libmp3lame/: bitstream.c, l3side.h, quantize.c, quantize_pvt.c,
	quantize_pvt.h, takehiro.c, util.h, vbrquantize.c, vbrquantize.h
	(takehiro-2002_05_07-experimental):

	big data structure update (2)
	- this is very alpha. check is not done yet, but I should have sleep tonight :p
	- "make test" runs fine. but mp3x, vbr-new needs more test. abr mode aborts floating exception.
	- almost all the structured data, like l3_xmin, scalefac, distort, ... are now simple FLOAT8/integer array.
	- calc_noise() and so on is very simple code and very fast, because we can handle the long/short block by same code,
	- new member "window" and "width" are added to gr_info.
	
2002-05-12 09:30  takehiro

	* libmp3lame/quantize.c:

	fix inc_scalefac_scale() ignoring preflag.
	
2002-05-12 08:29  takehiro

	* Makefile.in (takehiro-2002_05_07-experimental):

	regen(forgot to check in)
	
2002-05-12 08:02  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	trivial cleanup
	
2002-05-12 08:02  takehiro

	* libmp3lame/reservoir.c (takehiro-2002_05_07-experimental):

	because #define NORES is not working as it was, I remove it.
	
2002-05-12 07:48  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	fix mp3x scalefactor display when scfsi used and cleanup on set_pinfo().
	fix warning arround calc_klemm_noise().
	
2002-05-12 07:30  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	noise calculation cleanup.
	- delayed calculation of klemm_noise and it is shared to store in max_noise.
	- max_noise, tot_noise and over_noise are now "B" order, not "dB".
	
2002-05-11 18:49  markt

	* lame.spec.in:

	new lame.spec.in file from Yosi.
	
2002-05-11 18:29  markt

	* libmp3lame/: quantize.c, quantize_pvt.c:

	applied Takehiro's bug fix for single channel bit reservoir usage
	for pre-echo control.
	
2002-05-11 18:28  takehiro

	* Makefile.am, libmp3lame/bitstream.c, libmp3lame/lame.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c,
	libmp3lame/takehiro.c, libmp3lame/vbrquantize.c
	(takehiro-2002_05_07-experimental):

	not testing much, but I think now best_huffman_divide==2 works.
	- default quality setting is changed to 3, and "make test" is done with that.
	- quality setting 0,1, and 2 with CBR/ABR/VBR-old mode uses best_huffman_divide==2.
	- best_scalefac_store() is not called in inner loop.
	- "lame -q 2 foo.wav foo.mp3" runs about half or more slower speed than that of "lame -q 3 ..."
	
2002-05-11 17:26  takehiro

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	combination of small patches mainly to get more tight coupling/inlining
	optimization.
	- in quantize_pvt.c, some functions are now static.
	- some "char" type table is now "int"
	- quantize_xrpow*() are moved from quantize_pvt.c to takehiro.c, and they are static function.
	- slen1_tab[] and slen2_tab[] are moved to takehiro.c
	
2002-05-11 16:42  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	oops, checked in the older one. fix CBR bit allocation.
	
2002-05-11 16:28  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h,
	reservoir.c, reservoir.h (takehiro-2002_05_07-experimental):

	fix --vbr-old for newer resovoir handling code.
	now it produces bit-by-bit identical from the main branch with my "limited test".
	
2002-05-11 14:39  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	sync with main tree
	- Robert's modification, 'more time consuming strategy to handle the case when more bits used than available'
	
2002-05-11 14:12  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	fix vbr-new arround bin_search_stepsize().
	it ignores part2_length to calculate cod_info->part2_3_length.
	
	consider part2_length inside of bin_search_stepsize(), not caller side.
	
2002-05-11 13:49  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix for vbr-new to work with new bin_search_stepsize()
	
2002-05-09 23:25  robert

	* libmp3lame/vbrquantize.c:

	vbr-new:
	more time consuming strategy to handle the case when more bits used than available
	
2002-05-08 22:28  takehiro

	* libmp3lame/quantize_pvt.h (takehiro-2002_05_07-experimental):

	oops I missed the merging.
	
2002-05-08 22:27  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.h, util.h
	(takehiro-2002_05_07-experimental):

	bin_stepsearch() hack.
	separete stepsize for each channel that we will use next frame
	little bit faster.
	
2002-05-08 21:30  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix warning
	
2002-05-08 21:07  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	sync with robert's latest patch on mainline.
	- allow best huffman divide to be used in vbr-new
	- moved ms_convert()
	
2002-05-08 21:00  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	monoraul bitallocation patch.
	
	thanx Robert to revert. and sorry for the trouble.
	I made my own branch and check the code on this.
	if I get the "bit-by-bit identical" output, I will merge the branch.
	I will follow the main line changes as possible.
	
	till then, bye for now. see you later, at the merging time.
	
2002-05-07 23:08  robert

	* libmp3lame/: quantize_pvt.h, vbrquantize.c:

	allow best huffman divide to be used in vbr-new
	
2002-05-07 21:24  robert

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	moved the tiny function ms_convert from quantize_pvt.c to quantize.c--the
	only client for it--giving a little speed increase
	
2002-05-07 21:11  robert

	* libmp3lame/: quantize.c, quantize_pvt.h, vbrquantize.c:

	better decoupling of vbrquantize.c and quantice.c
	
2002-05-07 20:21  robert

	* libmp3lame/: bitstream.h, quantize_pvt.h, reservoir.h, util.h:

	sorry Takehiro, we are back to the last known working version from Sunday
	13:35 UTC now
	
2002-05-07 20:15  robert

	* libmp3lame/: bitstream.c, encoder.c, quantize.c, quantize_pvt.c,
	reservoir.c, takehiro.c, util.c, vbrquantize.c:

	sorry Takehiro, we are back to the last known working version from Sunday
	13:35 UTC now
	
2002-05-06 16:03  takehiro

	* libmp3lame/quantize.c:

	fix for new reservoir handling code with my ABR patch.
	we don't need the totbits, because the reservoir size is reduced in
	ResvAdjust() in gr/ch loop and reservoir handler uses it.
	
2002-05-06 15:49  takehiro

	* ACM/: .cvsignore, ADbg/.cvsignore, tinyxml/.cvsignore:

	added cvsignore to ignore Makefile, etc.
	
2002-05-06 15:30  takehiro

	* include/lame.h, libmp3lame/bitstream.c, libmp3lame/encoder.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c:

	cleanup. remove a compiling problem and some warnings.
	
2002-05-05 18:34  takehiro

	* libmp3lame/quantize.c:

	one more outer_loop() fix for VBR.
	
2002-05-05 18:18  takehiro

	* libmp3lame/quantize.c:

	outer_loop() fix for vbr_rh and vbr_mtrh
	
2002-05-05 17:37  takehiro

	* libmp3lame/quantize_pvt.c:

	update comment
	
2002-05-05 17:17  takehiro

	* libmp3lame/: bitstream.c, bitstream.h, encoder.c, quantize.c,
	reservoir.c, util.c, util.h:

	cleanup arround getframebits().
	
2002-05-05 16:50  takehiro

	* libmp3lame/: quantize.c, reservoir.c:

	fix NORES_TEST. and works not only for CBR (don't tell me that's useful :p)
	
2002-05-05 16:40  takehiro

	* libmp3lame/: quantize.c, reservoir.c, reservoir.h:

	oops, I mis-checked in the old files. this is real one.
	
2002-05-05 16:29  takehiro

	* libmp3lame/: quantize_pvt.c, reservoir.c, reservoir.h:

	clean up arround reservoir.
	
2002-05-05 15:47  takehiro

	* libmp3lame/: quantize.c, reservoir.c, reservoir.h:

	trivial cleanup of arround resvoir.
	
2002-05-05 15:34  takehiro

	* libmp3lame/quantize.c:

	cleanup arround inc_scalefac_scale() with new cod_info strcture.
	
2002-05-05 14:35  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	cleanup arround calc_noise() with new cod_info strcture.
	
2002-05-05 13:59  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c,
	vbrquantize.c:

	more cleanup of new cod_info structure, arround count_bits()
	
2002-05-05 13:48  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h:

	inner_loop() is now static function.
	
2002-05-05 13:43  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c:

	changed outer_loop() algorithm. it needs lesser copy and runs faster.
	- try with new scalefactor combination on work area, and if we get the better result, copy it to the returning area.
	- make bin_search_StepSize() return the global_gain which assures targ_bits > found_bits.
	
2002-05-05 13:33  robert

	* libmp3lame/: quantize.c, vbrquantize.c, vbrquantize.h:

	some clean-up in parameter passings due to recent change in cod_info structure
	
2002-05-05 13:01  robert

	* libmp3lame/: encoder.c, quantize.c, quantize.h, vbrquantize.c,
	vbrquantize.h:

	removed again some unused code I thought that was removed some long time ago
	
2002-05-05 11:58  takehiro

	* libmp3lame/: bitstream.c, encoder.c, l3side.h, quantize.c:

	bit cleanup. removed window_switching_flag in l3side.
	
2002-05-05 11:53  takehiro

	* libmp3lame/: quantize.c, quantize.h, vbrquantize.c:

	To fix it does not call the "freorder" and to support for mixed block,
	the vbrquantize.c uses init_outer_loop()/init_xrpow() in quantize.c to
	initializatoin. this may fix the MPEG2 problem (but not tested).
	
2002-05-04 22:49  markt

	* configure, testcase.mp3:

	updated testcase.mp3
	
2002-05-04 15:48  takehiro

	* libmp3lame/: encoder.c, quantize.c, util.c, util.h:

	clean up and speed up (optimize for new data structure).
	- devided init_outer_loop() into init_outer_loop() and init_xrpow(). This makes it easy to use GOGO-no-coda's xrpow calculation routine.
	# thanx Robert, your fix makes me aware my mistake in VBR mode.
	
	- restoring duplicated data of VBR loop are removed.
	
	more mixed_block prepare. freorder() in util.c and its caller in encoder.c are moved into init_outer_loop() in quantize_pvt.c
	
2002-05-04 15:36  takehiro

	* libmp3lame/quantize.c:

	trivial optimization
	
2002-05-04 14:54  takehiro

	* libmp3lame/: bitstream.c, quantize.c, quantize_pvt.c,
	vbrquantize.c:

	the signess process of l3_enc[] are moved from quantize*.c to bistream.c. bit faster, much simpler.
	
2002-05-04 13:58  takehiro

	* libmp3lame/quantize_pvt.c:

	removed unused variables.
	
2002-05-04 13:55  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c:

	removed log calculation of klemm_noise in main loop
	
2002-05-04 09:30  afaber

	* ChangeLog, Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h:

	Added quality setting to lame_enc.dll interface
	
2002-04-30 22:20  robert

	* libmp3lame/version.h:

	3.93 alpha 1 -> 3.93 alpha 2
	
2002-04-30 22:00  robert

	* libmp3lame/: quantize.c, quantize_pvt.c:

	fixing latest floating point exceptions I got for some days
	within the calc noise routine
	
2002-04-28 08:15  takehiro

	* libmp3lame/quantize_pvt.c:

	Mark, because max_noise is initialized with 1E-20 and refreshes Max(max_noise, sfb_noise), so it will never lesser than 1e-20.
	
2002-04-27 21:15  takehiro

	* libmp3lame/takehiro.c:

	bit faster best_huffman_divide().
	- use the pointer to the structure, not structure itself.
	
2002-04-27 20:58  takehiro

	* configure, libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/encoder.c, libmp3lame/l3side.h, libmp3lame/newmdct.c,
	libmp3lame/newmdct.h, libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/takehiro.c, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h:

	large data structure update (1)
	- mdct values (xr), encoded values (l3_enc), and scalefactors (scalefac) are in the gr_info structure.
	- it runs faster.
	- reduce stack size but require large III_side_info_t and lame_global_flags.
	
2002-04-27 20:41  takehiro

	* libmp3lame/machine.h:

	fix --enable-all-float. when it enabled, FLOAT8_MAX should be FLT_MAX about 1e37, not 1e99.
	
2002-04-27 18:24  takehiro

	* libmp3lame/bitstream.c:

	trivial
	
2002-04-24 11:10  aleidinger

	* Makefile.unix:

	add a mingw comment from Hubert Hanghofer
	
2002-04-22 17:51  markt

	* libmp3lame/quantize_pvt.c:

	Takehiro, when you changed this code:
	
	    res->max_noise   = 10.*log10(Max(1e-20,max_noise ));
	    res->klemm_noise = 10.*log10(Max(1e-20,klemm_noise));
	
	to:
	
	    res->max_noise   = 10.*log10(max_noise);
	    res->klemm_noise = 10.*log10(klemm_noise);
	
	I started getting FPE (I always compile with --enable-debug
	which aborts on FPE).  I went ahead and changed it back- it should
	have little effect.
	
2002-04-21 20:31  afaber

	* Dll/BladeMP3EncDLL.c:

	Added additional debug flags
	
2002-04-21 18:10  takehiro

	* libmp3lame/l3side.h:

	remove unused definition
	
2002-04-21 18:05  takehiro

	* libmp3lame/lame.c:

	fix typo
	
2002-04-21 17:33  takehiro

	* libmp3lame/lame.c:

	trivial(reduce magic number)
	
2002-04-21 17:03  afaber

	* Dll/BladeMP3EncDLL.c:

	Avoid the VBR Tag space was written when VBR method was disabled
	(caused empty frame in fornt of MPEG stream for certain CBR settings)
	
2002-04-21 16:56  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/bitstream.c,
	libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/takehiro.c,
	libmp3lame/util.h:

	new option, --substep, pseudo substep noise shaping now works.
	- new set_get function, lame_set_substep(), lame_get_substep()
	- final fix of "do substep" region of selected scalefactor.
	- noise_shaping_amp == 3 is removed and the method of how to use substep is selecte by the new member "substep" in structure "lame_internal_flags".
	
2002-04-21 13:57  takehiro

	* libmp3lame/bitstream.c:

	trivial optimization: gfp/gfc cleanup
	
2002-04-20 22:31  robert

	* Makefile.unix:

	[no log message]
	
2002-04-20 20:40  takehiro

	* libmp3lame/: bitstream.c, encoder.c, l3side.h, newmdct.c,
	quantize.c, quantize_pvt.c, takehiro.c, vbrquantize.c:

	simplify the structure.
	l3_side->gr[gr].ch[ch].tt is now known as l3_side->tt[gr][ch].
	
2002-04-20 20:31  takehiro

	* libmp3lame/l3side.h:

	fix misleading indent
	
2002-04-20 20:28  takehiro

	* libmp3lame/takehiro.c:

	prepare for mixed block support: count_bits() and best_scalefac_store().
	fix bug of noise_shaping_amp==3 on a long block.
	
2002-04-20 20:17  takehiro

	* libmp3lame/quantize.c:

	more mixed_block preparation: inc_scalefac_scale(), amp_scalefac_bands()
	
2002-04-20 20:16  takehiro

	* libmp3lame/quantize_pvt.c:

	for better mixed_blcok support, make calc_xmin() use cod_info->sfb_lmax, etc.
	
2002-04-20 19:54  takehiro

	* libmp3lame/quantize.c:

	fix mixed mode (long block max sfb)
	
2002-04-20 19:50  takehiro

	* libmp3lame/: l3side.h, quantize.c, quantize_pvt.c:

	more generalized mixed_block support and considering in MPEG2/2.5
	- added new members to cod_info. psy_lmax and psy_smax.
	
2002-04-20 19:39  takehiro

	* libmp3lame/quantize.c:

	we don't need two elements of l3_xmin.
	
2002-04-20 19:34  takehiro

	* libmp3lame/quantize_pvt.c:

	- calc_xmin() supports mixed_block noise calculation.
	- mixed_block parameter(long block end point and short block start point) fix for calc_noise()
	
2002-04-20 18:51  takehiro

	* libmp3lame/quantize_pvt.c:

	calc_noise() supports mixed_block noise calculation.
	
2002-04-20 18:40  takehiro

	* libmp3lame/quantize_pvt.c:

	remove out-of-date comments
	
2002-04-20 18:37  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c:

	first step of clean up calc_noise() for preparing mixed block support.
	- removed unused variables
	- make the two loops (long and short) same structure.
	
2002-04-20 11:49  robux4

	* ACM/lameACM.dsp:

	Added the preset to compile the project (not used... yet)
	
2002-04-19 14:51  bouvigne

	* Dll/BladeMP3EncDLL.c:

	Now the dll should properly applying mono and resampling settings even if presets are used
	
2002-04-19 11:23  bouvigne

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	alt-presets now used from inside libmp3lame
	
2002-04-17 22:13  robert

	* Makefile.unix:

	missing presets.c added
	
2002-04-17 08:11  aleidinger

	* configure:

	regen
	
2002-04-17 08:08  aleidinger

	* configure.in:

	bump version
	
2002-04-16 19:47  markt

	* testcase.mp3:

	updated testcases (just because CVS version bumped up to 3.93alpha)
	
2002-04-15 18:36  markt

	* libmp3lame/version.h:

	updated version to 3.93 alpha 1
	
2002-04-15 16:42  bouvigne

	* frontend/parse.c, libmp3lame/presets.c:

	abr presets now into libmp3lame
	
2002-04-15 11:51  bouvigne

	* frontend/parse.c:

	--cbr
	
2002-04-15 11:42  bouvigne

	* libmp3lame/lame.c:

	3dnow identification
	
2002-04-15 08:16  aleidinger

	* Makefile.in, configure:

	regen
	
2002-04-15 06:58  markt

	* Makefile.in, configure, debian/Makefile.in:

	got automake 1.5 and ran it:
	
2002-04-15 06:57  markt

	* debian/Makefile.am:

	updated debian/Makefile.am but my version of automake
	is too old:
	
	debian/Makefile.am:5: require version 1.5, but have 1.4-p5
	
2002-04-15 06:47  markt

	* testcase.mp3, doc/html/history.html, libmp3lame/version.h:

	bumped up version number to 3.92 for release
	
2002-04-15 06:46  markt

	* ChangeLog:

	ran cvs2cl.pl
	
2002-04-14 12:21  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.def, BladeMP3EncDLL.h:

	Added strict-iso option to the interface, added output samplerate parameter  to the debug log file
	
2002-04-12 19:44  markt

	* libmp3lame/bitstream.c:

	added message regarding "internal buffer inconsistency error" to printout:
	
	      ERRORF(gfc,"This is a fatal error.  It has several possible causes:");
	      ERRORF(gfc,"90%  LAME compiled with buggy version of gcc using advanced optimizations");
	      ERRORF(gfc," 9%  Your system is overclocked");
	      ERRORF(gfc," 1%  bug in LAME encoding library");
	
2002-04-10 12:55  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	--noasm option
	
2002-04-10 06:37  bouvigne

	* Makefile.MSVC:

	presets.c
	
2002-04-09 15:43  bouvigne

	* Dll/BladeMP3EncDLL.c:

	dm presets in the dll are now used from initialized from inside libmp3lame
	
2002-04-09 15:28  aleidinger

	* libmp3lame/Makefile.in:

	regen
	
2002-04-09 14:46  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/Makefile.am,
	libmp3lame/libmp3lame_vc6.dsp, libmp3lame/presets.c,
	libmp3lame/set_get.c:

	vbr presets are now part of libmp3lame
	
2002-04-09 11:56  bouvigne

	* frontend/parse.c:

	--cbr switch
	
2002-04-08 20:30  robux4

	* ACM/acm.rc:

	minor change on the DLL versioning
	
2002-04-08 18:43  robux4

	* ACM/: ACM.cpp, AEncodeProperties.cpp:

	Added some new defines that might not be in all platform DDKs
	(just in case)
	
2002-04-08 18:41  aleidinger

	* Makefile.in, ACM/Makefile.in:

	regen
	
2002-04-08 18:41  aleidinger

	* Makefile.am, ACM/Makefile.am:

	add new vc6 file
	
2002-04-08 12:43  bouvigne

	* lame_vc6.dsw, ACM/lameACM_vc6.dsp:

	added ACM codec to vc6 workspace
	
2002-04-08 09:56  bouvigne

	* lame_projects_vc6.dsp, lame_vc6.dsw:

	dummy project to generate all lame projects (select lame_projects in the workspace)
	
2002-04-07 14:09  robux4

	* ACM/TODO:

	Removed the things already done
	
2002-04-07 14:07  robux4

	* ACM/: ACM.cpp, AEncodeProperties.cpp, lameACM.dsp:

	Clicking on the LAME URL will open the default browser
	
2002-04-07 13:31  robux4

	* ACM/: AEncodeProperties.cpp, AEncodeProperties.h:

	Added tool-tips to the configuration dialog
	
2002-04-07 12:28  robux4

	* ACM/: ACM.cpp, acm.rc:

	Improved LAME version display
	
2002-04-07 10:17  robux4

	* ACM/: AEncodeProperties.cpp, AEncodeProperties.h, acm.rc,
	lame_acm.xml, resource.h:

	ABR support now complete
	
2002-04-06 14:12  aleidinger

	* lame.bat:

	bugfix, sorry, lost the mail for it
	
2002-04-06 14:10  aleidinger

	* Makefile.in, ACM/Makefile.in, ACM/tinyxml/Makefile.in,
	Dll/Makefile.in, frontend/Makefile.in, libmp3lame/Makefile.in,
	mpglib/Makefile.in, configure:

	regen
	
2002-04-06 14:09  aleidinger

	* configure.in:

	add tinyxml directory
	
2002-04-06 14:08  aleidinger

	* Makefile.am, ACM/Makefile.am, ACM/tinyxml/Makefile.am,
	Dll/Makefile.am, frontend/Makefile.am, libmp3lame/Makefile.am,
	mpglib/Makefile.am:

	add new files
	
2002-04-06 14:01  robux4

	* ACM/: ACM.cpp, ACM.h, ACMStream.cpp, ACMStream.h:

	Encoding in ABR is starting to work
	the different format strings are sorted correctly
	
2002-04-06 11:34  robux4

	* ACM/: ACM.cpp, ACM.h, AEncodeProperties.cpp, AEncodeProperties.h,
	acm.rc, resource.h:

	First part of the ABR support
	(missing use ABR settings on encoding when applied, configuration of ABR params)
	
2002-04-06 11:32  robux4

	* ACM/tinyxml/: readme.txt, tinyxml.cpp, tinyxml.dsp, tinyxml.h,
	tinyxmlparser.cpp, xmltest.cpp:

	Updated with version 2.0 beta
	
2002-04-04 13:35  bouvigne

	* lame_vc6.dsw, Dll/LameDll_vc6.dsp, frontend/lame_vc6.dsp,
	libmp3lame/libmp3lame_vc6.dsp, mpglib/mpglib_vc6.dsp:

	I was annoyed to not be able to open the VC projects in vc6, so I added vc6 ones
	
2002-03-22 18:29  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	Added lame presets to DLL interface
	
2002-03-16 00:26  robert

	* Makefile.MSVC:

	no fast float to int conversion (Intel compiler)
	
2002-03-16 00:21  robert

	* Makefile.MSVC, frontend/parse.c:

	fix for Win2k path seperator issue
	found by Peter Hartley
	
2002-03-15 23:16  robert

	* libmp3lame/quantize.c:

	bugfix, confusion about sideinfo length
	found by "Kei Ishida"
	
2002-03-06 00:02  robert

	* lame.dsw:

	VC Workspace for all(?) targets
	
2002-03-03 18:57  aleidinger

	* libmp3lame/psymodel.c:

	remove /* withhin comment
	
2002-03-03 18:38  markt

	* TODO:

	  msvc6 notes
	
2002-02-22 11:53  shibatch

	* libmp3lame/quantize_pvt.c:

	mp3x now displays quantization noise correctly when using nspsytune.
	
2002-02-21 00:54  rbrito

	* debian/: changelog, control, copyright, lame-dev.docs,
	lame-dev.files, lame-extras.files, lame.docs, liblame0-dev.docs,
	liblame0-dev.files, liblame0.files, rules:

	Reorganization of the lame/debian directory for generating packages closer
	to what the Debian Policy specifies. Still not there (the liblame0 package
	still has a dreaded -rpath and thus, is not lintian clean).
	
2002-02-17 15:24  takehiro

	* doc/html/: history.html, switchs.html:

	fix option description, and changed & to &amp;
	
2002-02-17 14:22  takehiro

	* libmp3lame/psymodel.c:

	now inter-channel masking works even when without --nspsytune or with -m s
	
2002-02-17 13:59  takehiro

	* libmp3lame/psymodel.c:

	fix for --enable-all-float.
	
2002-02-17 13:55  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/set_get.c, libmp3lame/util.h:

	added inter channel masking effect.
	gfp->interChRatio is the ratio of inter-channel masking effect, which could
	be indicated by --interch X option.
	The default value is 0.0, which means there's no inter-channel masking effect.
	
	I think ratio = 0.01 is OK for lower bitrates (like under 128kbps),
	for like old days songs by the Beatles.
	
2002-02-17 13:30  bouvigne

	* frontend/parse.c:

	presets down to 8kbps
	
2002-02-17 08:12  takehiro

	* libmp3lame/util.h:

	prepare for the interchannel masking and substep noise shaping.
	
2002-02-16 17:19  robux4

	* ACM/tinyxml/: Makefile.tinyxml, changes.txt, dox, makedistlinux,
	makedistwin.bat, readme.txt, tinyxml.cpp, tinyxml.dsp, tinyxml.h,
	tinyxmlerror.cpp, tinyxmlparser.cpp, xmltest.cpp:

	Update with newer version of TinyXML
	
2002-02-15 11:42  shibatch

	* frontend/parse.c, libmp3lame/psymodel.c:

	Now, nspsytune2 should work, maybe...
	
2002-02-14 15:38  shibatch

	* libmp3lame/: lame.c, psymodel.c, util.h:

	Preparation work for nspsytune2.
	
2002-02-13 16:30  aleidinger

	* frontend/rtp.h:

	compile fix for gcc 3.x from Len Walter <len@unsw.edu.au>
	
2002-02-09 18:51  markt

	* frontend/gtkanal.c:

	added preflag count to statics window in mp3x
	
2002-02-07 11:58  shibatch

	* libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	frontend/parse.c, include/lame.h, libmp3lame/set_get.c:

	preparation work for nspsytune2
	
2002-02-04 17:10  markt

	* TODO, libmp3lame/util.c:

	temporary fix for resampling code. downsampling from 44101 to 44100 causes
	a seg fault.  Workaround in place for now:  resampling disabled
	if input/output samplerates agree to 4 digits.
	
2002-02-01 18:58  markt

	* INSTALL, TODO:

	minor edits
	
2002-02-01 17:41  markt

	* TODO:

	added notes about building a working, all encompasing MSVC6
	workspace to TODO list
	
2002-02-01 17:37  markt

	* INSTALL:

	added nots about the ACM codec and directshow filter
	to INSTALL
	
2002-02-01 17:08  robux4

	* ACM/ACM.cpp:

	Correct a problem when more than 2 channels are involved
	
2002-01-31 21:17  robux4

	* libmp3lame/lame.c:

	Less memory copying on interleaved buffer
	
2002-01-31 21:03  uid32249

	* ACM/tinyxml/: Makefile, Makefile.tinyxml:

	replace Makefile with Makefile.tinyxml
	
2002-01-30 23:25  robux4

	* ACM/: ACM.cpp, acm.rc:

	resolved FhG incompatibility, first beta version (can go public), no decoding yet
	
2002-01-29 21:20  robux4

	* ACM/: ACM.cpp, TODO, acm.rc:

	update version and removed unused buffers
	
2002-01-29 20:51  robux4

	* ACM/lameACM.dsp:

	build with special dynamic memory handling for ACM
	
2002-01-29 20:37  robux4

	* configMS.h, ACM/ACM.cpp, ACM/ACMStream.cpp, ACM/main.cpp:

	More debugging, special dynamic memory handling for ACM
	
2002-01-28 22:33  ivanski

	* mac/LAME.mcp:

	CW6 Project File
	
2002-01-28 22:13  ivanski

	* mac/: .DS_Store, LAME Carbon Debug.pch, LAME Carbon Final.pch,
	LAME Classic Debug.pch, LAME Classic Final.pch, MacDLLMain.c,
	Precompile_Common.h:

	Initial revision
	
2002-01-28 22:13  ivanski

	* mac/: .DS_Store, LAME Carbon Debug.pch, LAME Carbon Final.pch,
	LAME Classic Debug.pch, LAME Classic Final.pch, MacDLLMain.c,
	Precompile_Common.h:

	Mac support
	
2002-01-28 20:12  robux4

	* ACM/: TODO, acm.rc:

	more TODO, added icon credit
	
2002-01-28 18:18  markt

	* libmp3lame/lame.c, test/CBRABR.op:

	set devault qval to 2 for CBR and ABR.
	
2002-01-25 18:18  robux4

	* ACM/: TODO, lame.ico:

	new icon, more to do
	
2002-01-25 17:51  robux4

	* ACM/: ACM.cpp, ACM.h, AEncodeProperties.cpp, DecodeStream.cpp,
	acm.rc:

	version 0.7.6, improved the smart output mode, corrected a config saving bug
	
2002-01-25 17:47  robux4

	* ACM/ADbg/: ADbg.cpp, ADbg.h:

	more explicit cast
	
2002-01-25 11:27  aleidinger

	* misc/Makefile.in:

	regen
	
2002-01-25 11:23  aleidinger

	* misc/Makefile.am:

	add lameid3.pl
	
2002-01-25 11:22  aleidinger

	* doc/man/lame.1:

	some fixes
	
2002-01-24 19:38  robux4

	* ACM/: ACM.cpp, ACM.h, ACMStream.cpp, AEncodeProperties.cpp,
	AEncodeProperties.h, TODO, acm.rc, lameACM.dsp, lame_acm.xml,
	main.cpp, resource.h:

	introducing smart output mode, clean dialog boxes, config saving/loading now works
	
2002-01-23 20:51  robux4

	* ACM/DecodeStream.cpp:

	correct a build problem when ENABLE_DECODING is not defined
	
2002-01-23 20:45  robux4

	* ACM/readme.txt:

	More doc on the release files
	
2002-01-23 20:40  robux4

	* ACM/ADbg/ADbg.dsp:

	removed a minor build problem
	
2002-01-23 20:39  robux4

	* ACM/: ACM.cpp, ACM.dsw, ACM.h, ACMStream.cpp, ACMStream.h,
	AEncodeProperties.cpp, AEncodeProperties.h, DecodeStream.cpp,
	DecodeStream.h, LameACM.inf, TODO, acm.rc, lameACM.dsp,
	lame_acm.xml, readme.txt, resource.h, tinyxml/Makefile,
	tinyxml/changes.txt, tinyxml/readme.txt, tinyxml/test.dsp,
	tinyxml/test.dsw, tinyxml/tinyxml.cpp, tinyxml/tinyxml.dsp,
	tinyxml/tinyxml.h, tinyxml/tinyxmlerror.cpp,
	tinyxml/tinyxmlparser.cpp, tinyxml/xmltest.cpp:

	Initial configuration dialog and XML config saving, initial decoding support (not working yet)
	
2002-01-23 20:32  robux4

	* mpglib/interface.h:

	better handling of C++ include
	
2002-01-23 01:23  markt

	* lame.spec.in:

	commiting Yosi's new lame.spec.in file
	
2002-01-22 19:45  robux4

	* ACM/: ACM.cpp, ACM.dsw, ACM.h, ACMStream.cpp, ACMStream.h,
	LameACM.inf, TODO, acm.rc, adebug.h, lameACM.def, lameACM.dsp,
	main.cpp, readme.txt:

	clean the code, put LGPL license, add mpglib to the build
	
2002-01-21 21:33  markt

	* TODO, configure, configure.in:

	added MAX OSX patch from sf bugtrack page
	
2002-01-21 20:24  markt

	* USAGE, misc/lameid3.pl:

	added lameid3.pl script to misc directory.
	(use to reencode mp3's and preserve id3 tags)
	
2002-01-20 19:29  robux4

	* libmp3lame/util.h:

	Better C++ handling
	
2002-01-20 19:25  robux4

	* Dll/BladeMP3EncDLL.h:

	Better C++ handling
	
2002-01-20 15:05  aleidinger

	* configure:

	regen (ACM)
	
2002-01-20 15:05  aleidinger

	* configure.in:

	Add ACM directory
	
2002-01-20 15:04  aleidinger

	* ACM/Makefile.in:

	Add generated autoconf glue
	
2002-01-20 14:59  aleidinger

	* ACM/ADbg/Makefile.in:

	Add generated autoconf glueACM/Makefile.in
	
2002-01-20 14:58  aleidinger

	* ACM/: Makefile.am, ADbg/Makefile.am:

	Add automake clue (for make dist)
	
2002-01-20 14:56  robux4

	* ACM/lameACM.dsp:

	Eanble correct nasm support
	
2002-01-20 14:03  robux4

	* ACM/: ADbg/ADbg.cpp, ADbg/ADbg.dsp, ADbg/ADbg.h, ACM.cpp,
	ACM.dsw, ACM.h, ACMStream.cpp, ACMStream.h, LameACM.inf, acm.rc,
	adebug.h, lame.ico, lameACM.def, lameACM.dsp, main.cpp, readme.txt,
	resource.h:

	Initial ACM support
	
2002-01-19 11:52  bouvigne

	* README, TODO:

	updated TODO
	
2002-01-17 16:43  aleidinger

	* Makefile.unix:

	NASM for Windows fixes (Hubert Hanghofer)
	
2002-01-17 13:42  aleidinger

	* configure:

	regen
	
2002-01-17 13:42  aleidinger

	* configure.in:

	- Update gcc 3.x and --enable-expopt=full flags based upon suggestions
	  and benchmarks from Hubert Hanghofer <hhanghof@netbeer.co.at> and
	  Craig Okruhlica <craig@velio.com>.
	- Remove gcc flags which are marked 'experimental' in the gcc 3.0.3
	  documentation (noticed by Hubert Hanghofer).
	- Add comment what "expopt" means, and what it doesn't mean.
	
2002-01-17 13:42  aleidinger

	* Makefile.unix:

	- Update MINGW part pased upon patches and comments from
	  Hubert Hanghofer <Hubert.Hanghofer@m-real.com>.
	- Some minor changes for consistency.
	
	Note: this file is superseded by configure, except for systems where
	      configure didn't work, so if something is broken you have to send
	      patches.
	
2002-01-17 05:08  takehiro

	* libmp3lame/i386/.cvsignore:

	added *.lo
	
2002-01-09 12:09  takehiro

	* debian/.cvsignore, dshow/.cvsignore:

	added autogen Makefile to ignore
	
2002-01-09 12:09  takehiro

	* frontend/.cvsignore, libmp3lame/.cvsignore, mpglib/.cvsignore:

	added *.il, for the intel compiler with ipo option
	
2002-01-07 15:51  aleidinger

	* configure:

	oops, forgot to s/gtk12-config/gtk-config/
	
2002-01-07 15:48  aleidinger

	* configure:

	regen
	
2002-01-07 15:48  aleidinger

	* configure.in:

	add gcc 3 specific optimizations, based upon suggestions by Sébastien FORESTIER <forestie@caramail.com>
	
2002-01-07 10:35  aleidinger

	* configure, frontend/Makefile.in:

	regen: Fix Cygwin and HPUX problems.
	
2002-01-07 10:34  aleidinger

	* configure.in, frontend/Makefile.am:

	Fix Cygwin and HPUX problems.
	
2002-01-01 16:55  robert

	* misc/lame4dos.bat:

	modified some remark
	
2001-12-30 23:54  markt

	* doc/html/history.html:

	updated hostory.html from master copy in webpages project
	
2001-12-29 17:36  takehiro

	* doc/html/history.html:

	fix option for pseudo-half step quantization
	
2001-12-29 16:23  aleidinger

	* configure:

	regen: Welcome to 3.92
	
2001-12-29 16:21  aleidinger

	* configMS.h, configure.in, libmp3lame/version.h:

	Welcome to 3.92
	
2001-12-29 15:45  aleidinger

	* doc/html/history.html:

	sync with webpages/history.html
	
2001-12-28 18:55  takehiro

	* .cvsignore:

	added stamp-h1
	
2001-12-28 12:47  aleidinger

	* Dll/Example.dsp, Dll/MP3EncDll.dsp, dshow/dshow.dsp,
	frontend/lame.dsp, libmp3lame/libmp3lame.dsp, dshow/dshow.dsw,
	mpglib/mpglib.dsp:

	unix->dos
	
2001-12-27 16:12  aleidinger

	* doc/man/lame.1:

	add --alt-preset
	
2001-12-27 12:50  aleidinger

	* misc/Makefile.in:

	regen: add missing files to the distribution
	
2001-12-27 12:49  aleidinger

	* misc/Makefile.am:

	add missing files to the distribution
	
2001-12-23 20:19  dibrom

	* libmp3lame/set_get.c:

	disable noise shaping 2 for "fast" extreme mode also
	
2001-12-23 20:11  dibrom

	* libmp3lame/: set_get.c, vbrquantize.c:

	fix small bug and completely disable noise_shaping 2 with "fast" mode until a better solution can be found.
	
2001-12-23 12:25  aleidinger

	* misc/Makefile.in:

	regen: add some files to the distribution
	
2001-12-23 12:22  aleidinger

	* misc/Makefile.am:

	add auenc, mugeco,sh and mlame to distrib
	
2001-12-22 13:32  aleidinger

	* DEFINES:

	document NON_LINEAR_PSYMODEL, remove KLEMM_43
	
2001-12-22 13:29  aleidinger

	* libmp3lame/psymodel.c:

	non linear psymodel (disabled by default) for GPSYCHO (nspsytune is untouched)
	
2001-12-22 13:27  aleidinger

	* configure:

	regen: Welcome to v3.91
	
2001-12-22 13:26  aleidinger

	* configMS.h, configure.in, libmp3lame/version.h:

	Welcome to v3.91
	
2001-12-21 15:09  aleidinger

	* libmp3lame/machine.h:

	add icc check
	
2001-12-21 15:05  aleidinger

	* libmp3lame/Makefile.in:

	regen: (add vbrquantize.h)
	
2001-12-21 15:05  aleidinger

	* libmp3lame/Makefile.am:

	add vbrquantize.h
	
2001-12-21 11:58  jd-

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.def, BladeMP3EncDLL.h:

	Added DLL interface function beEncodeChunkFloatS16NI for floating point audio
	Samples are input within the range +/- 32768, in non-interleaved channels
	
2001-12-21 03:29  markt

	* testcase.mp3:

	updated testcase
	
2001-12-21 03:29  markt

	* libmp3lame/: version.c, version.h:

	updated version to lame 3.90
	
2001-12-20 23:11  markt

	* ChangeLog:

	update changelog
	
2001-12-20 08:44  dibrom

	* libmp3lame/encoder.c:

	no message
	
2001-12-20 08:33  dibrom

	* libmp3lame/: encoder.c, set_get.c, util.h, vbrquantize.c:

	improved quality of "fast" modes in certain situations
	
2001-12-18 17:44  dibrom

	* frontend/parse.c:

	removed bitrate compensation stuff for the abr bitrates since it appears no longer necessary
	
2001-12-18 17:28  dibrom

	* doc/html/switchs.html:

	added --alt-preset to the list of switches
	
2001-12-18 17:13  dibrom

	* doc/html/history.html:

	documented many changes which have been made over 3.90
	
2001-12-18 16:27  dibrom

	* frontend/parse.c:

	small tweak to "standard" preset
	
2001-12-18 16:14  dibrom

	* libmp3lame/: psymodel.c, quantize.c, set_get.c, util.h,
	vbrquantize.c:

	small quality improvement for "extreme" and "insane", more bitrate tunings for "extreme" -- should average to 256kbps more often
	
2001-12-18 11:16  aleidinger

	* configure:

	regen: vorbis changes
	
2001-12-18 11:14  aleidinger

	* configure.in:

	- Change vorbis default to disabled
	- Added -logg in the vorbis case (seems to be needed, I haven't tested it)
	
2001-12-18 11:13  aleidinger

	* libmp3lame/vorbis_interface.c:

	Try to unbreak vorbis support (it can't get worser).
	You may need the vorbis source and add -I/path/to/vorbis_src/includes/ to
	CFLAGS prior to running configure
	
	Tested by: Jonathan Ryshpan <jonrysh@pacbell.net> on RedHat 7.2
	Submitted by: Cyrille Lefevre <clefevre@citeweb.net> via FreeBSD problem report
	
2001-12-17 04:40  markt

	* libmp3lame/quantize.c:

	Minor changes to Gabriel's adjustment for ABR bitrate.
	Updated testcases.
	
	Added the following comments:
	
	/*
	        res_factor is the percentage of the target bitrate that should
	        be used on average.  the remaining bits are added to the
	        bitreservoir and used for difficult to encode frames.
	
	        Since we are tracking the average bitrate, we should adjust
	        res_factor "on the fly", increasing it if the average bitrate
	        is greater than the requested bitrate, and decreasing it
	        otherwise.  Reasonable ranges are from .9 to 1.0
	
	        Until we get the above suggestion working, we use the following
	        tuning:
	        compression ratio    res_factor
	          5.5  (256kbps)         1.0      no need for bitreservoir
	          11   (128kbps)         .93      7% held for reservoir
	
	        with linear interpolation for other values.
	
	     */
	    res_factor = .93 + .07 * (11.0 - gfp->compression_ratio) / (11.0 - 5.5);
	
2001-12-16 16:00  bouvigne

	* libmp3lame/quantize.c:

	better abr bitrate approximation (will break abr testcases)
	
2001-12-15 07:31  dibrom

	* libmp3lame/: psymodel.c, set_get.c, util.h, vbrquantize.c:

	More tunings for "fast" options for "standard" and "extreme" modes.
	
2001-12-14 16:27  dibrom

	* libmp3lame/set_get.c:

	small tweak to "extreme" mode
	
2001-12-14 07:00  dibrom

	* frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/util.h,
	libmp3lame/vbrquantize.c:

	- changed --dm-presets to --alt-presets
	- modified preset system
	- applied tunings to vbr and psymodel, especially with --alt-preset standard, improves many difficult clips over the default vbr modes/presets (even those such as --r3mix) such as impulse cases (fatboy, spahm, them, gbtinc, ravebase, etc), pre-echo cases (castanets, death2, florida_seq, etc), tonality/js cases (2nd_vent, serioustrouble, bloodline, etc), low volume clips (piano, rach_original), many clips with problems with noise shaping 2, and much much more.  Practically all cases should be equal or improved in quality.
	- added --no-preset-tune to disable tunings for --alt-preset "modes"
	
2001-12-03 18:15  markt

	* USAGE, frontend/parse.c:

	updated descriptions of some command line options, as per Dmitry
	
2001-11-30 18:35  markt

	* lame.spec.in:

	patch from lassauge@mail.dotcom.fr for lame.spec.in file.
	
2001-11-30 18:05  markt

	* include/lame.h, libmp3lame/lame.c:

	added lame_encode_buffer_long2(), since lame_encode_buffer_long() had
	a scaling which restricted the precision of the input to the same
	as if the input was 'short int'
	
	decided to leave the original routine, on the off chance there
	is some program out there which uses it.
	
2001-11-28 12:30  aleidinger

	* Makefile.in:

	regen
	
2001-11-28 12:29  aleidinger

	* Makefile.am:

	change description of make test
	
2001-11-26 15:21  takehiro

	* libmp3lame/takehiro.c:

	tuning of "pseudo half step noise shaping" with listening test.
	and it works now even when scalefac_scale == 1
	
2001-11-26 15:19  takehiro

	* libmp3lame/: psymodel.c, VbrTag.c:

	fix warning
	
2001-11-26 11:00  aleidinger

	* libmp3lame/version.h:

	Bump alpha version.
	
2001-11-25 15:24  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.c, takehiro.c,
	util.h:

	new noise shaping algorithm(pseudo half step noise shaping)
	it brings slow but more accurate noise shaping.
	enables with -q0 when CBR
	
2001-11-19 21:26  markt

	* frontend/parse.c, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	Reverted CVS back to before "gglower" option was added.
	
	--scale is a better way to do this, and contrary to Hans' claims,
	--scale is also lossless.
	
2001-11-18 22:44  robert

	* frontend/parse.c, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	patch by Hans van der Heijden, original email:
	
	Datum: Sun, 18 Nov 2001 20:13:11 +0100
	Von: "Hans van der Heijden" <H.Heijden@inter.NL.net>
	 An: <Robert.Hegemann@gmx.de>
	
	 Hi Robert,
	
	For the first time, I compiled Lame, being a non-programmer (well, my work
	involves programming, but that's a world apart with logic symbols, not C
	language).
	Because sometimes I have the urge to try something with the sourcecode.
	
	I'd like to add a switch to avoid the use of --scale for preventing
	clipping. It manipulates global_gain, similar as the mp3gain tool does, but
	this would be much more convenient of course (and better quality-wise, being
	'lossless').
	
	Since I have no programming experience, can you take a look if I implemented
	it correctly? The switch is called --gglower x, where each x-step stands for
	1,5 dB. gg is short for global gain. So for example, --gglower 1 will
	decrease the output volume with 1,5 dB (0,841). I would probably use this by
	default, it will be enough to prevent clipping for all but the oddest
	samples/settings.
	
	I did a lot of copy/pasting from the --athlower switch, otherwise I probably
	couldn't figure it all out!
	Files involved are parse.c, lame_global_flags.h, set_get.c, lame.h and
	bitstream.c.
	I attached these files, if you search in each for 'gglower' you'll find the
	added code.
	Files came from the 11 Nov CVS.
	
	Also attached is a cygwin lame.exe if you like to play with it.
	
	Let's add it to CVS if it's OK (don't know how to do that myself, have to
	tell Mark?).
	
	Bye,
	Hans
	
2001-11-17 11:17  aleidinger

	* Dll/Example.cpp, Makefile.unix, Dll/Makefile.mingw32:

	some mingw fixes from Vladislav Naumov <vnaum@echo.ru>
	
2001-11-14 16:25  aleidinger

	* include/lame.h:

	fixes in comments
	
2001-11-12 21:58  robert

	* libmp3lame/lame.c:

	[no log message]
	
2001-11-12 17:36  aleidinger

	* include/lame.h:

	spelling fixes in comments
	
2001-11-11 22:13  afaber

	* Dll/BladeMP3EncDLL.c:

	fixed bugs: 451879 and 438835
	
2001-11-11 15:08  aleidinger

	* doc/man/Makefile.in, configure:

	regen
	
2001-11-11 15:06  aleidinger

	* libmp3lame/bitstream.c:

	add CVS Id
	
2001-11-11 14:57  aleidinger

	* Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in:

	regen
	
2001-11-11 14:53  aleidinger

	* configure.in, frontend/Makefile.am:

	bugfix: --disable-{mp3x,mp3rtp} had build them
	add: --disable-fontend
	
2001-11-11 14:48  aleidinger

	* include/lame.h, libmp3lame/version.c, libmp3lame/version.h:

	remove mp3x version, it doesn't belong into the lib
	(this breaks every app which uses the function, but mp3x should
	be the only app which uses it, so this is ok because I moved it
	into gtkanal.c)
	
2001-11-11 14:47  aleidinger

	* frontend/gtkanal.c:

	move mp3x version here (from libmp3lame/version.[ch])
	
2001-11-11 11:31  aleidinger

	* libmp3lame/Makefile.in:

	regen
	
2001-11-11 11:30  aleidinger

	* libmp3lame/Makefile.am:

	add missing headers
	
2001-11-10 14:25  aleidinger

	* libmp3lame/VbrTag.c:

	at least fix the bus error on SPARC until Roel or someone else decides if we should fix it in another way
	
2001-11-06 14:43  aleidinger

	* doc/html/switchs.html:

	resample only for encoding
	
2001-11-06 12:41  aleidinger

	* doc/man/lame.1:

	athaa fixes, resample only for encoding
	
2001-11-06 01:31  jd-

	* frontend/parse.c:

	Cleaned up preset help; send explicitly requested help to stdout, not stderr.
	Modularized original presets, with aliases to preserve the original behavior.
	
2001-11-05 15:26  dibrom

	* frontend/parse.c:

	modify lowpass values for dm-preset abr mode
	
2001-11-05 05:46  dibrom

	* frontend/parse.c:

	Updated dm-presets
	
2001-11-05 05:20  markt

	* testcase.mp3, libmp3lame/encoder.h:

	updated padding at end of MP3 to be 1152 samples.
	So the last frame containing real data will always be followed
	by a frame containing silence.  (since most decoders will only
	decode the second to last frame)
	
2001-11-04 23:42  robert

	* Makefile.MSVC:

	lost i added
	
2001-11-04 23:39  robert

	* Makefile.MSVC:

	optimizing some intel compile flags
	
2001-11-04 18:51  robert

	* configMS.h:

	moved MSVC specific #pragma into MSVC section
	
2001-11-04 18:50  robert

	* libmp3lame/quantize.h, DEFINES:

	removed MAXQUANTERROR precompiler define
	
2001-11-04 18:48  robert

	* frontend/parse.c, include/lame.h:

	we don't want to make Naoki's msfix part of the API at this time, removed
	from lame.h again.
	parse.c compilation was broken by JD's presets_alias function.
	
2001-11-04 18:31  robert

	* libmp3lame/: encoder.c, quantize.c, vbrquantize.c, vbrquantize.h:

	removed MAXQUANTERROR precompiler define
	
2001-11-04 18:20  dibrom

	* frontend/parse.c:

	update dm-presets.. more to come shortly
	
2001-11-04 18:19  dibrom

	* include/lame.h:

	added msfix
	
2001-11-04 17:28  robert

	* include/lame.h, libmp3lame/lame.c:

	--vbr-mtrh is now known as --vbr-new
	
2001-11-04 17:22  robert

	* Dll/BladeMP3EncDLL.c:

	--vbr-mtrh is now known as --vbr-new
	
2001-11-04 13:39  aleidinger

	* libmp3lame/set_get.c:

	some fixes in the comments
	
2001-11-04 13:39  aleidinger

	* frontend/parse.c:

	mark --{voice,radio,cd,studio,phone} as deprecated
	
2001-11-04 13:33  aleidinger

	* doc/man/lame.1:

	remove --voice (deprecated)
	
2001-11-04 13:01  jd-

	* frontend/parse.c:

	Moved "--dm-preset *" preset profiles to "--preset dm-*".
	Added code for aliasing presets to multiple broad or narrow purpose labels.
	
2001-11-04 08:37  jd-

	* frontend/parse.c:

	Allow specifying the r3mix preset with "--preset r3mix" for consistency
	
2001-11-03 10:51  jd-

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	Renamed experimental switch "--ath-adjust" to "--athaa-type" for consistency.
	All switches directly affecting ATH auto-adjustment begin with "--athaa-*".
	
2001-11-03 09:31  jd-

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/psymodel.c, libmp3lame/set_get.c, libmp3lame/util.h:

	Added a bit of documentation to the long help.
	To better reflect purpose, renamed adapt-thres-type and adapt-thres-level
	to athaa-loudapprox and athaa-sensitivity, respectively.
	
2001-10-30 20:31  markt

	* libmp3lame/VbrTag.c:

	When determining enc_delay and enc_padding from VBR header, check
	for reasonable values.
	
2001-10-29 22:00  markt

	* frontend/get_audio.c, frontend/main.c, frontend/main.h,
	frontend/parse.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/VbrTag.h, libmp3lame/lame.c,
	libmp3lame/mpglib_interface.c, mpglib/interface.c, mpglib/mpglib.h:

	VbrTag.c:  GetVBRTag() updated to parse enc_delay, enc_padding fields
	enc_delay is used by 'lame --decode' to determine how many samples
	to skip at the beginning during decoding.
	
2001-10-29 20:01  markt

	* frontend/main.c:

	for --nogap option, do not allow Xing VBR tag.
	
	We should also not allow id3 tags and --nogap, but the are not turned on by
	default, and it is more than a 3 line fix :-)
	
2001-10-29 08:41  bouvigne

	* libmp3lame/: gain_analysis.c, gain_analysis.h:

	adding gain analysis files
	
2001-10-29 06:08  markt

	* frontend/main.c, libmp3lame/VbrTag.c,
	libmp3lame/lame_global_flags.h, mpglib/interface.c:

	--nogap and --nogapout fixed in frontend.  didn't check
	if output is really gapless - hopefully no bugs have crept into
	that while --nogap was broken.
	
2001-10-28 22:24  markt

	* libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	libmp3lame/lame_global_flags.h, libmp3lame/tables.c,
	libmp3lame/util.c, mpglib/interface.c:

	Fixed bug in VbrTag.c which is why Xing tag was broken for MPEG2
	files.
	
	This code:
	
	              if( h_id == 0 )
	                      pTagData->samprate >>= 1;
	
	was, for unknown reasons, cutting the samplrate down by
	a factor of two for MPEG2, causing the framesize of the Xing
	header to be too large, causing it to overwrite the first
	valid MP3 frame.
	
2001-10-25 11:54  roelvdb

	* libmp3lame/VbrTag.c:

	undo previous edit, misunderstanding
	
2001-10-24 23:59  roelvdb

	* libmp3lame/VbrTag.c:

	if ABR, {store bitrate <=255} else { use 4 low bits to store bitrateindex so "-b" for VBR(/CBR) is known. 0F for freeformat}
	
2001-10-24 20:45  markt

	* testcase.mp3:

	updated testcases
	
2001-10-24 16:33  aleidinger

	* doc/man/lame.1:

	sync with HTML
	
2001-10-24 12:44  bouvigne

	* doc/html/: basic.html, examples.html, history.html, node6.html,
	switchs.html:

	doc fixes
	
2001-10-24 12:32  bouvigne

	* doc/html/switchs.html:

	a small athtype doc modif
	
2001-10-23 16:35  bouvigne

	* doc/html/switchs.html:

	fixes from Dmitry
	
2001-10-23 16:17  bouvigne

	* doc/html/switchs.html:

	fixes from Alexander
	
2001-10-23 14:06  aleidinger

	* doc/man/lame.1:

	add line breaks, expand examples section, add ID3 section, fixes
	
2001-10-23 14:06  aleidinger

	* frontend/main.c:

	fix for cygwin/mingw from egor duda <deo@logos-m.ru>
	
2001-10-22 21:31  roelvdb

	* libmp3lame/VbrTag.c:

	no message
	
2001-10-22 13:25  aleidinger

	* doc/man/lame.1:

	update based on HTML version
	
2001-10-21 17:00  bouvigne

	* doc/html/: basic.html, switchs.html:

	doc
	
2001-10-20 16:32  aleidinger

	* Makefile.unix:

	Submitted by: "Vladislav Naumov" <vnaum@inbox.ru>
	
	I canged number 2 of his fixes to be equal to configure.in
	(-O3 is the highest official supportes optimization option, some of
	the options are superfluous (because they are included in -O3), some may
	perhaps change the ABI (ABI, not API!), e.g. -malign-*).
	
	Quote:
	1. NOUNIXCMD = YES (don't use shell & sed)
	2. CC_OPTS are set to produce optimized code. Somewhat faster.
	3. frontend_sources & lib_sources are now fixed.
	   GNU Make version 3.79.1 croaked about recursive variable.
	4. ASFLAGS are correctly set, 'make -fMakefile.unix UNAME=MSDOS HAVE_NASM=YES'
	   works smoothly (if you have nasm.exe, of course :))
	
2001-10-20 16:28  aleidinger

	* Dll/Makefile.mingw32:

	Submitted by: "Vladislav Naumov" <vnaum@inbox.ru>
	
	Quote:
	This makefile compiles lame_enc.dll with mingw32 (and possibly cygwin)
	Of course, you must first build ../libmp3lame/libmp3lame.a.
	liblame_enc.a can be used to link the lame_enc.dll to your programs.
	Tested with EAC 0.9pb9 (my own favorite, http://www.exactaudiocopy.de/).
	
2001-10-19 17:39  bouvigne

	* libmp3lame/VbrTag.c:

	headering...
	
2001-10-18 19:55  bouvigne

	* doc/html/switchs.html, frontend/parse.c:

	documenting...hopefully nearly finished
	
2001-10-17 19:29  robert

	* frontend/main.c:

	patch by Gian-Carlo Pascutto
	
	I saw someone reported a problem with my --nogapout
	switch on the mailinglist. I have done a quick attempt
	to fix the problems (and address another potential one).
	
	I haven't actually tested the fixes, but I'm reasonably
	sure they are correct, or at least they show how to
	address the problem.
	
2001-10-17 13:23  roelvdb

	* libmp3lame/VbrTag.c:

	after discussing with Gabriel added some more AQ flag refinements (--athonly,--noath,--scale-*, free format)
	
	and
	
	made #define MAXFRAMESIZE 2880, because LAME used to fill the freeformat 640 LAME Tag with junk at the end.
	
2001-10-17 11:31  aleidinger

	* configMS.h:

	fix VERSION after last commit
	
2001-10-17 01:41  roelvdb

	* libmp3lame/VbrTag.c:

	added overflow protection to that lowpass field in the LAME Tag, just in case someone enters a very high lowpass value.
	
2001-10-17 01:18  roelvdb

	* libmp3lame/lame.c:

	44.1kHz:
	instead of "transition band: 22228 Hz - 22761 Hz" lowpass filter,
	"-b320 -a" (mono) will now give "transition band: 21517 Hz - 22050 Hz"
	(as in the stereo case)
	
	likewise on other samplerates.  I can imagine this can be done in a much more intelligent fashion.
	
	also commented out a bit of similar code that seems obsolete now?
	
2001-10-16 18:49  bouvigne

	* doc/html/switchs.html:

	documenting - not finished
	
2001-10-16 18:07  afaber

	* configMS.h, include/lame.h, libmp3lame/VbrTag.h,
	libmp3lame/bitstream.c, libmp3lame/fft.c, libmp3lame/fft.h,
	libmp3lame/lame.c, libmp3lame/psymodel.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/util.h:

	Fixed some compiler warnings (mainly differences between function declaration and definition)
	
2001-10-16 15:00  roelvdb

	* libmp3lame/VbrTag.c:

	added the needed "else", fixed lowpass, added -V0/V1, --nores, -k, ...
	
2001-10-16 10:35  bouvigne

	* doc/html/history.html:

	history
	
2001-10-15 13:44  roelvdb

	* libmp3lame/VbrTag.c:

	fixed a wrong bracket causing >=256 CBR not to be AQ
	added ABR>=256 S as AQ, consistent with CBR >=256S
	
2001-10-13 19:00  markt

	* testcase.mp3:

	updated testcases
	
2001-10-13 14:02  aleidinger

	* include/lame.h, frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/util.c:

	add --scale-l and --scale-r options
	
	Requested by: fasttimes@mochamail.com
	Written by: mp3gain@hotmail.com
	
2001-10-13 14:00  aleidinger

	* doc/man/lame.1:

	update from "lame --longhelp"
	
2001-10-13 14:00  aleidinger

	* USAGE, doc/html/switchs.html:

	add --scale-l, --scale-r
	
2001-10-12 18:39  bouvigne

	* doc/html/: index.html, switchs.html:

	a few doc updates - not yet finished
	
2001-10-11 20:06  bouvigne

	* USAGE, doc/html/basic.html, doc/html/examples.html,
	doc/html/history.html, doc/html/id3.html, doc/html/modes.html,
	doc/html/node6.html, doc/html/switchs.html:

	[no log message]
	
2001-10-11 12:21  aleidinger

	* libmp3lame/: encoder.c, util.h:

	fix misunderstanding of gfc->padding
	
2001-10-10 02:17  roelvdb

	* libmp3lame/: VbrTag.c, lame.c:

	consequence, it's "LAME Tag", longhelp said Xing header
	
2001-10-10 02:15  roelvdb

	* frontend/parse.c:

	consequence, it's "LAME Tag"
	
2001-10-10 02:00  roelvdb

	* frontend/main.c:

	added 13 " if (silent < 10) "s to make "lame --decode --quiet" really silent.  there's still a LF I can't locate though...
	
2001-10-10 01:42  roelvdb

	* Dll/BladeMP3EncDLL.c:

	removed experimental X from --r3mix
	
2001-10-09 23:09  roelvdb

	* libmp3lame/VbrTag.c:

	adds delays/padding to tag, no range check and tested exclusively on windows
	
2001-10-09 22:34  roelvdb

	* frontend/parse.c:

	test commit CVS to fix --r3mix size increase (robert identified is as -X being used)
	
2001-10-09 14:30  aleidinger

	* libmp3lame/version.h:

	bump alpha version
	
2001-10-09 14:26  aleidinger

	* Dll/BladeMP3EncDLL.c, frontend/parse.c, libmp3lame/VbrTag.c,
	libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/util.h:

	Use the official enum names from lame.h instead of numbers or defines.
	
2001-10-08 12:54  bouvigne

	* libmp3lame/util.c:

	athtype fix
	
2001-10-06 19:25  markt

	* include/lame.h:

	added notes about scaling.  there are some inconsistencies in
	the API:
	
	lame_encode_buffer()   takes short int as input, range +/- 32768
	lame_encode_float()    takes float, but data must be in the range
	                       +/- 32768
	lame_encode_double()   takes double, but data must be in the range
	                       +/- 32768
	
	lame_encode_int()     takes int, but data must be in the range of 'int'
	                      for 32bit ints, this is +/- 2147483684
	
2001-10-06 19:17  markt

	* frontend/get_audio.c:

	updated error messages we now support 8,16,24 and 32 bit input
	
2001-10-06 19:05  markt

	* frontend/get_audio.c, frontend/gtkanal.c, frontend/parse.c,
	include/lame.h, libmp3lame/lame.c:

	added support for 24 and 32 bit when not using libsndfile.
	jd had already added the code to do this, just had to make
	the libsndfile --bitwidth option available when not using
	libsndfile.  Also updated unpack_read_samples to support 32bit.
	
	Could not test this since I dont have any 24 bit files, and
	sox cant seem to create them.
	
2001-10-05 22:43  robert

	* libmp3lame/: lame.c, machine.h, quantize_pvt.c, quantize_pvt.h,
	vbrquantize.c:

	using -Xn similar to the old code to select different noise measurings with
	the newer VBR code. the actual mapping is not final yet.
	
2001-10-05 13:00  bouvigne

	* libmp3lame/util.c:

	ath 4 switches to ath 2 in cbr mode
	
2001-10-05 12:59  bouvigne

	* libmp3lame/lame.c:

	made NsPsytune stopping using ath0 as default, as everyone is overriding the athwhen using nspsytune
	
2001-10-05 12:20  bouvigne

	* Makefile.MSVC, libmp3lame/libmp3lame.dsp:

	makefile.msvc and projects on par?
	
2001-10-04 10:01  aleidinger

	* libmp3lame/: VbrTag.c, VbrTag.h:

	fixes for Solaris 8 / add missing include
	
2001-10-02 16:02  markt

	* frontend/: main.c, parse.c:

	added nogap patch from Gian-Carlo Pascutto.
	
	lame --nogapout <outputdir> --nogap file1.wav file2.wav file3.wav ...
	
	untested.
	
2001-10-02 03:54  markt

	* configure:

	ran autoconf to make a new configure script
	
2001-10-02 03:53  markt

	* INSTALL, configure.in, frontend/main.c, frontend/parse.c,
	libmp3lame/lame.c, libmp3lame/vorbis_interface.c:

	split Vorbis support into two pieces:
	
	1.
	HAVE_VORBIS   (decoding support).  This code still works!
	(at least it compiles - I have't actually run it).
	Can be enabled with ./configure --with-vorbis.  Changed the
	default in configure.in to define HAVE_VORBIS
	
	2.
	HAVE_VORBIS_ENCODER
	This is the code which hasn't compiled since Vorbis beta1.
	Mainly because how you specify varous encoding "modes" has been
	changed.  It's probably not to much work to get this working,
	but there is no reason for this to be in LAME.
	
2001-10-02 00:00  markt

	* libmp3lame/: VbrTag.c, bitstream.c, bitstream.h, encoder.c,
	lame.c:

	Music CRC computed on the fly.   Code stubs in place for
	decoding on the fly.
	
2001-10-01 23:02  markt

	* libmp3lame/: VbrTag.c, bitstream.c, bitstream.h, encoder.c,
	lame.c, util.h:

	started work to put in the ability to compute MusicCRC on
	the fly, as well as decoding on the fly.
	
2001-09-30 20:36  robert

	* frontend/parse.c, libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/set_get.c, libmp3lame/util.c, libmp3lame/util.h,
	libmp3lame/vbrquantize.c:

	removed some unused variable
	
2001-09-28 21:29  markt

	* frontend/main.c:

	cpu affinity back to #define _WIN32
	
2001-09-28 21:13  markt

	* frontend/main.c:

	process affinity patch is back
	
2001-09-28 20:46  markt

	* USAGE:

	more small updated to USAGE
	
2001-09-28 20:38  markt

	* USAGE:

	updated USAGE to reflect Dmitry's -B comments
	
2001-09-28 12:04  bouvigne

	* Makefile.MSVC:

	harmonization between makefile and project
	
2001-09-27 13:33  bouvigne

	* libmp3lame/libmp3lame.dsp:

	3dnow fft assembly
	
2001-09-21 04:50  markt

	* testcase.mp3, frontend/main.c:

	updated testcases (lowpass added to Info tag?)
	
2001-09-21 04:03  markt

	* frontend/main.c:

	disabled CPU affinity code.
	should only be in a #ifdef NT-system, but I dont know what
	the ifdef should be.
	
2001-09-20 08:38  bouvigne

	* libmp3lame/libmp3lame.dsp, mpglib/mpglib.dsp:

	corrected dsp files for VC++. Should work also under VC5, but not tested. Please report success/error
	
2001-09-20 07:15  bouvigne

	* libmp3lame/: VbrTag.c, lame.c:

	default lowpass stored in info tag
	
2001-09-19 14:32  markt

	* testcase.mp3:

	updated testcase.mp3
	
2001-09-18 13:37  aleidinger

	* libmp3lame/util.c:

	Fix memory hole (allocation from psymodel_init()).
	Found by: Michael Fink <finkm@asamnet.de>
	
2001-09-17 23:54  markt

	* libmp3lame/: VbrTag.c, util.c:

	moved a 1M array from stack to heap in VbrTag.c
	
	Some OS, when launching LAME on a seperate thread,
	allocate a tine (128K?) stack.  moving this to the heap
	is an ugly solution (requires a malloc() and free())
	but lets see if it fixes the reported segfaults.
	
2001-09-17 21:17  markt

	* frontend/main.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/lame.c, libmp3lame/util.c:

	more code related to putting encoder padding into VBR tag
	
2001-09-17 20:05  markt

	* include/lame.h, libmp3lame/VbrTag.c, libmp3lame/encoder.h,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/set_get.c:

	added new call to API,
	lame_get_encoder_padding()
	which returns the amount of padding appended to the input
	during encoding.
	
2001-09-17 19:15  markt

	* libmp3lame/util.c:

	moved MSVC cpu affinity code to the top of disable_FPE()
	
2001-09-15 09:57  aleidinger

	* configure:

	regen
	
2001-09-15 09:49  aleidinger

	* configure.in:

	Bugfix for libffm (Alpha architecture).
	Submitted by: Simon Burge <simonb@wasabisystems.com>
	
2001-09-14 17:37  markt

	* HACKING, README:

	added a note about LAME being threadsave to the HACKING file.
	
2001-09-14 17:18  markt

	* libmp3lame/util.c:

	put Todd Richmond's EAC/lame SMP fix in util.c,
	with all the messy code for setting floating point exceptions.
	I put this in the
	#if defined(_MSC_VER)
	block, so it should only affect people using MSVC.
	
2001-09-11 07:47  potsticker

	* libmp3lame/VbrTag.c:

	Changed id string from 'Xing' to 'Info' for CBR files only
	
2001-09-08 18:39  potsticker

	* libmp3lame/VbrTag.h, frontend/main.c:

	Don't write Lame Tag status message if --quiet
	
2001-09-08 18:35  potsticker

	* libmp3lame/VbrTag.c:

	Don't write Lame Tag status message if --quiet
	
2001-09-08 18:27  potsticker

	* libmp3lame/: VbrTag.c, VbrTag.h:

	Don't write Lame Tag status message if --quiet
	
2001-09-07 23:42  potsticker

	* libmp3lame/VbrTag.c, libmp3lame/lame.c, frontend/parse.c:

	Write Lame Tag for all files (unless -t switch used)
	
2001-09-04 00:06  potsticker

	* libmp3lame/VbrTag.c:

	Implemented most of Lame Tag rev 0 (but no 'replay gain' yet)
	
2001-09-03 23:45  potsticker

	* libmp3lame/: VbrTag.c, VbrTag.h:

	Implemented most of Lame Tag rev 0 (but no 'replay gain' yet)
	
2001-09-03 23:43  potsticker

	* libmp3lame/id3tag.h:

	Moved some macro definitions into id3tag.h (referenced in VbrTag.c)
	
2001-09-03 20:56  robert

	* libmp3lame/id3tag.c:

	cr/lf patch
	
2001-09-02 20:07  potsticker

	* libmp3lame/: id3tag.h, id3tag.c:

	Moved some macro definitions into id3tag.h (referenced in VbrTag.c)
	
2001-08-31 18:41  markt

	* libmp3lame/util.c:

	lowered tolerence in an assert() in the lowpass filtering
	routine.
	
2001-08-31 08:17  bouvigne

	* libmp3lame/: VbrTag.c, util.h:

	I hope it's fixed now
	
2001-08-29 20:08  bouvigne

	* Dll/BladeMP3EncDLL.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/VbrTag.h, libmp3lame/version.c:

	first implementation of lame Xvbr tag from J Dee
	
2001-08-28 18:51  markt

	* API, HACKING, frontend/parse.c, libmp3lame/lame_global_flags.h,
	libmp3lame/psymodel.c, libmp3lame/set_get.c:

	msfix changes.  forgot to commit them yesterday
	
2001-08-28 17:06  aleidinger

	* Makefile.unix:

	OS/2 mods from slaughter@malaconet.org (in principle, I had to apply them by hand and modified it a little bit)
	
2001-08-28 15:41  aleidinger

	* configure:

	oops... wrong gtk-config
	
2001-08-27 21:06  aleidinger

	* configure:

	regen (+update to automake 1.5)
	
2001-08-27 21:04  aleidinger

	* aclocal.m4, Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.am, mpglib/Makefile.in:

	update to automake 1.5
	
2001-08-27 21:04  aleidinger

	* Makefile.unix:

	USE_FFT3DN died some time ago
	
2001-08-27 21:03  aleidinger

	* Makefile.am:

	fixes for the update and diff target if you build in a seperate directory
	
2001-08-27 21:01  aleidinger

	* frontend/main.c:

	Bump MAX_NOGAP from 20 to 40, I wanted to make 34 gapless mp3s.
	
2001-08-27 20:59  aleidinger

	* Makefile.am.global, config.guess, config.sub, depcomp, missing,
	mkinstalldirs, misc/depcomp, mpglib/depcomp:

	update to automake 1.5
	
2001-08-27 20:56  aleidinger

	* DEFINES, Makefile.B32, Makefile.MSVC, Dll/MP3EncDll.dsp,
	libmp3lame/libmp3lame.dsp, libmp3lame/vorbis_interface.c:

	remove USE_FFT3DN, this define died some time ago
	
2001-08-27 20:55  aleidinger

	* configure.in:

	remove --malign-double completely
	
2001-08-27 20:52  aleidinger

	* libmp3lame/fft.c:

	USE_FFT3DN -> HAVE_NASM
	
2001-08-27 20:50  aleidinger

	* lame.spec.in:

	  - Build and include docs and libs correctly
	  - Build extra programs
	
	  Submitted by: Markus Linnala <maage@cs.tut.fi>
	
	  Note:
	  I didn't have a rpm based system, if this breaks feel free
	  to revert my commit, I'm at a "commit what isn't obviously
	  broken and seems to be a good idea" run at the moment.
	
2001-08-27 20:49  aleidinger

	* doc/html/switchs.html, frontend/parse.c, USAGE:

	  - OS/2 priority control
	  Submitted by: "DoC" <slaughter@malaconet.org> (with minor changes by me)
	
2001-08-27 16:40  markt

	* doc/man/lame.1, misc/Lame.vbs:

	typo in man page fixed, new Lame.vbs from
	"Ralf Kempkens" <Ralf.Kempkens@epost.de>
	
2001-08-26 19:01  markt

	* configure.in:

	removed -malign-double, based on Klemm's email.
	
2001-08-26 18:59  markt

	* configure.in:

	some missing quotes for AmigaOS section of configure.in,
	submitted by Fredrik Mellstrom <traal@altavista.net>
	
	(I cant beieve there are still people out there using
	an amiga :-)
	
2001-08-26 18:38  markt

	* mpglib/: interface.c, mpglib.h:

	replaced "look_for_xing" variable with more descriptive name
	"sync_bitstream".
	
2001-08-21 19:48  bouvigne

	* frontend/parse.c:

	switching --vbr-new to mtrh
	
2001-08-21 08:57  viral

	* debian/: changelog, control, lame-dev.docs, lame.docs, rules:

	Debian packaging modifications.
	
2001-08-20 22:26  afaber

	* Dll/: BladeMP3EncDLL.c, MP3EncDll.dsp:

	Updated new R3Mix settings, use lame get/set function and version info
	so I got rid of the version.h and lame_global_flag.h include files
	
2001-08-20 20:54  robert

	* doc/html/contributors.html:

	adding Darin Morrison (author of dm presets)
	
2001-08-16 08:21  robert

	* misc/abx.c:

	update of abx.c by Frank Klemm
	
2001-08-15 21:58  robert

	* frontend/parse.c, libmp3lame/lame.c:

	making -Z a truely toggling switch
	reordering the longhelp options list
	dropping --extrahelp
	
2001-08-15 00:37  robert

	* libmp3lame/lame.c:

	dropped a nagging message for --vbr-mtrh (nspsytune tuned for ...)
	
2001-08-15 00:12  robert

	* frontend/parse.c, libmp3lame/util.c:

	update for --r3mix by Roel
	
2001-08-14 21:46  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize_pvt.c,
	libmp3lame/util.h, libmp3lame/version.h:

	some good presets tuned by Dibrom after die hard listening tests
	--dm-preset {standard,xtreme,insane,metal}
	and a switch to modify the --ns-treble setting for sfb21 by
	--ns-sfb21 x
	
2001-08-08 10:52  aleidinger

	* configure:

	regen
	
2001-08-08 10:51  aleidinger

	* configure.in:

	  - remove optimizations which get already switched on by -O2 or better
	  - new experimental optimizations
	  - bump version to 3.90
	
2001-08-08 10:50  aleidinger

	* configMS.h:

	bump version to 3.90
	
2001-08-07 20:41  afaber

	* libmp3lame/libmp3lame.dsp:

	Added NASM release build option
	
2001-08-02 18:42  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h, Example.cpp,
	MP3EncDll.dsp:

	Added NASM build option, added Very High Quality option
	
2001-08-01 21:45  robert

	* frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/quantize_pvt.c,
	libmp3lame/set_get.c, libmp3lame/version.h:

	BUG fix in "on_pe", was allocating often more than the absolute limit of 4095 bits per granule
	attention: testcases are most likely broken now!
	
2001-07-26 23:05  robert

	* libmp3lame/: lame.c, psymodel.c, vbrquantize.c, version.h:

	VBR mtrh related, bring --remix near to --r3mix bitrate wise
	
2001-07-25 20:19  robert

	* frontend/main.c:

	Michel SUCH, wildcard expansion for nogap using the OS/2 shell
	
2001-07-24 12:13  aleidinger

	* configure:

	regen
	
2001-07-24 12:12  aleidinger

	* configure.in:

	gcc 3.0 fix from Daniel T. Chen
	
2001-07-23 08:11  aleidinger

	* aclocal.m4, configure:

	update to automake 1.4-p5
	
2001-07-23 08:08  aleidinger

	* Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in, config.guess, config.sub:

	update to automake 1.4-p5
	
2001-07-23 08:05  aleidinger

	* Makefile.am.global:

	update to automake 1.4-p5
	
2001-07-22 19:24  robert

	* libmp3lame/: quantize.c, vbrquantize.c:

	small fixes
	
2001-07-22 06:37  jd-

	* libmp3lame/encoder.c:

	Pushed the maximum auto-level adjustment of the ATH from 20 dB to 32 dB
	
2001-07-20 23:56  robert

	* libmp3lame/quantize.c:

	small speed up for --vbr-old
	
2001-07-20 01:01  robert

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.c, vbrquantize.c,
	version.h:

	1) defaulted the old -Y code for --vbr-old
	2) new behaviour of -Y: turns off sfb21 noise shaping (VBR)
	3) some more tunings for --vbr-old
	
2001-07-19 11:36  aleidinger

	* configure:

	regen
	
2001-07-19 11:35  aleidinger

	* configure.in:

	  - removed useless (because already handled by Cygwin) MS-DOS case
	  - bug fixes for alpha*-dec-osf*, *sgi-irix* and sparc*-sunos4*
	  - print a "please contact us" message for sparc*-sunos4* and *beos
	    (theses parts of configure.in are perhaps not neccessary)
	
2001-07-18 20:16  robert

	* frontend/parse.c, libmp3lame/vbrquantize.c:

	vbr-mtrh related: encode sfb21, may bloat on heavy metal music
	
2001-07-18 20:14  robert

	* misc/abx.c:

	update by Frank
	
2001-07-16 19:35  robert

	* Dll/BladeMP3EncDLL.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/psymodel.c, libmp3lame/set_get.c, libmp3lame/util.h,
	libmp3lame/version.h:

	adding a new switch --allshort
	this one forces LAME to use short blocks on every granule
	useful for testing the short block masking abilities
	
2001-07-13 22:37  robert

	* libmp3lame/: psymodel.c, quantize.c, util.h, version.h:

	first try to fix the short block threshold calculation BUG
	this patch tries to resolve the shortcommings for the short block
	threshold calculation using VBR. Applying this patch for CBR/ABR
	would break the testcases. It should not affect the vanilla --nspsy...
	too, maybe later.
	
2001-07-07 19:54  bouvigne

	* libmp3lame/reservoir.c:

	maxmp3buf was beeing ignored
	
2001-07-05 21:25  robert

	* libmp3lame/quantize.c:

	fixing the assertion failures mentioned by Albert Faber
	
2001-07-05 15:56  markt

	* configure:

	regenerated configure
	
2001-07-05 15:55  markt

	* configure.in:

	updated gcc 2.96 check to use -O instead of -O1
	
2001-07-05 15:55  markt

	* configure:

	[no log message]
	
2001-07-05 15:54  markt

	* configure.in:

	gcc 2.96 check
	
2001-07-05 15:53  markt

	* libmp3lame/version.h:

	updated repository to 3.90alpha
	
2001-07-05 15:35  markt

	* doc/html/history.html:

	updateded history file from web page cvs repository
	
2001-07-05 15:32  markt

	* ChangeLog:

	update
	
2001-07-05 15:27  markt

	* libmp3lame/version.h:

	updated to 3.89beta
	
2001-07-02 21:45  robert

	* libmp3lame/quantize.c:

	bug fix for --nspsytune
	minimum bits allocated was too low, resulting in assertion failures
	
2001-07-02 21:08  robert

	* libmp3lame/lame.c:

	changing --vbr-new noise measuring back to its usual one
	
2001-07-01 20:36  markt

	* libmp3lame/psymodel.c:

	unbreak CBR testcases.
	
2001-07-01 20:04  markt

	* frontend/: get_audio.c, main.h, parse.c:

	patch from Nick Duffek <nsd@bosbc.com>
	for signed/unsigned and bitwidth options.
	
2001-07-01 16:48  robert

	* libmp3lame/lame.c:

	defaulting --vbr-mtrh to -q2 = -h
	
2001-07-01 13:11  robert

	* libmp3lame/lame.c:

	allow --vbr-{old,new} to select between different ATH autoadjust types too
	
2001-07-01 11:50  robert

	* libmp3lame/: lame.c, set_get.c:

	nspsytune related:
	now it is possible to turn the scalefac_feature off again giving
	--nspsytune -Z
	the change was necessary, because of the hard coded -Z
	
2001-07-01 05:24  jd-

	* libmp3lame/: encoder.c, lame.c, psymodel.c, util.h:

	Restructured ATH auto-leveling code to fix bug for "--adapt-thres-type 1";
	relaxed tuning for "--adapt-thres-type 2" for compromise with "--athtype 3"
	(the previous bit rate is still available with "--adapt-thres-level -1.25")
	
2001-06-30 16:45  robert

	* Makefile.MSVC:

	fix for compiling mp3x on windows using Makefile.MSVC
	
2001-06-30 16:40  robert

	* frontend/parse.c:

	fix for compiling mp3x on windows using Makefile.MSVC
	
2001-06-30 00:26  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/util.h, libmp3lame/vbrquantize.c:

	2 new modes for --vbr-mtrh available by different -q n selections:
	-q0 truely max noise
	-q1 almost max noise
	
2001-06-29 20:58  robert

	* libmp3lame/set_get.c:

	revive --nssafejoint --ns-{alto,treble,bass}
	lame_set_exp_nspsytune is *not an on/off switch*
	
2001-06-29 15:23  markt

	* configure, configure.in, libmp3lame/lame.c:

	patch for configure.in, replaced a bash specific loop,
	from Oswald Buddenhagen <ob6@inf.tu-dresden.de>
	
2001-06-27 15:47  aleidinger

	* configure:

	regen
	
2001-06-27 15:46  aleidinger

	* configure.in:

	some hardware specific optimization options for gcc
	
2001-06-27 14:53  aleidinger

	* libmp3lame/i386/Makefile.in:

	regen
	
2001-06-27 14:53  aleidinger

	* libmp3lame/i386/Makefile.am:

	this is nasty, I want native nasm support in libtool, at least it works for me (sort of)
	
2001-06-27 14:11  aleidinger

	* libmp3lame/: Makefile.in, i386/Makefile.in:

	regen
	
2001-06-27 14:11  aleidinger

	* libmp3lame/: Makefile.am, i386/Makefile.am:

	go back to let libtool compile liblameasmroutines, the static case was broken, now the libtool v1.4 case may be broken
	
2001-06-26 11:38  aleidinger

	* configure:

	regen
	
2001-06-26 11:36  aleidinger

	* configure.in:

	make the use of nasm a configure option
	
2001-06-25 02:14  cisc

	* frontend/main.c:

	Include portableio.h for the WriteBytes() and WriteBytesSwapped() functions.
	
2001-06-24 21:01  robert

	* lame.bat:

	some comments updated
	
2001-06-24 16:47  robert

	* doc/html/contributors.html, libmp3lame/version.h:

	adding two more contributors
	
2001-06-24 15:58  robert

	* Makefile.MSVC:

	FLOAT8=float for IC
	
2001-06-24 15:57  robert

	* Makefile.B32:

	let it work again
	
2001-06-24 02:04  robert

	* libmp3lame/: quantize.c, quantize.h, quantize_pvt.h, takehiro.c,
	vbrquantize.c:

	BUG fix in inc_subblock gain, was amplifying at the wrong place
	this fix  may break the testcases
	some unused parameters removed
	
2001-06-23 18:26  robert

	* Dll/MP3EncDll.dsp:

	patch for DLL Project file by Dmitry
	
2001-06-23 17:56  robert

	* frontend/lametime.c, frontend/parse.c, mpglib/common.c,
	Makefile.MSVC:

	some fixes needed by the Borland Compiler BCC, first attempt to support BCC with Makefile.MSVC, DLL not supported yet, MP1 MP2 reencoding does not work with BCCcd lame (why?)
	
2001-06-23 12:19  robert

	* libmp3lame/quantize_pvt.c:

	fix letting Borland C++ compiler getting thru' again, Makefile.B32 is *not uptodate*
	
2001-06-23 12:15  robert

	* frontend/get_audio.c:

	BUG fix for mp1 and mp2 input, fixes problem introduced in Revision 1.63
	
2001-06-22 08:55  aleidinger

	* ChangeLog:

	update changelog
	
2001-06-22 08:49  aleidinger

	* Makefile.am:

	regen
	
2001-06-22 08:48  aleidinger

	* Makefile.in:

	we have a test subdir in cvs, force the test target to be out of date at every invocation of make
	
2001-06-21 20:40  bouvigne

	* libmp3lame/reservoir.c:

	change of the max frame size
	
2001-06-19 04:46  markt

	* misc/: Lame.vbs, lameGUI.html:

	updates from "Ralf Kempkens" <Ralf.Kempkens@epost.de>
	
2001-06-18 18:51  markt

	* TODO, frontend/get_audio.c, frontend/get_audio.h,
	frontend/main.c, frontend/main.h, frontend/parse.c, include/lame.h,
	libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/set_get.c, mpglib/interface.c, mpglib/mpglib.h:

	added two new functions to return number of PCM samples buffererd
	but not encoded, and the number of bytes of mp3 data buffered but
	not output.  also added some comments to mpglib/interface.c to
	make it easier to tell it to look for Xing headers in the middle
	of a bitstream.
	
2001-06-16 00:40  robert

	* Makefile.MSVC, Makefile.unix:

	CPU feature detection for fft routines
	
2001-06-16 00:39  robert

	* libmp3lame/: fft.c, util.h:

	CPU feature autodetection for fft routines
	
2001-06-15 22:23  markt

	* TODO, frontend/main.c, include/lame.h, libmp3lame/lame.c:

	Robert's fix to init histgram data with --nogap.
	
	lame_reinit_bitstream() renamed lame_init_bitstream(), and
	it is called by lame_init_params().  It can also be called
	after a call to lame_encode_flush_nogap().
	
2001-06-15 21:25  markt

	* TODO, frontend/main.c, include/lame.h, libmp3lame/lame.c:

	some fixes for VBR tags with --nogap option.
	
2001-06-14 23:09  robert

	* frontend/parse.c:

	fixed stdin
	
2001-06-14 00:58  robert

	* libmp3lame/version.h:

	bumped version to alpha 7
	
2001-06-14 00:43  robert

	* libmp3lame/: lame.c, psymodel.c:

	added JD's loudness approximation to Naoki's duplicated psy routine
	as I defaulted JD's adapt stuff I was under the impression that he
	added his code to both ones, so...
	
2001-06-14 00:19  markt

	* frontend/main.c:

	fix for nogap truncation call.  When processing the last
	of the .wav files, we need to call lame_encode_flush()
	instead of lame_encode_flush_nogap().
	
2001-06-13 22:46  robert

	* frontend/parse.c:

	LFN support for Win32: realized that it would be a good idea to release the search file handle after searching the filename
	
2001-06-13 08:44  aleidinger

	* Makefile.DJGPP:

	nasm fix
	
2001-06-12 21:58  robert

	* frontend/parse.c:

	long file name support for Win32 systems
	works under Win95 using Intel compiler 4.5 / MSVC 4.2
	not tested under NT, and not much tested anyway ;-)
	
2001-06-12 21:03  robert

	* Makefile.unix:

	seems to be forgotten by the last committ
	
2001-06-12 20:32  markt

	* libmp3lame/bitstream.c:

	old crc code removed from bitstream.c.
	I had added this in when looking for the xing/crc bug
	
2001-06-12 12:47  aleidinger

	* frontend/lametime.c:

	fix cygwin build, sort some includes
	
2001-06-12 12:45  aleidinger

	* libmp3lame/: Makefile.in, i386/Makefile.in:

	regen
	
2001-06-12 12:45  aleidinger

	* libmp3lame/: Makefile.am, i386/Makefile.am:

	do not use libtool for the asm lib, libtool did not know about nasm
	
2001-06-12 12:42  aleidinger

	* configure, frontend/Makefile.in:

	regen
	
2001-06-12 12:42  aleidinger

	* configure.in:

	 - enable shared lib
	 - disable asm routines
	 - fix build of asm routines in the win32 case
	
2001-06-12 12:41  aleidinger

	* frontend/Makefile.am:

	statically link libmp3lame to the frondends
	
2001-06-12 05:27  markt

	* libmp3lame/lame.c:

	removed CRC error message
	
2001-06-12 05:27  markt

	* libmp3lame/VbrTag.c:

	fix for Xing/CRC problem.
	
	Xing toc data must start directly after sideinfo data, assuming
	no CRC.  If CRC is set, then the Xing toc data must *still* start
	in the same location (since original Xing demo code does not
	check for CRC and modify the toc offset).
	
2001-06-12 04:51  markt

	* libmp3lame/: bitstream.c, lame.c:

	put old CRC routine back in (but disabled)
	
2001-06-12 03:35  markt

	* Dll/BladeMP3EncDLL.c:

	added some comments about the DLL's non-standard use of libmp3lame.a
	
2001-06-12 03:31  markt

	* libmp3lame/Makefile.am:

	Robert created lame_global_flags.h,
	so I'm adding it to Makefile.am, in the "noinst" section.
	
2001-06-12 00:48  robert

	* Dll/BladeMP3EncDLL.c, libmp3lame/lame_global_flags.h,
	libmp3lame/quantize.c, libmp3lame/util.h:

	- fixed Makefile.unix to let mp3rtp compile again (does it still work?)
	- had to move lame_global_flags structure into a file of its own,
	  because the Dll compiled but did not link anymore.
	  Now it works again, tested on Win95 using Makefile.MSVC
	
2001-06-11 23:42  markt

	* Dll/BladeMP3EncDLL.c, include/lame.h, libmp3lame/set_get.c,
	libmp3lame/util.h:

	committed Robert's patch.  lame_global_flags is gone :-)
	
2001-06-11 22:07  robert

	* frontend/main.c:

	some more new API things
	
2001-06-11 18:49  markt

	* frontend/: gtkanal.c, parse.c:

	converted rest of frontend code over to "new api"
	
2001-06-11 16:35  markt

	* frontend/get_audio.c, frontend/get_audio.h, frontend/gtkanal.c,
	libmp3lame/mpglib_interface.c, mpglib/interface.c:

	Tracked down a bug in lame_decoder. It was not correctly
	flushing the internal mpglib buffers when it hit EOF.
	
	Problem was most severe with low bitrate example.  It the frame size
	was 32 bytes, only the first 1/3 of the file would be decoded
	and the reamining 2/3 of the entire file would be buffered
	inside mpglib.
	
2001-06-10 20:35  robert

	* Dll/BladeMP3EncDLL.c, include/lame.h:

	making the old VBR default in preparation for the next release
	
2001-06-10 19:19  markt

	* API, USAGE, misc/Lame.vbs, misc/lameGUI.html:

	added new version of Lame.vbs from "Ralf Kempkens" <Ralf.Kempkens@epost.de>
	including a GUI/HTML interface.
	
2001-06-08 21:40  markt

	* frontend/: get_audio.c, gtkanal.c, main.c, main.h:

	updated some comments related to restructering main.c
	for the --nogap option
	
2001-06-08 21:29  markt

	* API, TODO, frontend/get_audio.c, frontend/gtkanal.c,
	frontend/main.c, frontend/mp3rtp.c, frontend/mp3x.c,
	frontend/parse.c, frontend/parse.h, frontend/timestatus.c,
	include/lame.h, libmp3lame/lame.c, libmp3lame/set_get.c:

	preliminary --nogap option added.
	
	--nogap file1 file2 file3
	
	and it produces file1.mp3 file2.mp3 file3.mp3
	
	problems: no id3tags, no vbr tags.
	
2001-06-08 18:59  markt

	* test/lametest.py:

	fix so lametest.py doesn't crash if lame does not create an
	output file.
	
2001-06-08 00:00  markt

	* frontend/main.c, libmp3lame/bitstream.c:

	fixed bug with lame_encode_flush_nogap routine
	
2001-06-07 22:12  robert

	* DEFINES, TODO:

	[no log message]
	
2001-06-07 22:06  robert

	* frontend/parse.c, libmp3lame/encoder.c:

	--ath-adjust 1 (Gaby's original code) was disabled, any reasons for that JD?
	
2001-06-07 19:14  markt

	* HACKING, frontend/get_audio.c, frontend/gtkanal.c,
	frontend/parse.c, frontend/timestatus.c, libmp3lame/lame.c:

	started updating frontend code to use the new API.
	
2001-06-07 14:02  aleidinger

	* libmp3lame/fft.c:

	unbreak (at least it compiles), more work needed
	
2001-06-07 10:11  jd-

	* libmp3lame/encoder.c:

	Allow ATH auto-adjust code to begin at the minimum value on the leading frame
	
2001-06-07 08:40  jd-

	* libmp3lame/encoder.c:

	Restored some ATH auto-adjust indentation and comments (altered since 3.88
	in a code clean up)
	
2001-06-07 06:06  pgubanov

	* libmp3lame/fft.c:

	Choose asm-optimized FHT version if ARCH_X86 defined in fft.c
	
2001-06-05 22:13  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	Added R3Mix quality setting
	
2001-06-05 19:19  aleidinger

	* doc/html/history.html:

	sync my entry with the one at the webpages
	
2001-06-05 00:39  markt

	* INSTALL, TODO:

	added note about mpglib i-stereo bug in TODO list.
	fixed typo in INSTALL file
	
2001-06-04 23:57  markt

	* TODO, libmp3lame/reservoir.c:

	documented some variables in reservoir.c.
	
	Current status is:
	
	maxframesize = no restrictions
	
	if strict_ISO is defined, we use Gaby's less restrictive
	interpretation of the standard.
	
	see TODO version 1.30 for a user who has a hardware player which
	cannot handle 320kbps frames if the bit reservoir is used.
	
	I guess the final verdict is tough luck :-)
	
2001-06-04 23:29  markt

	* API, HACKING, frontend/parse.c, libmp3lame/lame.c:

	
	print error message and fail if user selects error_protection
	(since this is currently broken)
	
	added some comments to HACKING on how to add a new option.
	
	updated API to reflect that all lame_set/get functions are now
	working.
	
2001-06-04 23:10  markt

	* include/lame.h, libmp3lame/lame.c:

	updated comments about lame_encode_flush_nogap()
	
2001-06-04 23:08  markt

	* include/lame.h, libmp3lame/bitstream.c, libmp3lame/lame.c:

	added lame_encode_flush_nogap().
	
	This routine will flush all internal mp3 buffers, and pad the
	last frame with ancillary data so it is a complete mp3 frame.
	
	It will then set ResvSize to 0, so we can continue encoding.
	
	after a call to lame_encode_flush_nogap(), if we close
	the mp3 file and open a new one for the future data,
	then the two mp3 files should play back 'gapless'
	if they are first concatenated together.
	
2001-06-04 19:59  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/version.h:

	tweaks to VBR
	
2001-06-04 10:02  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	Extended interface with VBR method selection
	
2001-06-04 10:01  afaber

	* mpglib/layer3.c:

	Removed exit call(s) in error conditions, since these errors seems to be good recoverable
	
2001-06-04 01:54  robert

	* libmp3lame/: lame.c, psymodel.c, quantize.c, util.h:

	small tweaks to the VBR codes
	
2001-06-02 20:22  robert

	* libmp3lame/: lame.c, quantize.c, util.h, version.h:

	started different bit-pressure strategies (VBR)
	
2001-06-02 15:26  aleidinger

	* configure:

	regen
	
2001-06-02 15:25  aleidinger

	* configure.in:

	force cygwin users to use "CC=gcc ./configure"
	
2001-06-01 19:40  glessard

	* frontend/get_audio.c:

	Added support for non-compressed AIFF-C files in parse_aiff_header().
	
2001-05-30 01:38  markt

	* configure, configure.in:

	removed -pedantic gcc option.
	From the gcc man page:  "There is no reason to use this
	option; it exists only to satisfy pedants".
	
	And there is a reason not to use it:  It causes people to
	send me email asking if all the warning messages about c++ comments are ok.
	
2001-05-29 22:14  robert

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/set_get.c:

	quick fix for a typo that turned off auto adjust code by accident, sorry
	
2001-05-27 18:58  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/version.h:

	made JD's ATH adapt stuff default for --vbr-mtrh
	some typings
	changed bitpressure strategy for VBR a bit
	
2001-05-26 21:31  jd-

	* libmp3lame/util.c:

	use more digestible code in ATHformula_jd for a pre-release compiler bundled
	with a popular Linux distribution
	
2001-05-26 16:17  robert

	* libmp3lame/lame.c:

	let the user select -qx for --vbr-mtrh, just to avoid useless e-mails
	
2001-05-24 22:25  robert

	* libmp3lame/: lame.c, quantize_pvt.c:

	just 5 minutes to add some more on the --verbose printing side
	
2001-05-21 18:55  bouvigne

	* doc/html/history.html:

	history
	
2001-05-21 18:19  bouvigne

	* libmp3lame/lame.c:

	update of the default lowpass value. Will probably break some testcases
	
2001-05-20 20:45  robert

	* libmp3lame/: encoder.c, lame.c, util.h:

	some more --verbose output
	
2001-05-19 16:16  robert

	* libmp3lame/psymodel.c:

	typo fixed
	
2001-05-19 16:13  robert

	* frontend/get_audio.c, frontend/main.c, frontend/parse.c,
	frontend/timestatus.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/psymodel.c, libmp3lame/util.h:

	starting a very verbose print function about all internal
	settings, aiming more transparency for the experienced users
	
2001-05-15 01:24  robert

	* libmp3lame/: psymodel.c, quantize_pvt.c, vbrquantize.c:

	some tunings
	still problems with fatboy.wav and ns.wav
	
2001-05-13 20:59  bouvigne

	* libmp3lame/util.c:

	comments in the ath functions
	
2001-05-13 11:33  robert

	* libmp3lame/: lame.c, psymodel.c, util.c, util.h:

	fixing tonality problem for --vbr-mtrh
	
2001-05-11 23:33  robert

	* libmp3lame/quantize_pvt.c:

	trying to point out the real difference in l3xmin calculation with nspsytune and without it
	
2001-05-11 22:14  robert

	* libmp3lame/lame.c:

	nspsytune & newer vbr
	
2001-05-11 01:30  robert

	* frontend/get_audio.c, frontend/main.h, include/lame.h,
	libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	libmp3lame/version.h, test/VBR.op:

	compile fixes for Intel Compiler, dropped sfb21 early stopping for vbr-old (found differences)
	
2001-05-10 19:01  aleidinger

	* include/lame.h, libmp3lame/set_get.c:

	- Make the last few set/get functions functional.
	  (TODO: use them in the frontend).
	- Converted padding_type to an enum.
	- Correct some typos.
	- Adjust some lines to conform to the style of the majority of the file.
	
	TODO:
	 - Search for XXX and do appropriate actions.
	 - Search for typos (because of alot of cut&paste programming).
	
2001-05-08 15:00  bouvigne

	* frontend/parse.c, libmp3lame/util.c:

	update of --r3mix
	
2001-05-06 15:11  robert

	* libmp3lame/: lame.c, quantize.c, vbrquantize.c:

	some desperate values for the fast mtrh VBR mode
	
2001-05-04 01:07  jd-

	* libmp3lame/: tools.h, util.c:

	Added "--athtype 5" to better represent higher frequencies (14 - 19 kHz).
	Included supporting functions for quadratic interpolation.
	
2001-05-03 20:13  robert

	* libmp3lame/: lame.c, quantize.c, util.c, util.h, vbrquantize.c:

	some VBR-codeclean-up
	
2001-05-02 21:02  robert

	* misc/lame4dos.bat:

	patch by Alexander Stumpf:
	- now works both with drag & drop (SFN) and from the 4DOS-Commandline (LFN)
	- Using wildcards when prozessing from mp3 to mp3 caused a loop - fixed
	- removed the mp3-extention test since LAME recognizes the input file fomat
	  correctly for several versions now (i.e. no --mp3input neccessary anymore)
	
2001-05-01 22:55  robert

	* libmp3lame/version.h:

	bumped version number
	
2001-05-01 22:18  robert

	* libmp3lame/: quantize.c, vbrquantize.c:

	new -q2 mode for --vbr-mtrh
	
2001-05-01 20:37  bouvigne

	* libmp3lame/reservoir.c:

	change of max frame size
	
2001-04-28 15:37  robert

	* libmp3lame/: encoder.c, quantize_pvt.c, util.c, vbrquantize.c:

	--vbr-mtrh uses now -Y by default, some tweaks
	
2001-04-27 23:19  robert

	* libmp3lame/: psymodel.c, quantize_pvt.c, util.c, util.h:

	--experimentalY selects a different ATH adjustment
	- keeps original noise floor
	- affects high freqs more than low ones
	
2001-04-26 23:06  cisc

	* config.guess, config.sub:

	Added MorphOS recognition to configure script.
	
2001-04-26 04:38  markt

	* README.B32, TODO:

	removed mmx notes from README.B32
	
2001-04-25 16:21  aleidinger

	* configure, libmp3lame/i386/Makefile.in:

	regen
	
2001-04-25 16:20  aleidinger

	* configure.in:

	bugfix for gcc version detection
	
2001-04-25 16:19  aleidinger

	* libmp3lame/i386/Makefile.am:

	bugfix for non x86 architectures with installed nasm, tested by Karl Pauls <kpauls@eecs.wsu.edu> on Darwin
	
2001-04-25 06:59  markt

	* TODO, frontend/get_audio.c, frontend/main.h, frontend/parse.c,
	include/lame.h, libmp3lame/set_get.c:

	removed 'disable_wave_header' variable from encoding library.
	It is in the frontend code only.
	
2001-04-24 01:38  markt

	* TODO, frontend/get_audio.c:

	added something to the TODO list.
	
	changed:
	
	"buffer[1]+i"  code to  "&buffer[1][i]"
	
	in get_audio.c.  buffer[1]+i is clever, but it confused the
	maintainer of EAC enough to cause him to submit it as a bug
	report.
	
2001-04-23 19:47  bouvigne

	* libmp3lame/: lame.c, util.c:

	[no log message]
	
2001-04-22 22:57  bouvigne

	* libmp3lame/util.c:

	update of the ath functions
	
2001-04-22 01:34  jd-

	* frontend/get_audio.c:

	Fixed trailing data bug introduced with the 24 bit input code
	
2001-04-21 22:23  jd-

	* frontend/get_audio.c, frontend/get_audio.h, frontend/gtkanal.c,
	frontend/main.c, frontend/mp3rtp.c, include/lame.h,
	libmp3lame/lame.c:

	Add 24-bit PCM waveform input capability (with or without libsndfile),
	and glue code to preserve the functionality of routines that only handle
	up to 16-bit data.  The changes support both little and big endian
	architectures.
	
2001-04-17 20:04  afaber

	* libmp3lame/libmp3lame.dsp, Dll/BladeMP3EncDLL.c,
	mpglib/mpglib.dsp, frontend/lame.dsp:

	Added MMX compile option
	
2001-04-17 19:22  bouvigne

	* libmp3lame/util.c:

	auto adjusting ath shape for vbr on ath type 4
	
2001-04-16 21:26  bouvigne

	* libmp3lame/: encoder.c, lame.c, psymodel.c:

	wrapped a few things inside of ifdef HAVE_GTK
	
2001-04-16 11:50  takehiro

	* libmp3lame/: psymodel.c, util.h:

	spread function is now packed into linear array.
	it reduces memory assumption and improves cache efficienty.
	
2001-04-16 08:27  takehiro

	* include/lame.h, libmp3lame/VbrTag.c:

	now try to calculate the CRC of VBR header.
	
2001-04-16 07:58  takehiro

	* libmp3lame/: bitstream.c, bitstream.h:

	cleaned and improved CRC calculation method
	
2001-04-13 15:13  aleidinger

	* libmp3lame/set_get.c:

	add some comments about converting int->enum
	
2001-04-13 15:12  aleidinger

	* frontend/parse.c:

	use some of Marks set-functions, also without error checking (yet)
	
2001-04-12 17:40  bouvigne

	* libmp3lame/: encoder.c, lame.c:

	[no log message]
	
2001-04-08 07:52  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c:

	portability enchancement(from sourceforge's LAME open discussion forum).
	
	quantize_pvt.c: changed 1e99 into FLOAT8_MAX
	machine.h: defined FLOAT8_MAX
	
2001-04-04 21:58  bouvigne

	* libmp3lame/lame.c:

	update of the lowpass values for vbr rh
	
2001-04-04 18:11  bouvigne

	* libmp3lame/psymodel.c:

	update of -d for joint stereo
	
2001-04-01 03:22  jd-

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/set_get.c, libmp3lame/util.h:

	added an --adapt-thres-level option to allow adding an offset (in dB)
	to the point below which adaptive ATH level adjustment occurs
	
2001-04-01 02:11  jd-

	* include/lame.h:

	added set/get functions to include/lame.h for option --adapt-thres-type
	
2001-03-31 23:44  jd-

	* frontend/parse.c, libmp3lame/set_get.c:

	added set/get functions to libmp3lame/set_get.c for option
	--adapt-thres-type, and used the set function in frontend
	
2001-03-30 18:43  markt

	* testcase.mp3, frontend/get_audio.c, test/lametest.py:

	updated testcase.mp3
	removed some unused code from get_audio.c
	
2001-03-30 17:16  markt

	* test/lametest.py:

	delete output mp3 file before running lame.
	(before, if lame crashes and does not write any output, the
	script would use the old output mp3 file, and if it hadn't changed,
	all tests would pass.)
	
2001-03-29 18:31  cisc

	* libmp3lame/: version.c, version.h:

	Moved inclusion of lame.h to version.h for lame_version_t in prototype.
	
2001-03-27 12:26  jd-

	* libmp3lame/psymodel.c:

	added --adapt-thres-type 2 (auto-level adjustment of the ATH,
	with a frequency-based loudness approximation).
	
2001-03-27 12:04  jd-

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/psymodel.c, libmp3lame/util.h:

	added option, --adapt-thres-type 2 (auto-level adjustment of the ATH
	with a frequency-based loudness approximation).
	
2001-03-27 10:56  aleidinger

	* configure:

	regen (do not enable vorbis by default)
	
2001-03-27 10:56  aleidinger

	* configure.in:

	do not enable vorbis by default
	
2001-03-26 23:02  markt

	* libmp3lame/set_get.c:

	added code to more of the lame_set/lame_get functions-
	but without any error checking :-(
	
	Only 47 more to go!
	
2001-03-26 20:46  markt

	* TODO, libmp3lame/util.c:

	dont scale the input if scale=1.0.
	
2001-03-26 18:38  markt

	* TODO:

	updated TODO list with some filtering stuff
	
2001-03-26 17:42  markt

	* libmp3lame/encoder.c:

	another MPEG2 bug found by: "Jiri Hajek" <jirik@ucw.cz>
	
	This code:
	
	> int  sum_pe_MS = pe_MS[0][0] + pe_MS[0][1] + pe_MS[1][0] + pe_MS[1][1];
	> int  sum_pe_LR = pe   [0][0] + pe   [0][1] + pe   [1][0] + pe   [1][1];
	
	does not work for MPEG2.  now fixed.
	
2001-03-26 16:05  aleidinger

	* configure:

	regen (version bump)
	
2001-03-26 16:04  aleidinger

	* configure.in:

	Welcome to 3.89
	
2001-03-26 00:38  markt

	* frontend/brhist.c:

	bug in brhist_disp_total()
	
	for --freeformat bmode, br_frames = 0 (why?)
	so sum / br_frames would segfault.
	
	if br_frames == 0 , routine now just returns without printing
	anything.
	
2001-03-26 00:12  markt

	* TODO:

	minor editing of TODO file
	
2001-03-25 23:18  markt

	* libmp3lame/version.h:

	updated version to 3.89 alpha 1
	
2001-03-25 23:16  markt

	* libmp3lame/version.h:

	updated version to 3.88beta
	
2001-03-25 23:14  markt

	* API, README, TODO, libmp3lame/lame.c, libmp3lame/libmp3lame.dsp:

	made ath type 2 the default.
	updated test cases
	added set_get.c to libmp3lame.dsp
	
2001-03-25 21:37  shibatch

	* libmp3lame/psymodel.c:

	Fixed nspsytune.
	
2001-03-25 18:43  afaber

	* Dll/BladeMP3EncDLL.def, Dll/MP3EncDll.dsp,
	libmp3lame/bitstream.h, libmp3lame/encoder.h,
	libmp3lame/psymodel.c, libmp3lame/tables.h:

	Removed the last remainings of KLEMM_43 in order to complet the Windows DLL compilation
	
2001-03-20 00:42  markt

	* libmp3lame/util.c:

	added a few more minor comments to resampling code
	
2001-03-20 00:28  markt

	* libmp3lame/util.c:

	removed some cruft from blackman() filtering routine
	
2001-03-19 21:26  markt

	* frontend/get_audio.c, libmp3lame/util.c, test/lametest.py:

	
	Tested fixed resampling code.  It seemed to work.
	Added a few comments.
	
	Also added documentation for "-w" for the usage function in lametest.py
	
2001-03-18 14:31  aleidinger

	* libmp3lame/vorbis_interface.c:

	use the new MSGF API in Vorbis
	
2001-03-18 14:25  aleidinger

	* libmp3lame/vorbis_interface.c, frontend/get_audio.c:

	use the new ERRORF API in Vorbis encoding (+fixes for needed API change to lame_decode_ogg_{initfile,fromfile}())
	
2001-03-15 19:40  markt

	* libmp3lame/util.c:

	Put in fix for resampling bug in fill_buffer_resample.
	
	Code assumed it would be fed at least BLACKSIZE samples.
	For each input buffer, the code would save the last BLACKSIZE
	samples for use for the next call to fill_buffer_resample.
	
	If the code recieves less than blacksize samples, it will
	now shift in just as many new samples as are available into
	the save buffer.
	
	Not tested :-(
	
2001-03-14 14:38  aleidinger

	* Dll/BladeMP3EncDLL.c, dshow/Encoder.cpp, dshow/Mpegac.cpp,
	dshow/PropPage_adv.cpp:

	regexp: MPG_MD_(.*) -> $1
	
2001-03-14 14:38  aleidinger

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix:

	add set_get.c to the build
	
2001-03-14 10:57  aleidinger

	* Makefile.in:

	regen
	
2001-03-14 10:56  aleidinger

	* Makefile.am:

	do not forget Makfile.am.global at "make dist"
	
2001-03-14 10:49  aleidinger

	* ChangeLog:

	update
	
2001-03-14 10:40  aleidinger

	* doc/html/Makefile.in, doc/man/Makefile.in,
	libmp3lame/i386/Makefile.in:

	regen with automake 1.4d instead of 1.4
	
2001-03-13 06:15  markt

	* libmp3lame/util.c:

	added assert() to resampling code
	
2001-03-12 20:58  markt

	* libmp3lame/psymodel.c:

	a few more comments added to psymodel.c
	
2001-03-12 20:40  markt

	* libmp3lame/: psymodel.c, tables.c:

	removed ISO TABLE reading code from psymodel.c,
	and ISO psy data from tables.c
	
2001-03-12 20:31  markt

	* libmp3lame/psymodel.c:

	removed shortlived MINTHMM experiment
	
2001-03-12 18:52  markt

	* USAGE, configure:

	updated USAGE.
	ran configuer with --enable-maintainer-mode which seems to
	have touched all this .in files, sorry about that...
	
2001-03-12 07:26  markt

	* API, libmp3lame/vbrquantize.c:

	a few updates to API
	
2001-03-12 04:38  markt

	* frontend/get_audio.c, include/lame.h, libmp3lame/bitstream.c,
	libmp3lame/bitstream.h, libmp3lame/encoder.c, libmp3lame/encoder.h,
	libmp3lame/lame.c, libmp3lame/set_get.c:

	fixed a few compiler warnings and the assert in lame_get_mode().
	added NOT_SET value to MPEG_mode_e
	
2001-03-11 11:25  aleidinger

	* DEFINES:

	  - remove outdated entries
	  - add OLD_ATH_AUTO_ADJUST
	
2001-03-11 11:24  aleidinger

	* Makefile.in:

	- regen from Makefile.am (testupdate target)
	
2001-03-11 11:24  aleidinger

	* frontend/: depcomp, get_audio.c, gtkanal.c, main.c, mp3x.c,
	parse.c, timestatus.c:

	 *.c:
	  - use set/get functions
	  *** lame_set_quality(): should it check for <0 and >9 itself? (parse.c)
	
	 depcomp:
	  - update (autotools)
	
2001-03-11 11:23  aleidinger

	* libmp3lame/: depcomp, encoder.c, lame.c, psymodel.c, util.c,
	util.h:

	 libmp3lame/encoder.c:
	  - MPEG_mode (JOINT_STEREO) change (related to set/get functions change)
	  - J.D.s improvements to Gabriels ath auto adjust code (VBR)
	  - move ath auto adjust code into seperate function
	
	 libmp3lame/lame.c:
	  - errorf/msgf/debugf changes
	  - MPEG_mode (JOINT_STEREO/...) change (related to set/get functions change)
	  - remove prototypes of set/get functions
	
	 libmp3lame/psymodel.c:
	  - MPEG_mode (JOINT_STEREO/...) change (related to set/get functions change)
	
	 libmp3lame/util.[ch]:
	  - new errorf/msgf/debugf implementation
	
	 libmp3lame/depcomp:
	  - update (autotools)
	
2001-03-11 11:22  aleidinger

	* include/lame.h:

	  - set/get functions related cleanup
	  - errorf/msgf/debugf
	
2001-03-11 11:21  aleidinger

	* libmp3lame/Makefile.in:

	regen
	
2001-03-11 11:21  aleidinger

	* libmp3lame/Makefile.am:

	- add set_get.c
	
2001-03-11 11:20  aleidinger

	* libmp3lame/set_get.c:

	- set and get functions for the gfp
	
2001-03-10 19:15  markt

	* libmp3lame/encoder.c:

	a little more tuning of tot_energy for ATH adjust
	
2001-03-10 19:06  markt

	* libmp3lame/encoder.c:

	modified ATH adjustment code to use tot_ener returned by psy model
	and not the maximum of the PCM sample values.
	
	We need to replace this with JD's formula.   We need to decide
	if this is really worth while.  My preference is to take the
	most conservative ATH possible, but this seems to produce too
	high bitrates for VBR modes. (this may no longer be true
	not that masings are computed in all scalefactor bands)
	
2001-03-10 18:33  markt

	* frontend/get_audio.c:

	added 127 also, on recommendation of JD, to 8bit -> 16bit
	conversion routine
	
2001-03-10 18:29  markt

	* frontend/get_audio.c:

	fix from "J.D." <jodaman@cegt201.bradley.edu> for
	8 bit input support.
	
2001-03-09 17:56  markt

	* test/lametest.py:

	'os.pathsep' changed to 'os.sep'
	
	For example, on unix:
	
	os.pathsep = ":"  - the character that seperaters search paths in
	                    the PATH environment variable
	
	os.sep = "/"      - the charcter that seperates directories
	
2001-03-07 12:32  aleidinger

	* test/lametest.py:

	- use OS independent path seperator
	
2001-03-07 12:31  aleidinger

	* DEFINES:

	- NOTABELS is now the default
	
2001-03-05 20:29  markt

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c:

	code (disabled) to use minimum value when going from partition
	bands to scalefactor bands (instead of average value)
	
2001-03-05 18:21  markt

	* testcase.mp3, libmp3lame/psymodel.c, libmp3lame/quantize_pvt.c:

	Noise calculation:  had to switch calculation of tot_noise and
	over_noise back to being done in db units.  Multiply (to save
	the 22 log10() function calls) was overflowing.
	
	updated testcases to reflect changes
	
2001-03-05 01:44  markt

	* testcase.mp3:

	updated testcase.mp3 for NOTABLES code
	
2001-03-05 01:26  markt

	* libmp3lame/psymodel.c:

	NOTABLES enabled by default.
	
	Psycho acoustics computed in *all* scalefactor bands.
	
	cvs tag before this change:  before_notables
	cvs tag after this change:   notables
	
2001-03-05 01:25  markt

	* libmp3lame/psymodel.c:

	The last commit before NOTABLES becomes the default.
	tagged with "before.notables"
	
2001-03-04 20:03  markt

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h, util.h:

	More prep work for enabling NOTABLES.
	Will now compute masking for all scalefactor bands
	
2001-03-04 15:30  markt

	* testcase.mp3, libmp3lame/psymodel.c, libmp3lame/util.c:

	Finished proper normalization of spreading function.
	
	updated testcases
	
2001-03-04 06:56  markt

	* libmp3lame/psymodel.c:

	more tweaking of s3 normalization
	
2001-03-04 06:48  markt

	* libmp3lame/psymodel.c:

	spreading function moved into seperate routine, s3_func().
	s3 normalized so that:
	
	         +inf
	           /
	           |  s3 [ bark ]  d(bark)   =  1
	           /
	         -inf
	
	which resulted in dividing the result by 0.66.
	
	This is the first step in fixing the long outstanding bug
	mentioned by Takehiro:  s3[i][j] is normalized improperly for
	values of i near the partition band boundaries.  For these values,
	the computed 'norm' is much too small since a lot of the data is
	missing, resulting in artificially increasing the spreading function
	(and thus the masking)
	
	--nspsytune: s3_l function is used with a normalization of .5
	(instead of computing the norm).  So I changed this to a .5*.66
	to compensate for the above change.
	
	Next step:
	
	1.
	s3[i][j] will be multiplied by the width (in barks) of the
	j'th partition band (about .35).  Once this is done, we will not need to
	compute and divide by 'norm' later.
	
	2.
	Make NOTABLES the default
	
	3.
	compute psymodel all the way up to 22khz.
	
2001-03-04 05:51  markt

	* API, libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:

	added prototypes to lame.c  (but functions not yet written)
	
2001-03-04 05:13  markt

	* include/lame.h:

	finished last of the prototypes
	
2001-03-04 05:02  markt

	* frontend/get_audio.c:

	changed to:
	
	        gfp->num_samples = data_length / (channels * ((bits_per_sample+7) / 8));
	
	thanks J.D.!
	
2001-03-04 00:20  markt

	* include/lame.h, libmp3lame/lame.c:

	added:
	lame_encode_buffer_sample_t, which is called by the following functions
	in the API:
	
	lame_encode_buffer                 (original, short int interface)
	lame_encode_buffer_float
	lame_encode_buffer_long
	
2001-03-02 22:39  markt

	* frontend/get_audio.c, test/lametest.py:

	get_audio.c: fixed num_samples computation for case when
	bits_per_sample < 8.  (althouth this case is already trapped for
	earlier)
	
	lametest.py:  slight change to reference mp3 filename generation
	so lametest.py can be run from another directory.
	
2001-03-02 18:28  markt

	* Makefile.am, testcase.mp3, doc/html/Makefile.in,
	doc/man/Makefile.in, frontend/get_audio.c,
	libmp3lame/i386/Makefile.in:

	error message about non-PCM wave files from
	"J.D." <jodaman@cegt201.bradley.edu>
	
	Added "make testupdate" to Makefile.am, which updates
	the test file in the CVS repository
	
2001-02-27 11:54  robert

	* include/lame.h, libmp3lame/lame.c:

	lame.h  typo
	lame.c  fix for possibility of calling lame_init_parms twice
	
2001-02-27 11:39  aleidinger

	* DEFINES:

	remove KLEMM_42
	
2001-02-27 11:38  aleidinger

	* configure, Makefile.in, frontend/Makefile.in, misc/Makefile.in:

	regen
	
2001-02-27 11:37  aleidinger

	* frontend/Makefile.am, misc/Makefile.am:

	remove EXTRA_PROGRAMS on make clean
	
2001-02-27 11:36  aleidinger

	* Makefile.am:

	remove testcase.new.mp3 on error
	
2001-02-27 11:36  aleidinger

	* configure.in:

	display version of gcc
	
2001-02-27 11:35  aleidinger

	* include/lame.h:

	fix typo in comment
	
2001-02-27 11:33  aleidinger

	* libmp3lame/util.c:

	include machine/floatingpoint.h on FreeBSD
	
2001-02-27 09:59  robert

	* libmp3lame/: VbrTag.c, bitstream.c, lame.c, quantize_pvt.h,
	takehiro.c, util.c, util.h:

	VbrTag.c   fixed gfp/gfc typo
	lame.c     made data flow analysis happier: there was a possible path to use channels before definition. Even though it would be an error following this path, but the compiler doesn't know it
	util.hc    message functions are not intended to change gfc?!?
	takehiro.c fixed a warning
	bitstream.c fixed a warning
	
2001-02-27 06:14  markt

	* frontend/gtkanal.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/bitstream.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/quantize_pvt.h,
	libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	libmp3lame/vbrquantize.c:

	
	Implmented Frank's excellent idea about error messages:
	
	gfc->errorf, gfc->msgf and gfc->debugf are all FILE *.
	default is stderr.  If you want to disable all internal library
	messages, set these to NULL with lame_set_errorf(), lame_set_msgf() etc...
	
	For a GUI, you can set these to regular files, and then read
	the files and display the messages in an pop up window.
	
	Maybe the default should be NULL?
	
2001-02-27 05:17  markt

	* include/lame.h:

	plugging away at a few more prototypes
	
2001-02-26 22:45  robert

	* frontend/parse.c, libmp3lame/util.c:

	little change to Roel's --r3mix setting, on request by Roel
	
2001-02-26 19:08  markt

	* libmp3lame/VbrTag.c:

	non RH_SEEKTABLE code removed from VbrTag.c
	
2001-02-26 18:57  markt

	* frontend/lametime.c:

	removed to //include lines
	
2001-02-26 18:52  markt

	* frontend/: get_audio.c, lametime.c:

	
	incomprehensible gobbledygook replaced by call to standard
	'stat' function for file size.
	
2001-02-26 08:06  markt

	* include/lame.h:

	more prototypes added to lame.h
	
2001-02-26 07:38  markt

	* USAGE, frontend/parse.c, libmp3lame/lame.c:

	useTemporal turned on by default
	--notemp option added.
	
2001-02-26 07:26  markt

	* include/lame.h:

	added more of the lame_get/lame_set prototypes to lame.h
	
	also added this:
	
	// I give up. Klemm has worn me down on this one...
	typedef lame_global_flags lame_t;
	
2001-02-26 06:34  markt

	* misc/Lame.vbs:

	lame.vbs changes submitted by "Paul Reedy" <ka5pmv@webzone.net>
	
2001-02-25 22:47  markt

	* libmp3lame/vorbis_interface.c:

	removed a klemm_42 from vorbis_interface.c
	
2001-02-25 22:47  markt

	* INSTALL, libmp3lame/lame.c, libmp3lame/vorbis_interface.c:

	klemm_42 enabled by default.
	
	This code uses a different formula to choose the lowpass
	filter.  It takes into account stereo vs. jstereo
	(jstereo gets 25% more bandwidth).  This has the effect
	of stereo 128kbps using a 14khz lowpass filter, which some
	people may not like.
	
2001-02-25 22:02  markt

	* libmp3lame/lame.c, test/CBRABR.op:

	made allow_diff_short the default if mode=stereo and
	allow_diff_short has not been set to 0 or 1 by the calling
	program.
	
	addes these notes to lame_init_params() :
	 *
	 * We first have some complex code to determine bitrate,
	 * output samplerate and mode.  It is complicated by the fact
	 * that we allow the user to set some or all of these parameters,
	 * and need to determine best possible values for the rest of them:
	 *
	 *   set some CPU related flags
	 *   check if we are mono->mono, stereo->mono or stereo->stereo
	 *   compute bitrate and output samplerate:
	 *          user may have set compression ratio
	 *          user may have set a bitrate
	 *          user may have set a output samplerate
	 *   set some options which depend on output samplerate
	 *   compute the actual compression ratio
	 *   set mode based on compression ratio
	 *
	 *  The remaining code is much simpler - it just sets options
	 *  based on the mode & compression ratio:
	 *
	 *   set allow_diff_short based on mode
	 *   select lowpass filter based on compression ratio & mode
	 *   set the bitrate index, and min/max bitrates for VBR modes
	 *   disable VBR tag if it is not appropriate
	 *   initialize the bitstream
	 *   initialize scalefac_band data
	 *   set sideinfo_len (based on channels, CRC, out_samplerate)
	 *   write an id3v2 tag into the bitstream
	 *   write VBR tag into the bitstream
	 *   set mpeg1/2 flag
	 *   estimate the number of frames (based on a lot of data)
	 *
	 *   now we set more flags:
	 *   nspsytune:
	 *      see code
	 *   VBR modes
	 *      see code
	 *   CBR/ABR
	 *      see code
	
2001-02-25 21:28  markt

	* frontend/parse.c:

	removed VBR warning
	
2001-02-25 20:24  markt

	* libmp3lame/psymodel.c:

	edited a few comments in psymodel.c
	
2001-02-25 20:17  markt

	* libmp3lame/encoder.c, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/util.h, test/nores.op:

	Started some re-originization of psymodel.c
	created:
	
	psymodel_init() function, called by both psymodel and psymodel_ns.
	
	I was carefull to make sure no binary changes were introduced
	with --nspsytune.
	
	Modified both psymodel and psymodel_ns to return the
	energy in each channel.  I'm going to request that the
	ATH level adjust be based on the energy comptuted by the
	psymodel, rather than computing a magnitude in encoder.c
	
2001-02-25 17:37  markt

	* Dll/BladeMP3EncDLL.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:

	removed mode_fixed variable.  If calling program selects a mode
	(mono, stereo, jstereo) then that mode is used, otherwise
	lame picks best mode to use.
	
2001-02-25 01:58  markt

	* include/lame.h:

	started adding more prototypes into lame.h:
	
	int lame_set_variable_name(lame_global_flags *, int)
	int lame_get_variable_name(lame_global_flags *)
	
	_get will return the value (instead of an error code)
	as suggested.
	
	_set will return an error code.  But right now, the way lame
	works there is no error checking until lame_init_params() is
	called.  This is because, for example, bitrate=135
	is not an error if free_format=1, but it is an error
	for CBR.  So many errors cannot be detected until all options
	are set.
	
2001-02-24 19:35  markt

	* include/lame.h, libmp3lame/util.h:

	commented out a uint_64_t field in util.h to get lame to
	compile.  Do we really need these types of variables?
	
	removed some stuff from lame.h.  Note that many decisions have
	already been made about the library interface, so if you are
	planning on changing this, you need to check with me
	(mark taylor) first.  In particular,
	there is going to be no file I/O, and all data is in
	machine order. (no endian stuff in the library).
	
2001-02-24 13:55  robert

	* Makefile.unix, configMS.h:

	get Makefile.unix working again (tested for Linux, not for OS/2 etc.)
	
2001-02-21 21:17  robert

	* libmp3lame/lame.c:

	--vbr-mtrh related
	
2001-02-21 17:07  robert

	* libmp3lame/vbrquantize.c:

	take sfb21 into consideration for median search
	
2001-02-21 17:06  robert

	* libmp3lame/util.c:

	index transformation in select_kth_int()
	
2001-02-21 14:59  aleidinger

	* test/lametest.py:

	do not print the passed/failed statistic in the makeref case
	
2001-02-21 13:49  robert

	* frontend/parse.c, libmp3lame/lame.c:

	default quality handling fix
	
2001-02-21 12:39  aleidinger

	* Dll/BladeMP3EncDLL.c:

	lame.h has to be included before version.h
	
2001-02-20 18:34  aleidinger

	* Makefile.in, config.h.in, configure, configure.in,
	frontend/brhist.c:

	 - Patch (#103821) from guy_hutchison:
	    Fixes compilation problem on systems with ncurses dir
	 - add ChangeLog to Makefile.in
	
2001-02-20 18:23  aleidinger

	* libmp3lame/: encoder.h, version.h:

	[no log message]
	
2001-02-20 18:20  aleidinger

	* doc/html/: Makefile.am, Makefile.in:

	  - add basic.html
	
2001-02-20 18:20  aleidinger

	* configMS.h:

	  - add LAME_LIBRARY_BUILD
	
2001-02-20 18:20  aleidinger

	* libmp3lame/util.h:

	  - more documentation, seems to be partially truncated  (Frank)
	  - CPU_features is now a struct
	
2001-02-20 18:19  aleidinger

	* libmp3lame/takehiro.c:

	  - CPU_features is now a struct
	
2001-02-20 18:19  aleidinger

	* libmp3lame/lame.c:

	  - CPU_features is now a struct, no need to waste space for those
	    bolean values (Frank)
	  - introduce some KLEMM_44 protected code
	
2001-02-20 18:18  aleidinger

	* libmp3lame/util.c:

	  - fixes + docu for ATHformula_Frank()       (Frank)
	  - don't compile old resampling in KLEMM_44 case
	
2001-02-20 18:17  aleidinger

	* libmp3lame/version.c:

	  - doxygen parseable documentation
	  - better lclint flags
	  - enable get_lame_version_numerical()
	
2001-02-20 18:17  aleidinger

	* include/lame.h:

	  - delete prototype of already removed get_lame_about()
	  - add get_lame_version_numerical() and lame_version_t
	    (now dshow didn't needs to include version.h to get the numerical
	     version of lame (dshow not changed, I let pgubanov do this))
	  - introduce some KLEMM_44 protected code  (Frank)
	  - rework formatting and documentation to be more (IMO much more) readable
	    (no lines longer than 80 chars, consistent formatting, looks alot cleaner)
	
2001-02-20 10:41  aleidinger

	* DEFINES:

	Remove KLEMM_04, there was a previous commit which handled it, see
	ChangeLog.
	
2001-02-20 01:56  markt

	* DEFINES, frontend/brhist.c, frontend/get_audio.c,
	frontend/timestatus.c:

	KLEMM 5,6,7 made the default & removed
	
2001-02-20 00:40  markt

	* libmp3lame/lame.c:

	simplified lame_encoder_buffer_interleaved: it now always calls
	lame_encoder_buffer()
	
2001-02-20 00:30  markt

	* libmp3lame/: encoder.c, lame.c, util.c, util.h:

	fix for --scale problem?
	
	made a new routine:  fill_buffer()
	
	This is the generic routine used to copy data from the input buffer
	into lame's internal buffer, 'mfbuf[]'.
	
	It also calls the resample code if necessary, and the user selected
	rescaling code if necessary.
	
2001-02-20 00:26  markt

	* frontend/parse.c:

	added comment to vbr warning message
	
2001-02-20 00:24  markt

	* frontend/parse.c:

	re-added the warning about VBR modes. It seems to have been deleted
	at some point.
	
	This is because this website:
	
	http://www.kuro5hin.org/?op=displaystory;sid=2001/1/25/164540/759
	
	is comparing Vorbis with lame -V4.
	
	While many people like the high bitrate VBR modes,
	lame -V4 is *often* of lower quality than CBR.
	
2001-02-19 18:29  aleidinger

	* test/VBR.op:

	 - remove "--silent", lametest.py now handles this
	
	 Aproved by: robert
	
2001-02-19 18:28  aleidinger

	* test/lametest.py:

	 - allow relative paths in a more portable manner
	 - should be more OS independand now
	 - more file checks (readable/executable)
	 - internally adds new option "--quiet" to the options
	
	 This works on my system, it also should work on systems where the
	 previous version worked. It's not as portable as it could be,
	 search for XXX in the source.
	
2001-02-18 21:18  robert

	* frontend/main.c, frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/version.h, test/VBR.op:

	new options --silent and --quiet to be really quiet
	new option --verbose (default) to turn -S/--silent off again
	--vbr-mtrh and --vbr-new use now ATH type 2
	for VBR modes it is allowed to use different block types in stereo mode (not yet joint stereo)
	bumped version to 3.88 alpha 10
	
2001-02-18 12:11  aleidinger

	* dshow/: Makefile.am, Makefile.in:

	Add recently added files to the makefile.
	
2001-02-17 15:45  pgubanov

	* dshow/Encoder.cpp:

	gfp is sometimes zero in CEncoder::Encode() - why???
	
2001-02-17 14:30  aleidinger

	* libmp3lame/: pcm.c, pcm.h:

	New code from Frank, some needed parts in different files aren't commited
	yet, they produce huge differences with lametest.py even if KLEMM_44 isn't
	defined. -> KLEMM_44 (new API + resampling) isn't usable yet
	
2001-02-17 14:27  aleidinger

	* test/lametest.py:

	 - use "/usr/bin/env python" instead of "/usr/bin/python" in shebang line
	   (portability)
	 - use "-l" instead of "--lines" for wc
	   (portability, has to run on every IEEE 1003.2 ("POSIX.2") compliant
	   system)
	 - bugfix, check for lame2 instead for lame1 in the lame2 part
	   (Note: the entire test didn't work for me if I use e.g.
	    ./lametest.py XXX.op ../../testcases/XXX ../../build.org/frontend/lame ...)
	
2001-02-17 14:17  pgubanov

	* dshow/: aboutprp.cpp, aboutprp.h:

	Elecard copyrigth added (executives need it for some reason)
	
2001-02-17 13:58  pgubanov

	* dshow/: Mpegac.cpp, Property.rc, UIDS.H, dshow.dsp, dshow.dsw,
	elogo.ico, resource.h:

	Some stability improvements + Elecard copyrigth added (executives need it for some reason)
	
2001-02-16 17:23  markt

	* doc/html/basic.html:

	added basic.html to cvs
	
2001-02-16 10:35  pgubanov

	* dshow/dshow.dsp:

	STDC_HEADERS defined in project settings
	
2001-02-16 10:33  pgubanov

	* libmp3lame/lame.c:

	mono handling in encode_buffer_interleaved caused access violation - fixed
	
2001-02-14 22:22  aleidinger

	* ChangeLog:

	Now we have a ChangeLog, generated from the output of "cvs log"
	
2001-02-14 22:21  aleidinger

	* ChangeLog.header:

	Header for the ChangeLog, not included at "make dist"
	
2001-02-14 22:20  aleidinger

	* TODO:

	remove Makefile.MSVC, robert seems to keep it up to date
	
2001-02-14 22:20  aleidinger

	* Makefile.B32:

	try to unbreak it, add configMS.h -> config.h (untested)
	
2001-02-14 22:20  aleidinger

	* DEFINES:

	add USE_FFT3DN
	
2001-02-14 22:19  aleidinger

	* INSTALL:

	   * add some more info how to use some advanced features of our
	     configure script
	   * add some info for Cygwin users (use configure)
	   * add some info about faster code with nasm
	
2001-02-14 20:50  robert

	* frontend/parse.c:

	added -V1 to Roel's --remix preset, I assume it was missing by accident
	
2001-02-14 16:38  aleidinger

	* Makefile.am.global, Makefile.in, aclocal.m4, configure,
	configure.in, Dll/Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	use new automake 1.4d (bugfixes)
	
2001-02-14 14:43  robert

	* libmp3lame/: encoder.c, util.h:

	tuning of the auto ath adjustment for --vbr-mtrh mode
	
2001-02-14 14:24  robert

	* libmp3lame/util.c:

	patch by Roel:
	tweaking his ATH modification (--athtype 3)
	
2001-02-13 18:27  markt

	* frontend/parse.c:

	fixed typo in parse.c
	
2001-02-13 18:24  markt

	* libmp3lame/psymodel.c:

	added a lot of documentation on the psycho acoustics
	to the top of psymodel.c
	
2001-02-13 18:22  markt

	* mpglib/: common.c, common.h, interface.c:

	improved head_check() function:  When resyncing data stream,
	only look for headers of the same layer of the previous
	frames.  i.e. dont allow layer 2 and layer 3 frames in the
	same stream.
	
2001-02-13 18:21  markt

	* frontend/: get_audio.c, parse.c:

	added the --r3mix option
	fixed bug with --decoder-mp3delay option
	added error message for non-8 and 16 bit input
	
2001-02-13 16:58  robert

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/quantize_pvt.c, libmp3lame/util.c, libmp3lame/util.h:

	first of all: this patch shows no difference in the CBR/ABR test
	
	- made athtype 3 default for VBR modes, 1 still default for CBR/ABR modes
	- made athadjust default for VBR modes, CBR/ABR modes don't need it
	- removed --athadjust switch, was only temporally solution
	- collected all spreaded ATH settings into ATH_t struct
	  if someone needs a new ATH related variable, please add it here
	
2001-02-12 18:24  markt

	* doc/html/: contributors.html, history.html, index.html,
	node6.html, switchs.html:

	new html docs from Gabriel
	
2001-02-12 17:47  markt

	* test/lametest.py:

	print total pass/fail message at end
	
2001-02-09 16:47  robert

	* libmp3lame/quantize_pvt.c:

	patch by Gaby:
	allow ATH adjust for the ATH only modes too
	
2001-02-08 22:19  robert

	* test/VBR.op:

	update to the VBR python options file
	
2001-02-07 15:51  robert

	* libmp3lame/: encoder.c, vbrquantize.c:

	all patches --vbr-mtrh related
	
	encoder.c:
	- made a variant of Gaby's auto ATH adjust the default
	
	vbrquantize.c:
	- some small code moves
	- added some safety margin to the global gain
	
2001-02-06 21:43  robert

	* libmp3lame/: psymodel.c, vbrquantize.c:

	we should not try to hard to get high freqs thru'
	so I will let --vbr-mtrh as is. It seems to give
	reasonable file sizes again, even with Frank's ATH.
	
2001-02-05 10:18  robert

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/quantize_pvt.c:

	re-check-in of Gaby's ATH auto adjustment code.
	You need to specify --athadjust to get this
	SUBSTANTIALLY QUALITY IMPROVEMENT
	
	quote:
	 "Also, we already have gfc->ath_lower (specified in db).
	 No reason to add another variable which does the same thing,
	 and does not even use the same units."
	
	That is not true, there is actually no gfc->ath_lower in dB.
	We have a gfp->ATHlower in dB. But this is of a totally
	different meaning.
	  gfp->ATHlower will lower the ATH for the whole file by a fixed
	  amount of x dB.
	  gfc->ath_auto_adjust will lower the ATH on a frame by frame basis
	  depending on the peak volume.
	
2001-02-05 04:58  markt

	* frontend/parse.c:

	Added warning about using VBR modes.
	This is because this website:
	
	http://www.kuro5hin.org/?op=displaystory;sid=2001/1/25/164540/759
	
	is comparing Vorbis with lame -V4.
	
	While many people like the high bitrate VBR modes,
	lame -V4 is *often* of lower quality than CBR.
	
2001-02-05 02:36  shibatch

	* libmp3lame/psymodel.c:

	Reverted part of last tweaks of nspsytune.
	
2001-02-05 02:27  markt

	* HACKING:

	updated HACKING with directions on how to run the
	lametest.py python script
	
2001-02-05 02:24  markt

	* test/: CBRABR.op, VBR.op, lametest.py, nores.op:

	Adding a python script used for testing, along with
	some sample options files.
	
2001-02-05 02:23  markt

	* HACKING, libmp3lame/encoder.c, libmp3lame/quantize_pvt.c:

	reverted encoder.c and quantize_pvt.c back to 13:00 3 Feb 2001.
	These modifications broke my test cases.  Any such changes need
	aproval first.
	
	Also, we already have gfc->ath_lower (specified in db).
	No reason to add another variable which does the same thing,
	and does not even use the same units.
	
2001-02-05 00:34  cisc

	* frontend/amiga_mpega.c:

	MPG_MD_LR_LR define was moved, set mode_ext to 0 instead (since we don't get that info anyway).
	
2001-02-04 23:56  robert

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/vbrquantize.c:

	parse.c: small change in default behaviour for --vbr-mtrh
	lame.c: it makes no sense for a sfb21 extra at sample frequencies below 44.1 kHz
	vbrquantize.c: oops, last commit was a merger from a wrong branch of mine
	
2001-02-04 23:28  shibatch

	* libmp3lame/quantize_pvt.c:

	Enabled auto-adjust ATH for nspsytune.
	
2001-02-04 23:14  shibatch

	* libmp3lame/psymodel.c:

	Tweaked nspsytune.
	
2001-02-03 23:20  robert

	* libmp3lame/: quantize_pvt.c, version.h:

	bumped version to alpha 9
	some clean-up
	
2001-02-03 20:10  robert

	* libmp3lame/: encoder.c, quantize_pvt.c, util.c, util.h,
	vbrquantize.c:

	patch by Gabriel Bouvigne:
		auto adjust of ATH for low volume tracks
	        a big improvement in quality!
		therefore on by default
	
	patch by Robert Hegemann:
		further improvement of --vbr-mtrh mode
	
2001-02-02 01:04  robert

	* libmp3lame/: quantize.c, quantize_pvt.c:

	--vbr-mtrh tweaks
	
2001-01-31 19:44  aleidinger

	* configure, configure.in:

	bugfix
	
2001-01-31 15:34  robert

	* libmp3lame/quantize.c:

	fix a typo I introduced by my last commit
	
2001-01-31 12:53  aleidinger

	* Makefile.am.global, Makefile.in, acconfig.h, acinclude.m4,
	aclocal.m4, config.h.in, configMS.h, configure, configure.in,
	depcomp, Dll/Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in:

	- config*/Makefile*/ac*:
	   * tests for *int*_t
	   * test for 80 bit floats (for speed optimizations)
	   * add pcm.* to the makefile
	   * removed resample.[ch] from the makefile
	   * depend upon automake 1.4b
	   * fix in check for ccc
	     (submitted by nold via the sourceforge patch page at
	     the lame project page, patch id #103507)
	   * something I may have forgotten
	
	  Note:
	  Please don't commit any Makefile.in if you didn't have
	  changed the corresponding Makefile.am. CVS didn't stores
	  the time stamps of the files at commit time, it stores
	  the time stamps of the commit time, so we have to commit
	  the files in the correct order, but I'm to lazy to do so
	  and I assume I'm not the only one.
	  The same applies to config*.
	
	- depcomp:
	  missing file, the dependancy tracking should work again
	
2001-01-30 20:53  robert

	* libmp3lame/quantize.c:

	fixed a design flaw in VBR_iteration_loop() I'm responsible for.
	affects quality!
	
2001-01-30 20:52  robert

	* libmp3lame/: lame.c, quantize_pvt.c, vbrquantize.c:

	tuning of --vbr-mtrh mode
	
2001-01-30 20:51  robert

	* frontend/parse.c, include/lame.h:

	patch by Gaby:
	changed --athlower to accept floats
	
2001-01-30 11:02  robert

	* libmp3lame/: psymodel.c, util.c:

	psymodel.c: fixing compile problem (was: M_LN10 undefined)
	util.c: Roel's modification to Gaby's ATH, new: --athtype 3
	
2001-01-29 14:46  robert

	* libmp3lame/vbrquantize.c:

	--vbr-mtrh and --vbr-new use now the faster and sloppier
	scalefactor-band noise calculation with quality settings
	-q 3...9
	
2001-01-28 12:51  takehiro

	* libmp3lame/: quantize.h, util.h:

	oops, compile problem fix
	
2001-01-28 12:39  takehiro

	* libmp3lame/: quantize.c, quantize.h, quantize_pvt.c,
	vbrquantize.c:

	magic number 4095 and 4096 is removed
	
2001-01-27 18:00  takehiro

	* libmp3lame/psymodel.c:

	make temporal masking effect strong.
	
2001-01-27 17:52  takehiro

	* libmp3lame/quantize_pvt.c:

	debug message is removed :)
	
2001-01-27 17:39  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/psymodel.c,
	libmp3lame/quantize_pvt.c, libmp3lame/util.h:

	experimental temporal masking support.
	"--temporal" option to use this.
	
2001-01-26 22:47  robert

	* frontend/parse.c, libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/vbrquantize.c:

	tuning of --vbr-mtrh VBR mode
	
2001-01-25 20:57  robert

	* misc/abx.c:

	update by Frank:
	some further endings and audio formats
	
2001-01-24 23:59  robert

	* libmp3lame/quantize_pvt.c:

	found and fixed another BUG caused by the "bit optimization." patch
	
2001-01-24 23:02  robert

	* libmp3lame/: pcm.c, pcm.h:

	updates by Frank
	
2001-01-24 22:33  robert

	* Makefile.DJGPP, Makefile.unix:

	small config.h related tunings
	
2001-01-24 21:33  robert

	* libmp3lame/vbrquantize.c:

	quick-fix for code that was broken by Takehiro's last
	"bit optimization." in function calc_xmin(), quantize_pvt.c
	
2001-01-23 12:50  takehiro

	* libmp3lame/quantize_pvt.c:

	bit optimization.
	
2001-01-23 07:12  shibatch

	* libmp3lame/quantize.c:

	Bugfix of nspsytune.
	
2001-01-22 23:00  afaber

	* Dll/BladeMP3EncDLL.c:

	VBR was always enabled, even when the client did not ask for it
	
2001-01-22 19:54  aleidinger

	* libmp3lame/vorbis_interface.c:

	remove trailing garbage
	
2001-01-22 09:31  shibatch

	* libmp3lame/: psymodel.c, quantize.c:

	Tweaked nspsytune.
	
2001-01-22 04:35  markt

	* Makefile.in, configure, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.in, frontend/Makefile.in, frontend/parse.c,
	include/Makefile.in, libmp3lame/Makefile.in, libmp3lame/psymodel.c,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	fixed bug preventing -m a mode from working.
	
	ran autoconf which changed all the Makefile.in's
	
2001-01-22 01:07  robert

	* libmp3lame/: pcm.c, pcm.h, vorbis_interface.c:

	patches by Frank:
	
	vorbis_interface: was/is broken since a long time
	pcm.[ch]: fixing some transfer errors (email)
	
2001-01-21 21:14  afaber

	* Dll/BladeMP3EncDLL.c:

	Fixed problems with writing the Xing MP3 header (gfc->internal_flags structure was already freed, while it was needed to write the Xing MP3 tag)
	
2001-01-21 19:13  robert

	* libmp3lame/: pcm.c, pcm.h:

	patches by Frank:
	
	scalar.nas - new SIMD assembler routines
	resample.[ch] - removed
	pcm.[ch] - new, containing resampling routines and more
	version.c - some clean up
	
2001-01-21 19:06  robert

	* libmp3lame/: i386/scalar.nas, resample.c, resample.h, version.c:

	patches by Frank:
	
	scalar.nas - new SIMD assembler routines
	resample.[ch] - removed
	pcm.[ch] - new, containing resampling routines and more
	version.c - some clean up
	
2001-01-21 19:03  robert

	* frontend/lametime.c:

	it's always a good idea to include its own header file
	
2001-01-20 09:51  robert

	* libmp3lame/util.c:

	patch by Gaby:
	
	I changed a file from the 19/01 cvs (I added an ath balanced between the
	original one and Frank's one on the option --athtype 2)
	
2001-01-19 09:08  shibatch

	* libmp3lame/: encoder.c, psymodel.c, quantize_pvt.c:

	Improved reservoir handling(nspsytune).
	
2001-01-18 22:18  robert

	* libmp3lame/quantize_pvt.c:

	allow "--athlower n" to modify the ATH for sfb21
	
2001-01-18 13:04  aleidinger

	* Makefile.DJGPP:

	add config.h to the clean target
	
2001-01-18 13:03  aleidinger

	* Makefile.DJGPP:

	bugfix (please report if it's broken, I can't test the config.h target)
	
2001-01-17 21:32  robert

	* Makefile.unix:

	additional fixes
	
2001-01-17 20:35  robert

	* libmp3lame/: VbrTag.c, util.c, util.h:

	RH_SEEK_TABLE enables a different method of generating TOC entries
	in Xing VBR header. now enabled!
	
	PLEASE TEST TRY IT
	
	It should fix the problem poeple reported who encode radio shows or
	alike which last a few hours.
	Another advantage is, it will not steadily  increase LAME's memory footprint
	while running.
	
2001-01-17 16:05  shibatch

	* libmp3lame/psymodel.c:

	Reverted the final change.
	It degraded encoded quality of gspi*.wav.
	
2001-01-17 13:26  shibatch

	* libmp3lame/psymodel.c:

	Tweaked nspsytune.
	
2001-01-17 09:55  robert

	* Makefile.unix:

	try to fix the broken Makefile after latest configurification
	
2001-01-17 09:54  robert

	* libmp3lame/newmdct.c:

	+ replaced M_SQRT2 by SQRT2 which is defined in util.h
	+ replaced "=-" by "= -" to avoid confusion with the
	  old K&R "=-" operator, an equivalent to "-=". Even
	  though new compilers seem to handle it as an
	  assignement and unary minus sequence, but some
	  buggy compiler could be trapped here (as I).
	
2001-01-16 13:08  robert

	* configMS.h:

	turned some defines for system include files on
	
2001-01-16 09:04  robert

	* Makefile.MSVC:

	fixed typo, sorry
	
2001-01-15 15:16  aleidinger

	* Makefile.am, Makefile.am.global, Makefile.in, config.h.in,
	configMS.h, configure, configure.in, Dll/Makefile.am,
	Dll/Makefile.in, debian/Makefile.am, debian/Makefile.in,
	doc/Makefile.am, doc/Makefile.in, dshow/Makefile.am,
	dshow/Makefile.in, frontend/Makefile.am, frontend/Makefile.in,
	frontend/brhist.c, frontend/console.c, frontend/get_audio.c,
	frontend/gpkplotting.c, frontend/main.c, frontend/mp3rtp.c,
	frontend/parse.c, frontend/rtp.c, include/Makefile.am,
	include/Makefile.in, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/id3tag.c, libmp3lame/machine.h,
	misc/Makefile.am, misc/Makefile.in, mpglib/Makefile.am,
	mpglib/Makefile.in, mpglib/common.c, mpglib/decode_i386.c,
	mpglib/mpg123.h:

	automake/autoconf cleanup and enhancement
	
2001-01-15 14:19  shibatch

	* libmp3lame/: encoder.c, psymodel.c, util.h:

	More cleanups and bugfixes of --nspsytune.
	
2001-01-15 09:38  aleidinger

	* doc/html/Makefile.am:

	remove node[57].html
	
2001-01-15 09:14  gramps

	* USAGE:

	Raised track limit from 99 to 255 per user requests.
	
2001-01-15 09:10  robert

	* Makefile.B32, Makefile.MSVC, Makefile.unix:

	more RH_AMP clean up
	
2001-01-15 08:58  gramps

	* frontend/parse.c, doc/html/id3.html:

	Raised track limit from 99 to 255 per user requests.
	
2001-01-15 08:48  gramps

	* libmp3lame/id3tag.c:

	- Simplified prologue of all public functions, removing intermediate "spec"
	  variable, and assuming (like the rest of LAME) that gfp is never null.
	- Fixed a stupid sizeof bug (mine) in "id3tag_init".
	- Raised track limit from 99 to 255 per user requests.
	- No longer write full text of genre in version 2 tag.  Now write more
	  cannonical "(num)" format where "num" is the text version of the genre
	  number, more closely following the updated ID3v2.3 spec and usage in id3lib.
	  This also makes the tag smaller.
	- Now use id3lib-compatible bogus language descriptor "XXX" in version 2
	  comment frames instead of just null bytes.
	- Changed order of frames written in version 2 tag to match version 1 tag.
	- Restored some of Frank's optimizations.
	- Fixed LAME URL.
	- Reworded some comments and fixed misspellings.
	- Moved "local_strcasecmp" back into its original position.
	- Some small reformatting to match original file.
	
2001-01-14 23:29  gramps

	* USAGE:

	- Changed "highest" to "higher" to describe recommended quality setting in
	  constant bit rate example.
	
	- Changed "CBR" to "VBR" to correct misspelling in variable bit rate
	  description.
	
2001-01-14 22:40  gramps

	* doc/html/Makefile.in:

	Removed dependency on obsolete node5.html and node7.html.
	
2001-01-14 22:35  markt

	* USAGE, frontend/parse.c:

	documentation of -q parameter in USAGE and lame --longhelp
	
2001-01-14 22:13  markt

	* doc/html/: node5.html, node7.html:

	removed as per Gaby
	
2001-01-14 22:12  markt

	* libmp3lame/: lame.c, quantize.c:

	created new routine lame_init_qval() which does all the
	gfp->quality related settings.  Cleaned up some more RH_AMP code:
	The only way to enable scalefac_scale right now is with
	-Z or --nspsytune.
	
2001-01-14 21:01  markt

	* testcase.mp3:

	updated test case
	(Takehiro fixed a bug which I introduced, which changes test cases).
	
2001-01-14 17:25  aleidinger

	* DEFINES, Makefile.in, aclocal.m4, config.guess, config.sub,
	configure, configure.in, missing, mkinstalldirs, Dll/Makefile.am,
	Dll/Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, frontend/depcomp, include/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/depcomp,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, misc/depcomp,
	mpglib/Makefile.in, mpglib/depcomp:

	DEFINES:
	 remove obsolete defines
	
	configure*:
	 minor cleanup
	
	Makefile*:
	 - minor cleanup
	 - use automake 2.14b
	
	Added files:
	 needed for new automake
	
	rest:
	 updated automake files
	
2001-01-14 15:40  aleidinger

	* misc/abx.c:

	there are encoders with different delays on different channels (Frank)
	
2001-01-14 12:21  shibatch

	* libmp3lame/lame.c:

	Enabled scalefac_scale if --nspsytune is specified.
	
2001-01-14 12:02  takehiro

	* testcase.mp3:

	fixed new amp_scalefac_bands
	(it may use "trigger" variable without any initialization)
	
2001-01-14 09:42  takehiro

	* libmp3lame/quantize.c:

	minor bug fix.
	when subblock gain=1 and scalefactor is -1(means no need to calculate),
	LAME will try to check the quantization with meanless scalefactor combination.
	
2001-01-14 09:39  takehiro

	* libmp3lame/quantize.c:

	subblock_gain is 3-bit and its limit is 7, not 8.
	
2001-01-14 09:35  takehiro

	* libmp3lame/quantize.c:

	oops, conflicts are removed
	
2001-01-14 09:31  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	to store the distortion into III_psy_xmin structure, not simple array.
	this may make array pointer calculation easier and bring some speed up.
	
2001-01-14 09:26  shibatch

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h:

	Cleanup and small speed optimization of --nspsytune.
	
2001-01-14 08:17  markt

	* API:

	one minor update to the API file
	
2001-01-14 08:13  markt

	* testcase.mp3, libmp3lame/lame.c, libmp3lame/quantize.c:

	made a new, simpler unified amp_scalefac_bands():
	
	 *  distort[] = noise/masking
	 *  distort[] > 1   ==> noise is not masked
	 *  distort[] < 1   ==> noise is masked
	 *  max_dist = maximum value of distort[]
	 *
	 *  Three algorithms:
	 *  noise_shaping_amp
	 *        0             Amplify all bands with distort[]>1.
	 *
	 *        1             Amplify all bands with distort[] >= max_dist^(.5);
	 *                     ( 50% in the db scale)
	 *
	 *        2             Amplify first band with distort[] >= max_dist;
	 *
	 *
	 *  For algorithms 0 and 1, if max_dist < 1, then amplify all bands
	 *  with distort[] >= .95*max_dist.  This is to make sure we always
	 *  amplify at least one band.
	 *
	
	noise_shaping_amp=0        -q3 .. -q9
	noise_shaping_amp=1        -q2
	noise_shaping_amp=2        -q1, -q0
	
	--nspsytune was using what is now noise_shaping_amp=2, but the only
	way to get this now is to use --nspsytune -q1.
	Naoki: is this a problem?
	
	I also defaulted the clever RH_AMP stoping criterion in
	outer_loop.
	
2001-01-14 05:36  markt

	* libmp3lame/: lame.c, psymodel.c, quantize.c, quantize_pvt.c,
	util.h, vbrquantize.c:

	some tuning of VBR masking_lower because of new ATH function.
	Disabled VBR_q based lowering of ATH.  Is this still needed?
	You can always achieve the same effect with --athlower option.
	
2001-01-13 18:01  aleidinger

	* Makefile.am, Makefile.in, configure, configure.in,
	Dll/Makefile.in, debian/Makefile.am, debian/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.am, dshow/Makefile.in, frontend/Makefile.am,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.am,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.am,
	mpglib/Makefile.in:

	"make dist" related:
	 - add debian subdir
	 - add missing files
	
	different builddir related:
	 - change argument to -l option for nasm
	
2001-01-13 17:40  aleidinger

	* libmp3lame/Makefile.in.old:

	obsolete
	
2001-01-13 17:36  aleidinger

	* frontend/Makefile.in.old:

	obsolete
	
2001-01-13 13:45  takehiro

	* libmp3lame/newmdct.c:

	bit coding hack and cleanup
	
2001-01-13 12:55  takehiro

	* Makefile.in, Dll/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	automake generated
	
2001-01-13 12:54  takehiro

	* libmp3lame/: fft.c, i386/Makefile.am, i386/fft3dn.nas:

	now LAME supports 3dnow! fft
	
2001-01-13 10:37  pgubanov

	* dshow/Encoder.cpp:

	Removed (char*) cast in lame_encode_buffer() call
	
2001-01-12 19:20  markt

	* debian/: changelog, control, copyright, lame-dev.docs,
	lame-dev.files, lame-extras.files, lame.docs, lame.files, rules:

	added debian files from Ingo Saitz
	
2001-01-12 19:17  markt

	* debian/: cron.d.ex, dirs, docs, emacsen-install.ex,
	emacsen-remove.ex, emacsen-startup.ex, ex.doc-base.package, files,
	init.d.ex, manpage.1.ex, manpage.sgml.ex, menu.ex,
	postinst.debhelper, postinst.ex, postrm.ex, preinst.ex,
	prerm.debhelper, prerm.ex, substvars, watch.ex:

	New Debian package from Ingo Saitz
	
2001-01-12 19:11  markt

	* README.Debian:

	removed README.Debian
	
2001-01-12 11:13  aleidinger

	* misc/abx.c:

	further improvements, e.g. reduced latency (Frank)
	
2001-01-11 22:37  markt

	* HACKING, frontend/mp3rtp.c, frontend/mp3x.c:

	updated mp3rtp.c and mp3x.c to use lame_global_flags *lame_init()
	(lame allocates storage for lame_global_flags)
	rather than lame_init_old(&gf) which required calling
	program to instantiate gf.
	
	Now we need to start writing one routine for every parameter:
	
	lame_set_bitrate
	lame_set_num_channels
	etc...
	
2001-01-10 16:03  aleidinger

	* frontend/lame.dsp, frontend/mp3x.dsp, libmp3lame/libmp3lame.dsp,
	mpglib/mpglib.dsp:

	work around for a bug in VC (Todd Richmond)
	
2001-01-09 15:15  aleidinger

	* misc/abx.c:

	bugfixes
	
2001-01-08 18:15  aleidinger

	* DEFINES:

	removed KLEMM_12, on by default
	
2001-01-08 18:07  aleidinger

	* libmp3lame/vbrquantize.c:

	Roberts VBR code: speed improvement for vbr-mtrh (ping pong patch, OKed by Mark)
	
2001-01-07 23:47  markt

	* frontend/: portableio.c, timestatus.c:

	chage to KLEMM-36 from Frank
	
2001-01-07 22:53  markt

	* frontend/timestatus.c, libmp3lame/psymodel.c:

	undefined variable (last = 0, line 214) in timestatis.c
	commented out.
	
	fixed some dimensions in the funtion prototype of l3para_read
	
2001-01-07 22:35  markt

	* frontend/timestatus.c:

	Applied Frank's patch (from mp3encoder) to timestatus.c
	with -R.  I hope I didn't undo this by mistake!
	
2001-01-07 22:33  markt

	* frontend/timestatus.c:

	added a brhist_jump_back() to timestatus_klemm().
	sent to me by Magnus Holmgren.
	
2001-01-07 22:28  markt

	* USAGE, frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/psymodel.c:

	added the "-ma" option.
	Ultimate goal:
	          8 kbps   Mono
	     16- 96 kbps   Intensity Stereo (if available, otherwise Joint Stereo)
	    112-128 kbps   Joint Stereo -mj
	    160-192 kbps   something between -mj and -ms
	    224-320 kbps   Independent Stereo -ms
	
	currently enables KLEMM_12.  KLEMM_12 is gone.
	
2001-01-07 16:17  aleidinger

	* libmp3lame/lame.c:

	Don\'t change floatingpoint mask for FreeBSD on Alpha hardware, obtained from FreeBSD-Ports
	
2001-01-07 14:48  aleidinger

	* misc/abx.c:

	cleanup, no functional change
	
2001-01-07 14:47  aleidinger

	* Dll/Example.dsw, Dll/MP3EncDll.dsw, dshow/dshow.dsw,
	frontend/lame.dsw, frontend/mp3x.dsw, misc/abx.c:

	fix *.dsw
	new version of abc.c (Frank)
	
2001-01-07 09:14  markt

	* frontend/: mp3rtp.c, mp3x.c:

	global variables used by frontend code are now instantiated
	in parse.c.
	
	Before, the were defined external in main.h, and instantiated
	in the frontend, meaning they had to appear in mp3x.c, main.c
	and mp3rtp.c
	
	we need to get rid of these!
	
2001-01-07 09:11  markt

	* frontend/main.c, frontend/main.h, frontend/parse.c,
	libmp3lame/lame.c:

	more tweaks to the --decode-mp3delay option
	
2001-01-07 08:28  markt

	* libmp3lame/: lame.c, quantize.c, util.h:

	added a variable, noise_shaping_amp.  It does nothing right now.
	
2001-01-07 08:24  markt

	* frontend/: main.c, main.h, parse.c:

	added a undocumented option --decode-mp3delay <n>
	to allow someone to adjust the number of samples
	lame --decode will truncate.  David Robinson requirested this
	since he didn't like that lame --decode would truncate 1106 samples
	(assuming a encoder delay of 576) since BladeEnc has an encoder delay
	of only 528.)
	
2001-01-07 05:25  markt

	* frontend/main.c, libmp3lame/util.c:

	main.c:  uses lame_init() instead of lame_init_old().
	util.c:  added frank's changes: 32 point filter instead of 19.
	         prep work for frank's new resampling/filtering code.
	         updated test cases.
	
2001-01-06 23:12  markt

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c, util.c:

	ATHformula modifed to work in Hz instead of Khz.
	
	Minor change to a bunch of routines + regeneration of
	test cases.
	
2001-01-06 22:57  markt

	* testcase.mp3:

	updated testcase
	
2001-01-06 22:55  markt

	* libmp3lame/fft.c:

	Switched to the Blackman window for the FFT energy estimator.
	This is just to merge some nspsytune code into default
	
2001-01-06 07:40  gramps

	* libmp3lame/id3tag.c:

	Backed out some large changes done in November which introduced at least two bugs.  Also fixed other older bug in id3tag_write_v2.
	
2001-01-06 01:11  markt

	* include/lame.h, libmp3lame/lame.c, libmp3lame/psymodel.c:

	more prep work to remove all psycho acoustic tables
	
2001-01-06 01:00  markt

	* libmp3lame/: VbrTag.h, lame.c, mpglib_interface.c, psymodel.c:

	added formulas to replace the last of the table data.
	some changes to reflect that Xing VBR header parsing code
	has been moved into mpglib
	
2001-01-05 22:15  markt

	* mpglib/: interface.c, mpglib.h:

	added XingVBR header parsing code
	
2001-01-05 22:13  markt

	* frontend/: get_audio.c, gtkanal.c:

	fixed bug in frame analyzer when analyzing mp3 files.
	frame counter incremented too soon.  This was introduced
	when someone (maybe me, but I dont remember!) replaced the
	use of gfp->frameNum with a global variable limited in scope to
	just gtkanal.c
	
	get_audio.c:  removed VBR Xing header checking code.
	this has been moved into mpglib.
	
2001-01-05 15:26  aleidinger

	* Makefile.in.old, configure.in.old:

	obsolete
	
2001-01-05 15:20  aleidinger

	* Makefile.B32, Makefile.unix, frontend/brhist.c,
	frontend/get_audio.c, frontend/gpkplotting.c, frontend/gtkanal.c,
	frontend/lame.dsp, frontend/lametime.c, frontend/main.c,
	frontend/mp3rtp.c, frontend/mp3x.c, frontend/mp3x.dsp,
	frontend/parse.c, frontend/portableio.c, frontend/rtp.c,
	frontend/timestatus.c, libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	libmp3lame/debugscalefac.c, libmp3lame/encoder.c, libmp3lame/fft.c,
	libmp3lame/id3tag.c, libmp3lame/lame.c, libmp3lame/libmp3lame.dsp,
	libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/resample.c,
	libmp3lame/reservoir.c, libmp3lame/tables.c, libmp3lame/takehiro.c,
	libmp3lame/util.c, libmp3lame/vbrquantize.c, libmp3lame/version.c,
	libmp3lame/vorbis_interface.c, misc/abx.c, mpglib/common.c,
	mpglib/dct64_i386.c, mpglib/decode_i386.c, mpglib/interface.c,
	mpglib/layer1.c, mpglib/layer2.c, mpglib/layer3.c,
	mpglib/mpglib.dsp, mpglib/tabinit.c:

	misc/abx.c: (Frank Klemm)
	 - level adjustment
	 - clean up
	 - A-B repeat ("chunks")
	
	Makefile.*:
	 - nuke NOTERMCAP, it's HAVE_TERMCAP now
	   (defined where neccessary, please report slipped in breakage)
	
	(frontend|mp3x|libmp3lame|mpglib).dsp:
	 - copy configMS.h config.h (Todd Richmond)
	 - unbreak                  (Todd Richmond)
	 - nuke NOTERMCAP
	 - change HAVE([A-Z]*) to HAVE_$1
	
	*.c:
	 - get rid of configMS.h, we finally have support in *.dsp
	
2001-01-03 13:06  aleidinger

	* Makefile.DJGPP, Makefile.am, Makefile.in, Makefile.unix,
	aclocal.m4, config.h.in, configure, configure.in,
	frontend/Makefile.am, frontend/Makefile.in, frontend/brhist.c,
	frontend/console.c, frontend/get_audio.c, frontend/gpkplotting.c,
	frontend/gtkanal.c, frontend/lametime.c, frontend/main.c,
	frontend/mp3rtp.c, frontend/mp3x.c, frontend/parse.c,
	frontend/portableio.c, frontend/rtp.c, frontend/timestatus.c,
	libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	libmp3lame/debugscalefac.c, libmp3lame/encoder.c, libmp3lame/fft.c,
	libmp3lame/id3tag.c, libmp3lame/lame.c,
	libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/resample.c,
	libmp3lame/reservoir.c, libmp3lame/tables.c, libmp3lame/takehiro.c,
	libmp3lame/util.c, libmp3lame/vbrquantize.c, libmp3lame/version.c,
	libmp3lame/vorbis_interface.c, misc/Makefile.am, misc/Makefile.in,
	mpglib/common.c, mpglib/dct64_i386.c, mpglib/decode_i386.c,
	mpglib/interface.c, mpglib/layer1.c, mpglib/layer2.c,
	mpglib/layer3.c, mpglib/tabinit.c:

	Makefile.{unix,DJGPP}: Bugfixes (Includes)
	Makefile.am: follow the move of some scripts to misc
	*: add dmalloc support (configure --with-dmalloc)
	   (it seems we have a memleak somewhere, I will have a closer look soon)
	
2001-01-03 11:51  shibatch

	* libmp3lame/: psymodel.c, encoder.c:

	Tweaking and bugfix of --nspsytune.
	
2001-01-02 06:02  markt

	* frontend/get_audio.c, libmp3lame/encoder.c:

	typo in read_samples_pcm fixed
	
2001-01-01 17:35  markt

	* API, HACKING:

	minor edits to API and HACKING
	
2001-01-01 17:26  markt

	* Lame.vbs, README.WINGTK, TODO, USAGE, lame4dos.bat,
	misc/Lame.vbs, misc/lame4dos.bat:

	moved some more scripts into 'misc' directory
	
2001-01-01 17:12  markt

	* INSTALL, README.WINGTK, USAGE, auenc, mlame,
	frontend/README.Win32, misc/auenc, misc/mlame:

	moved scripts into misc directory
	moved README.Win32 (which described compiling mp3x under windows)
	back to its original name, README.WINGTK
	minor updates to INSTALL and USAGE
	
2000-12-27 13:13  aleidinger

	* misc/abx.c:

	 - listen to the difference of both signals
	 - highlighting of "errors"
	 - DC canceling
	 - support for monaural signals
	 - cleanup
	 - bugfixes
	 - correct shell quoting
	
2000-12-25 10:49  shibatch

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize_pvt.c,
	libmp3lame/util.h:

	Tweaked --nspsytune.
	
2000-12-22 15:36  aleidinger

	* misc/abx.c:

	now with cross correlation (Frank)
	
2000-12-20 22:55  aleidinger

	* misc/abx.c:

	 - files to test have to have the same samplerate (Frank)
	 - check for correct number of arguments (Alexander)
	
2000-12-20 15:14  aleidinger

	* DEFINES, libmp3lame/psymodel.c, libmp3lame/tables.c,
	libmp3lame/tables.h:

	Patches for KLEMM_43 protected code
	
2000-12-19 13:09  aleidinger

	* DEFINES, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	libmp3lame/reservoir.c, libmp3lame/tables.c,
	libmp3lame/vbrquantize.c:

	Ping pong #3, OKed by Mark.
	
2000-12-19 08:16  markt

	* LICENSE:

	simplifed the LICENSE file describing how to use
	LAME in commercial software
	
2000-12-19 07:51  markt

	* INSTALL, README, README.B32:

	updated README files with new configure information.
	debuging statement added to interface.c, then removed.
	
2000-12-19 07:46  markt

	* frontend/: brhist.c, get_audio.c:

	more size_t's removed
	
2000-12-19 07:43  markt

	* frontend/: main.c, mp3rtp.c, parse.c, rtp.c, rtp.h:

	removed some size_t's.
	Added some windows code to rtp.c/mp3rtp.c:  It is supposed to
	be much improved:
	
	    LAME is really great project.
	
	    However, RTP code for multicasting isn't very good.
	
	    I've attached some modification, and tested it on Win NT4 and Win2K with
	    FreeAmp on ordinary 10 and 100 Mbit Ethernet with encoding in neverending
	    loop. It was running one week w/o any probs.
	
	    I would like to please you to not include my name anywhere (there are
	    several reason why, at the moment).
	
	However, code is very MSVC specific, so it is commented out
	with #if 0.  Most of the code was added to the end of rtp.c.
	
2000-12-19 07:00  markt

	* frontend/main.c:

	deleted stupid C++ typecasts.  LAME is written in C.
	integer arguments to fwrite() do not need typecasts.
	
2000-12-16 05:43  shibatch

	* libmp3lame/: lame.c, psymodel.c:

	1. Old ATH formula is now default for --nspsytune.
	2. Tweaked a parameter of --nspsytune.
	3. Minor code cleanup.
	
2000-12-14 13:32  aleidinger

	* Makefile.in, configure, Dll/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in:

	regen
	
2000-12-14 13:31  aleidinger

	* configure.in, libmp3lame/i386/Makefile.am:

	force nasm to generate coff output when building under cygwin (Egor Duga)
	
2000-12-14 10:05  aleidinger

	* Makefile.in, config.h.in, configure, Dll/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/man/Makefile.in,
	dshow/Makefile.in, frontend/Makefile.in, include/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in:

	regen
	
2000-12-14 10:04  aleidinger

	* Makefile.DJGPP, Makefile.am, Makefile.unix, configMS.h,
	configure.in, frontend/Makefile.am, libmp3lame/Makefile.am,
	libmp3lame/i386/Makefile.am, mpglib/Makefile.am:

	configure.in:
	 - determine the size of various types at configure time
	 - add --enable-debug=anoying
	
	configMS.h:
	 - add SIZEOF_... defines, see configure.in
	
	Makefile.unix:
	 - bugfix from Robert (shame on me)
	
	Makefile.DJGPP:
	 - add cpu_feat.nas and scalar.nas to the build with NASM
	
	Submitted by Egor Duda <deo@logos-m.ru> (thank you, works great):
	 * Makefile.am: add $(EXEEXT) to executables for cygwin build
	 * Makefile.am: take source .wav file from srcdir
	 * configure.in: require autoconf 2.13
	 * configure.in: check for executable files extension
	 * frontend/Makefile.am: use builddir to get autogenerated headers
	   and libraries from, in case we're doing build in separate directory;
	   take normal headers from srcdir instead of current.
	 * libmp3lame/Makefile.am: ditto
	 * libmp3lame/i386/Makefile.am: ditto
	 * mpglib/Makefile.am: ditto
	
2000-12-13 02:28  shibatch

	* libmp3lame/lame.c:

	Minor bugfix.
	
2000-12-13 02:21  shibatch

	* libmp3lame/psymodel.c:

	Minor bugfix of --nspsytune.
	(forgot to merge.)
	
2000-12-12 04:50  shibatch

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/util.c, libmp3lame/util.h:

	Added option --athtype which selects ATH formula.
	
	Some major changes to --nspsytune.
	1. --nspsytune doesn't use pe.
	2. MS psymodel is modified. Added new option --nssafejoint.
	3. some more tunings of short block preecho control.
	
2000-12-12 01:11  markt

	* libmp3lame/: lame.c, util.c:

	
	Latest checkin from Alex include an rewritten 'Bitrate()' routine.
	
	This breaks the --abr code, since new routine considers a bitrate of 0
	invalid.  Now fixed.
	
2000-12-11 22:15  markt

	* misc/Makefile.am:

	added mlame_corr.c to the
	EXTRA_DIST line of Makefile.am
	
2000-12-11 16:03  aleidinger

	* DEFINES, Makefile.in, frontend/main.c, include/lame.h,
	libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/fft.c,
	libmp3lame/fft.h, libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	libmp3lame/newmdct.c, libmp3lame/newmdct.h, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/quantize_pvt.h,
	libmp3lame/util.c, libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/vorbis_interface.c, mpglib/interface.c,
	mpglib/interface.h:

	tries to include every change before the CVS rollback which didn't changes output
	
2000-12-11 14:48  aleidinger

	* frontend/gtkanal.c, libmp3lame/bitstream.c, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/newmdct.c, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/quantize_pvt.c,
	libmp3lame/reservoir.c, libmp3lame/util.c, libmp3lame/util.h,
	libmp3lame/vbrquantize.c, libmp3lame/vorbis_interface.c:

	redo gfc->stereo -> gfc->channels_out conversation
	
2000-12-11 01:32  markt

	* USAGE:

	updated info regarding the  MAD decoder
	
2000-12-11 00:34  markt

	* Makefile.am, libmp3lame/lame.c:

	applied patch for cygwin FPE stuff
	
2000-12-11 00:01  markt

	* USAGE, configure, configure.in, mlame_corr.c,
	frontend/get_audio.c, frontend/get_audio.h, include/lame.h,
	libmp3lame/mpglib_interface.c, misc/mlame_corr.c:

	configure:  removed all the debug warning flags.  it was impossible
	            to find real problems when compiling in debug mode.
	
	moved mlame_corr.c into 'misc' directory
	
	removed some 'size_t' and 'unsigned' from get_audio.c
	
	made mp3buffer 'unsigned char*' for the mpglib interface routines.
	
2000-12-08 13:47  aleidinger

	* auenc, misc/mugeco.sh:

	more portability fixes from Fredrik Mellstrom
	
2000-12-07 18:58  aleidinger

	* mlame:

	use sh instead of bash
	
2000-12-07 18:55  aleidinger

	* auenc:

	portability patch from Fredrik Mellstrom
	
2000-12-05 15:48  aleidinger

	* DEFINES:

	update
	
2000-12-05 15:46  aleidinger

	* Makefile.MSVC:

	add scalar.nas
	
2000-12-05 15:40  aleidinger

	* configure, Dll/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, frontend/Makefile.in,
	include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mpglib/Makefile.in:

	regen
	
2000-12-05 15:37  aleidinger

	* Makefile.B32, Makefile.MSVC, Makefile.in, config.h.in,
	configMS.h, configure.in, frontend/Makefile.am,
	frontend/get_audio.c, frontend/get_audio.h, frontend/portableio.c,
	libmp3lame/Makefile.am, libmp3lame/i386/Makefile.in,
	libmp3lame/i386/cpu_feat.nas, misc/ath.c, mpglib/Makefile.am:

	play ping-pong with some files (we're now at 2000-12-03 again), ok'ed by Mark
	
2000-12-05 01:17  markt

	* DEFINES:

	restored DEFINES.
	
	Sorry Alexendar - I tried to only revert the *.c and *.h files
	to their Nov 21 values (because of test case problems) but
	I was unable to get this to work.  I was lazy and reverted
	entire repository back to Nov 21.
	
2000-12-05 01:15  markt

	* DEFINES:

	trying to restore DEFINES
	
2000-12-04 14:36  aleidinger

	* Makefile.unix:

	add scalar.nas to build
	
2000-12-04 06:31  pgubanov

	* dshow/: PropPage.cpp, PropPage.h:

	Target bitrate fix
	
2000-12-04 06:30  pgubanov

	* dshow/: Mpegac.cpp, Mpegac.def, Mpegac.h, PropPage_adv.cpp,
	PropPage_adv.h, Property.rc, README, REG.CPP, REG.H, UIDS.H,
	dshow.dsp, iaudioprops.h, resource.h:

	CR/LF fix
	
2000-12-03 23:27  markt

	* testcase.mp3, libmp3lame/util.c:

	KLEMM_01 defaulted.
	
	This enables the new ATH formula.
	
2000-12-03 23:03  markt

	* libmp3lame/: tables.c, tables.h:

	huffmantab: int changed back to short.
	
2000-12-03 23:00  markt

	* DEFINES, Makefile.B32, Makefile.MSVC, Makefile.in, config.h.in,
	configMS.h, configure, configure.in, Dll/Makefile.in,
	doc/Makefile.in, doc/html/Makefile.in, doc/html/contributors.html,
	doc/html/examples.html, doc/html/history.html, doc/html/id3.html,
	doc/html/index.html, doc/html/lame.css, doc/html/modes.html,
	doc/html/node6.html, doc/html/switchs.html, doc/man/Makefile.in,
	frontend/Makefile.am, frontend/Makefile.in, frontend/get_audio.c,
	frontend/get_audio.h, frontend/gtkanal.c, frontend/main.c,
	frontend/parse.c, frontend/portableio.c, include/Makefile.in,
	include/lame.h, libmp3lame/Makefile.am, libmp3lame/Makefile.in,
	libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/fft.c,
	libmp3lame/fft.h, libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	libmp3lame/newmdct.c, libmp3lame/newmdct.h, libmp3lame/pcm.c,
	libmp3lame/pcm.h, libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/reservoir.c, libmp3lame/tables.c, libmp3lame/tables.h,
	libmp3lame/util.c, libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/version.h, libmp3lame/vorbis_interface.c,
	libmp3lame/i386/Makefile.am, libmp3lame/i386/Makefile.in,
	libmp3lame/i386/cpu_feat.nas, mpglib/Makefile.am,
	mpglib/Makefile.in, mpglib/interface.c, mpglib/interface.h:

	
	Reverted back to Nov 21 version.
	
	Added HTML doc from GB
	
2000-12-03 17:38  aleidinger

	* configure:

	regen
	
2000-12-03 17:37  aleidinger

	* configure.in:

	fix in debugging options
	
2000-12-03 14:16  aleidinger

	* DEFINES:

	add KLEMM_36
	
2000-12-03 14:14  aleidinger

	* frontend/portableio.c:

	Portability fix from Frank, you need to define KLEMM_36 to enable it
	(no functional change if you leave it disabled):
	---snip---
	 It is a hoax to call this code portable-IO:
	
	   - It doesn't work on machines with CHAR_BIT != 8
	   - it also don't test this error condition
	   - otherwise it tries to handle CHAR_BIT != 8 by things like
	     masking 'putc(i&0xff,fp)'
	   - It doesn't handle EOF in any way
	   - it only works with ints with 32 or more bits
	   - It is a collection of initial buggy code with patching the known errors
	     instead of CORRECTING them!
	     For that see comments on the old Read16BitsHighLow()
	---snip---
	
2000-12-03 13:14  aleidinger

	* misc/abx.c:

	Improvements from Frank:
	 - more input formats (detected by filename)
	Improvements by me:
	 - sanity checks
	 - works on FreeBSD
	
2000-12-01 17:42  aleidinger

	* libmp3lame/: psymodel.c, tables.c, tables.h:

	Patches from Frank:
	---snip---
	defined 4 new types for holding psydata information
	psydata  is divided into 25 normal tables (the 24 tables + 1 master table)
	access via "normal" index instead of scanning through the data
	tables are now sparsable, i.e. it is possible to remove unneeded parts
	but this is not yet done to avoid to do to much things at once
	tables are now smaller
	---snip---
	Hi also did some tests to verify this didn't changes the output.
	
	I also verified it with "make test" and some regular encoding.
	
2000-11-30 10:23  aleidinger

	* DEFINES:

	add description of some compile time defines
	
2000-11-30 10:20  aleidinger

	* Makefile.B32:

	sync with recent changes in the other Makefiles:
	 - HAVExxx -> HAVE_xxx
	 - HAVE_CONFIG_MS_H
	
2000-11-30 10:17  aleidinger

	* frontend/: get_audio.c, get_audio.h:

	 - remove check for CHAR_BITS, was a typo from Frank (confirmed by Frank)
	 - add optimization for unknown SIZEOF_UNSIGNED_LONG (submitted by Frank)
	   in optimized version of SwapBytesInWords()
	 - make the optimized version of SwapBytesInWords() the default
	   (OKed by Mark)
	 - remove DetermineByteOrder(), we have compile time support for it
	
2000-11-30 10:14  aleidinger

	* configure, Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mpglib/Makefile.in, dshow/Makefile.in,
	doc/man/Makefile.in, doc/html/Makefile.in, doc/Makefile.in,
	Dll/Makefile.in, frontend/Makefile.in, include/Makefile.in:

	regen
	
2000-11-30 10:11  aleidinger

	* libmp3lame/pcm.c:

	 - some modifications from Frank
	
